<%@ LANGUAGE="VBSCRIPT" %>
<%  Option Explicit  %>
<!-- #include file="inc/globals.asp" -->
<%

'set return page
returnPage = lookupPageName()

'declare vars
Dim templateID, templateCode
Dim metaKeywords, metaDescription
Dim contentID, contentName, contentTitle, contentHeading, contentBody, publishedDate, pageTextItemsValues
Dim contentError, errorMsg
Dim c_parentIDs, c_ParentNames, c_contentID, c_i, i
Dim styleSheet
Dim faqFound
Dim searchQuery
Dim searchAll, showSearch, search_SQLQuery
Dim topicID, roottopicID

searchQuery = ""
faqFound = false
searchAll = true
searchQuery = request.queryString("s")
showSearch = true

if request.queryString("sa") = "0" then
  searchAll = false
else
  searchAll = true
end if

topicID = request.queryString("topicID")
if not isNumberValid(topicID) then topicID = 0

'get root topic filter selection if applicable (set to 0 if not)
roottopicID = request.queryString("roottopicID")
if isNumberValid(roottopicID) = false then
  roottopicID = 0
else
  roottopicID = CLng(roottopicID)
end if

'init error flag
contentError = false

' *************************************
' Load template
SQLQuery = "SELECT tblPrefs_pages.pagetemplateID, tblPrefs_pages_languages.pageContentTitle, tblPrefs_pages_languages.pageContentHeading, tblPrefs_pages_languages.pageTextItemsValues FROM tblPrefs_pages INNER JOIN tblPrefs_pages_languages ON tblPrefs_pages.prefPageID = tblPrefs_pages_languages.prefPageID WHERE (((tblPrefs_pages.itemName)='FAQ') AND ((tblPrefs_pages_languages.languageID)=" & session(sessionPrefix & "aCMS_languageID") & "));"
Set ds = objConn.execute(SQLQuery)
if not ds.BOF AND not ds.EOF then
  templateID = ds("pagetemplateID")
  contentTitle = ds("pageContentTitle")
  contentHeading = ds("pageContentHeading")
  pageTextItemsValues = ds("pageTextItemsValues")
  if isTextValid(pageTextItemsValues) then pageTextItemsValues = split(pageTextItemsValues, "|**|")
else
  templateID = 0
end if
ds.close

metaKeywords = ""
metaDescription = ""

contentBody = ""
contentBody = contentBody & vbcr & "<script language=""JavaScript"" type=""text/javascript""><!--" & vbcr & "  function ofw(fID) {" & vbcr & "    window.open('faqDisplay.asp?f=' + fID + '&ss=[styleSheet]','faq','toolbar=no,menubar=no,scrollbars=yes,resizable=true,width=550,height=300');" & vbcr & "  }" & vbcr & "//--></script>" & vbcr

if showSearch = true then

  contentBody = contentBody & "<form method=""get"" action=""faq.asp"">"
  contentBody = contentBody & "<table border=""0"" cellspacing=""0"" cellpadding=""1"" bordercolor=""#949494"">"
  contentBody = contentBody & "<tr><td>" & pageTextItemsValues(0)
  contentBody = contentBody & "<br><br>"

  contentBody = contentBody & "<input type=""text"" name=""s"" size=""30"" maxlength=""35"" value=""" & htmlEncode(searchQuery) & """>" & buildRootTopicSelector() & "<br>"
  contentBody = contentBody & "<input type=""radio"" name=""sa"" value=""1"""
  if searchAll=true then contentBody = contentBody & " checked"
  contentBody = contentBody & ">" & pageTextItemsValues(5) & "<br>"
  contentBody = contentBody & "<input type=""radio"" name=""sa"" value=""0"""
  if searchAll=false then contentBody = contentBody & " checked"
  contentBody = contentBody & ">" & pageTextItemsValues(6) & "<br>"
  contentBody = contentBody & "<input type=""submit"" value=""" & pageTextItemsValues(1) & """ name=""submit"">"
  contentBody = contentBody & "</td></tr></table>"
  contentBody = contentBody & "<hr>"
  contentBody = contentBody & "</form>"

end if ' showSearch

if isTextValid(searchQuery) = true then
  contentBody = contentBody & "<p><strong>" & replace(pageTextItemsValues(2), "[query]","'" & htmlEncode(searchQuery)) & "'</strong> - <a href=""faq.asp?sa=1"">" & pageTextItemsValues(4) & "</a></p>"
end if


if isTextValid(searchQuery) OR searchAll = true then

  ' Setup template search query
  setupSearchSQL()

  ' loop thru FAQ topics unless topicID passed in
  contentBody = contentBody & "<div id=""faqs""><table border=""0"" cellpadding=""0"" cellspacing=""0"" width=""100%"">"

  if topicID = 0 then
    ' Loop thru root level topics
     SQLQuery = "SELECT tblFAQ_topics.topicID FROM tblFAQ_topics INNER JOIN tblFAQ_topics_languages ON tblFAQ_topics.topicID = tblFAQ_topics_languages.topicID WHERE tblFAQ_topics.parentID = " & roottopicID & " AND tblFAQ_topics_languages.languageID=" & session(sessionPrefix & "aCMS_languageID") & " ORDER BY tblFAQ_topics_languages.topicName ASC;"
     Set ds = objConn.execute(SQLQuery)
     if not ds.BOF AND not ds.EOF then
       do until ds.EOF
         displayTopic ds("topicID"), 1

         ds.moveNext
       loop
     end if
     ds.close
     Set ds = nothing
  else
    displayTopic topicID, 1
  end if

  if faqFound = false then contentBody = contentBody & "<tr><td><br/>" & pageTextItemsValues(3) & "<br/><br/><a href=""faq.asp"">" & pageTextItemsValues(4) & "</a><br/><br/><br/></td></tr>"

  contentBody = contentBody & "</table></div>"

end if ' searchQuery <> ""

'load template
loadPageTemplate()


Sub displayTopic(tID, iCount)
  'displays topic item

  if dMode <> true then on error resume next

  'declare vars
  Dim tmpContent, tmpContent2, dt_ds, showTopic, tmpTopicStart

  ' Display topic header
  SQLQuery = "SELECT tblFAQ_topics.topicID, tblFAQ_topics_languages.topicName FROM tblFAQ_topics INNER JOIN tblFAQ_topics_languages ON tblFAQ_topics.topicID = tblFAQ_topics_languages.topicID WHERE (((tblFAQ_topics.topicID)=" & tID & ") AND ((tblFAQ_topics_languages.languageID)=" & session(sessionPrefix & "aCMS_languageID") & "));"
  Set dt_ds = objConn.execute(SQLQuery)

  if not dt_ds.BOF AND not dt_ds.EOF then

    if iCount = 1 then tmpContent = tmpContent & "<tr><td>"
    if iCount > 1 then tmpContent = tmpContent & "<br/><br/>"
    tmpContent = tmpContent & "<table border=""0"" cellpadding=""0"" cellspacing=""0"" width=""100%"">"
    tmpContent = tmpContent & "<tr>"

    if iCount > 1 then
      tmpContent = tmpContent & "<td width=""10""><img src=""img/spacer.gif"" width=""10"" height=""5""></td>"
    end if
    tmpContent = tmpContent & "<td><b>" & dt_ds("topicName") & "</b>"

  end if
  dt_ds.close

  showTopic = 0

  ' display FAQ Items *****************************************
  SQLQuery = replace(search_SQLQuery, "**topicID**", tID)
  Set dt_ds = objConn.execute(SQLQuery)
  if not dt_ds.BOF AND not dt_ds.EOF then
    showTopic = 1

    tmpContent = tmpContent & "<ul>"

    do until dt_ds.EOF
      faqFound = true

      if isSearchEngine then
        tmpContent = tmpContent & "<li><a class=""faqlink"" href=""faqDisplay.asp?f=" & dt_ds("faqID") & """>" & dt_ds("faqQuestion") & "</a>"
      else
        tmpContent = tmpContent & "<li><a href=""Javascript:void(ofw(" & dt_ds("faqID") & "))"">" & dt_ds("faqQuestion") & "</a>"
      end if

      dt_ds.moveNext
    loop

    tmpContent = tmpContent & "</ul>"

  end if
  dt_ds.close

  ' display topic sub topics *****************************************
  SQLQuery = "SELECT tblFAQ_topics.topicID, tblFAQ_topics_languages.topicName FROM tblFAQ_topics INNER JOIN tblFAQ_topics_languages ON tblFAQ_topics.topicID = tblFAQ_topics_languages.topicID WHERE tblFAQ_topics.parentID=" & tID & " AND tblFAQ_topics_languages.languageID=" & session(sessionPrefix & "aCMS_languageID") & ";"
  Set dt_ds = objConn.execute(SQLQuery)
  if not dt_ds.BOF AND not dt_ds.EOF then
    showTopic = 2
    contentBody = contentBody & tmpContent
    tmpContent = ""

    do until dt_ds.EOF
      displayTopic dt_ds("topicID"), iCount + 1
      dt_ds.moveNext
    loop
  end if
  dt_ds.close
  Set dt_ds = nothing

  tmpContent = tmpContent & "</td></tr></table>"

  if showTopic > 0 then contentBody = contentBody & insertContent(tmpContent)

  'error recording
  recordError err.number, err.description, err.source

End Sub

Sub setupSearchSQL()

  if dMode <> true then on error resume next

  Dim ss_roottopicIDChildren

  if isTextValid(searchQuery) = true then

    searchQuery = Replace(SearchQuery, ">","")
    searchQuery = Replace(SearchQuery, "<","")
    searchQuery = Replace(SearchQuery, "'","''")
    searchQuery = Replace(SearchQuery, "%","%%")

    Dim tmpSQL:tmpSQL = ""
    Dim SearchArray

    If instr(searchQuery, " ") > 0 AND searchAll = true then
      Redim SearchArray(0)
      SearchArray = Split(SearchQuery," ")
      If ubound(SearchArray) > 0 then
        'Many search terms
        For i = 0 to Ubound(SearchArray)
          If i = 0 then
            '1st Search no OR on start, OR on end
            tmpSQL = tmpSQL & "(tblFAQ_languages.faqQuestion LIKE '%" & SearchArray(i) & "%' OR tblFAQ_languages.faqAnswer LIKE '%" & SearchArray(i) & "%') "
          elseif i = ubound(SearchArray) then
            If trim(SearchArray(i)) <> "" then
              'last search term
              tmpSQL = tmpSQL & "OR (tblFAQ_languages.faqQuestion LIKE '%" & SearchArray(i) & "%' OR tblFAQ_languages.faqAnswer LIKE '%" & SearchArray(i) & "%') "
            end if
          else
            If trim(SearchArray(i)) <> "" then
              'Any other nth term, OR on start and OR on end
              tmpSQL = tmpSQL & "OR (tblFAQ_languages.faqQuestion LIKE '%" & SearchArray(i) & "%' OR tblFAQ_languages.faqAnswer LIKE '%" & SearchArray(i) & "%') "
            end if
          end if
        next
      else
        'Single Search Term
        tmpSQL = "(tblFAQ_languages.faqQuestion LIKE '%" & searchQuery & "%' OR tblFAQ_languages.faqAnswer LIKE '%" & searchQuery & "%') "
      end if
    else
      'Single Search Term
      tmpSQL = "(tblFAQ_languages.faqQuestion LIKE '%" & searchQuery & "%' OR tblFAQ_languages.faqAnswer LIKE '%" & searchQuery & "%') "
    end if
  end if

  search_SQLQuery = "SELECT tblFAQ_topics.topicID, tblFAQ_topics_languages.topicName, tblFAQ.faqID, tblFAQ_languages.faqQuestion FROM ((tblFAQ INNER JOIN tblFAQ_languages ON tblFAQ.faqID = tblFAQ_languages.faqID) INNER JOIN tblFAQ_topics ON tblFAQ.topicID = tblFAQ_topics.topicID) INNER JOIN tblFAQ_topics_languages ON tblFAQ_topics.topicID = tblFAQ_topics_languages.topicID WHERE (tblFAQ_topics_languages.languageID=" & session(sessionPrefix & "aCMS_languageID") & " AND tblFAQ_languages.languageID=" & session(sessionPrefix & "aCMS_languageID") & " AND tblFAQ.faqApproved=" & prepBoolean("True") & " AND tblFAQ_topics.topicID=**topicID**) "


  if isTextValid(tmpSQL) then search_SQLQuery = search_SQLQuery & "AND " & tmpSQL & " "

  'include root filter?
  if roottopicID > 0 then
    'yes

    ss_roottopicIDChildren = getChildIDs("tblFAQ_topics", "topicID", "parentID", roottopicID)
    if isTextValid(ss_roottopicIDChildren) = true then
      ss_roottopicIDChildren = roottopicID & "," & ss_roottopicIDChildren
    else
      ss_roottopicIDChildren = roottopicID
    end if

    search_SQLQuery = search_SQLQuery & " AND tblFAQ.topicID IN (" & ss_roottopicIDChildren & ") "

  end if

  search_SQLQuery = search_SQLQuery & "ORDER BY tblFAQ_topics_languages.topicName;"

  'error recording
  recordError err.number, err.description, err.source

End Sub

Function buildRootTopicSelector()
  'build root topic selector for form

  Dim br_SQLQuery, br_ds
  Dim br_out

  'build and execute sql to get root topics
  br_SQLQuery = "SELECT tblFAQ_topics_languages.topicID, tblFAQ_topics_languages.topicName FROM tblFAQ_topics INNER JOIN tblFAQ_topics_languages ON tblFAQ_topics.topicID = tblFAQ_topics_languages.topicID WHERE (tblFAQ_topics.parentID = 0) AND (tblFAQ_topics_languages.languageID = " & Session(sessionPrefix & "aCMS_languageID") & ") ORDER BY tblFAQ_topics_languages.topicName ASC;"
  Set br_ds = objConn.execute(br_SQLQuery)

  'records found?
  if not br_ds.BOF AND not br_ds.EOF then

    'build select start with all default selection
    br_out = "<select name=""roottopicID"">" & vbCrLf & "<option value="""">All FAQ's</option>" & vbCrLf

    do until br_ds.EOF

      br_out = br_out & "<option value=""" & htmlEncode(br_ds("topicID")) & """"

      if CLng(roottopicID) = CLng(br_ds("topicID")) then
        br_out = br_out & " selected"
      end if

      br_out = br_out & ">" & htmlEncode(br_ds("topicName")) & "</option>"

      br_ds.moveNext
    loop

    br_out = br_out & "</select>"

  else

    'always root 0
    br_out = "<input type=""hidden"" name=""roottopicID"" value=""0"">"

  end if

  'close and destroy rs object
  br_ds.close
  Set br_ds = Nothing



  'return select
  buildRootTopicSelector = br_out

  'error recording
  recordError err.number, err.description, err.source

End Function

%><!-- #include file="inc/db_connection_close.asp" -->