<!-- #include file="globals_functions.asp" -->
<!-- #include file="db_connection.asp" -->
<!-- #include file="newsletter.asp" -->
<!-- #include file="email.asp" -->
<%

'check for error connecting to db
checkNoDb err.number

'load initial session constants
loadSession()

if isTextValid(session(sessionPrefix & "LCID")) then session.LCID = session(sessionPrefix & "LCID")

if not isTextValid(session(sessionPrefix & "aCMSsessionID")) then

  'User has no aCMS session, check if a session is being passed

  g_i = request.form("aCMSsessionID")
  if isTextValid(g_i) = false then g_i = request.queryString("esi")
  if isTextValid(g_i) then
    set ds = Server.CreateObject("ADODB.Recordset")

    SQLQuery = "SELECT"
    'non mysql top call
    if not databaseType = 3 then
      SQLQuery = SQLQuery & " TOP 1 "
    end if
    SQLQuery = SQLQuery & " searchCount, customerID, languageID FROM tblVisitors WHERE sessionID = '" & prepString(g_i) & "'"
    'mysql limit call
    if databaseType = 3 then
      ds.cursorLocation = 3
      SQLQuery = SQLQuery & " LIMIT 1"
    end if
    SQLQuery = SQLQuery & ";"

    ds.open SQLQuery, objConn, 3
    g_j = ds.recordCount
    if g_j > 0 then

      'User found from non SSL, load that session
      session(sessionPrefix & "aCMSsessionID") = g_i
      session(sessionPrefix & "searchCount") = ds("searchCount")
      if ds("customerID") > 0 then session(sessionPrefix & "aCMS_customerID") = ds("customerID")
      session(sessionPrefix & "aCMS_languageID") = ds("languageID")
      ds.close
      set ds = nothing
      setupCmsUser(true)
    else
      ds.close
      set ds = nothing
    end if
  end if

  'If no SSL session found, create a new session with setupCmsUser()
  if not isTextValid(session(sessionPrefix & "aCMSsessionID")) then setupCmsUser(false)
end if

isSecurePage = false
spwebsiteURL = ""


'--------------------------------------------------------------
' Ensure accessing website using Website URL
'--------------------------------------------------------------
' redirect to websiteURL if domain does not match - avoids
' problems with dropped cookies
'--------------------------------------------------------------

Dim checkDomainRedirect
checkDomainRedirect = getwebsiteURL()
if isTextValid(checkDomainRedirect) then
  checkDomainRedirect = replace(checkDomainRedirect,"http://","")
  checkDomainRedirect = Left(checkDomainRedirect,InStr(checkDomainRedirect,"/")-1)
  if not lCase(request.serverVariables("HTTPS")) = "on" and not trim(lcase(cstr(""&request.serverVariables("HTTP_HOST")))) = trim(lcase(cstr(""&checkDomainRedirect))) then
    'Redirect to correct url to avoid session drops (non-ssl incorrect domain -> ssl -> back to non-ssl correct domain = dropped session / account etc)"
    redirectBrowser getwebsiteURL()
  end if
end if

'--------------------------------------------------------------


'--------------------------------------------------------------
' Check if the customer has selected a new language
'--------------------------------------------------------------
g_i = request.queryString("lang")
if isNumberValid(g_i) then
  session(sessionPrefix & "aCMS_languageID") = g_i
  loadLanguageCoding()
end if

response.charSet = session(sessionPrefix & "aCMS_charSet")
session.codePage = session(sessionPrefix & "aCMS_codePage")

if request.queryString("printVersion") = "1" then response.write "globals.asp V2.3.2"

returnPage = request("rp")

%>