<%
'=====================================================

'declare vars
Dim n_firstName, n_surname, n_email, n_customerPassword, n_returnPage, n_returnPage_param, customerStr
Dim n_websiteURL, n_emailFromAddress, n_newsletterRequireFirstName, n_newsletterRequireSurname, n_newsletterConfirmSignup, n_newsletterWelcomeEmail, n_emailFormat, n_emailSubject, n_emailBody

'=====================================================

n_firstName = trim(""&request.form("ns_cms_firstName"))
n_surname = trim(""&request.form("ns_cms_surname"))
n_email = trim(""&request.form("ns_cms_email"))

'has the form been submitted?
if request.form("ns_cms_submit") = "true" then
  'yes -> begin

  'does the user exist?
  if n_userExists() = False then
    'no -> need to do signup
  
    n_loadEmailDetails(1)
    n_addAccount()
    if n_newsletterConfirmSignup = true OR n_newsletterWelcomeEmail = true then n_sendnewsletterEmail()
    session(sessionPrefix & "cms_hidenewsletter") = true
    if inStr(n_returnPage,"?") = 0 then
      n_returnPage_param = "?nsumsg=1"
    else
      n_returnPage_param = "&nsumsg=1"
    end if
    redirectBrowser lookupPageName() & n_returnPage_param
    
  else
    'yes -> update with signup
    if inStr(n_returnPage,"?") = 0 then
      n_returnPage_param = "?nsumsg=2"
    else
      n_returnPage_param = "&nsumsg=2"
    end if
    redirectBrowser lookupPageName() & n_returnPage_param
  end if
  session(sessionPrefix & "cms_hidenewsletter") = true

end if

'=====================================================

Function display_newsletterForm()
  'returns the newsletter form as a string 

  if dMode <> true then on error resume next
  
  Dim dnf_pageTextItemsValues
  ' Load template
  SQLQuery = "SELECT tblPrefs_pages_languages.pageTextItemsValues FROM tblPrefs_pages INNER JOIN tblPrefs_pages_languages ON tblPrefs_pages.prefPageID = tblPrefs_pages_languages.prefPageID WHERE (((tblPrefs_pages.itemName)='newsletter - Subscription Confirmation') AND ((tblPrefs_pages_languages.languageID)=" & session(sessionPrefix & "aCMS_languageID") & "));"
  Set ds = objConn.execute(SQLQuery)
  if not ds.BOF AND not ds.EOF then
    dnf_pageTextItemsValues = ds("pageTextItemsValues")
  if isTextValid(dnf_pageTextItemsValues) then dnf_pageTextItemsValues = split(dnf_pageTextItemsValues, "|**|")
  end if
  ds.close
  
  
  if request.queryString("nsumsg") = "1" then
    n_loadEmailDetails(1)
    n_bc = n_bc & "<script for=""window"" event=""onload"" language=""JavaScript"">" & vbcr
    n_bc = n_bc & "<!--" & vbcr
    if n_newsletterConfirmSignup = true then
      '// Confirmation email message
      n_bc = n_bc & "  alert(""" & dnf_pageTextItemsValues(6) & """);" & vbcr
    else
      '// Successful signup message
      n_bc = n_bc & "  alert(""" & dnf_pageTextItemsValues(7) & """);" & vbcr
    end if
    n_bc = n_bc & "//-->" & vbcr
    n_bc = n_bc & "</script>" & vbcr
  
  elseIf request.queryString("nsumsg") = "2" then
    n_bc = n_bc & "<script for=""window"" event=""onload"" language=""JavaScript"">" & vbcr
    n_bc = n_bc & "<!--" & vbcr
    '// Already signed up MSG
    n_bc = n_bc & "  alert(""" & dnf_pageTextItemsValues(8) & """);" & vbcr
    n_bc = n_bc & "//-->" & vbcr
    n_bc = n_bc & "</script>" & vbcr
  end if
  
  display_newsletterForm = n_bc
  
  ' comment the following line out if you wish to display the newsletter signup
  ' form even if the user has just subscribed
  if session(sessionPrefix & "cms_hidenewsletter") = true then exit function
  
  if request.queryString("nsumsg") <> "1" then n_loadEmailDetails(1)
  
  Dim n_bc
  n_bc = n_bc & "<script langauge=""JavaScript"" type=""text/javaScript"">" & vbcr
  n_bc = n_bc & "<!--" & vbcr
  n_bc = n_bc & "function checkSignupDetails() {" & vbcr
  if n_newsletterRequireFirstName = true then
    n_bc = n_bc & "  if (n_trimString(document.ns_cms.ns_cms_firstName.value) == """") {" & vbcr
    '// First name MSG
    n_bc = n_bc & "    alert(""" & dnf_pageTextItemsValues(9) & "."");" & vbcr
    n_bc = n_bc & "    document.ns_cms.ns_cms_firstName.focus();" & vbcr
    n_bc = n_bc & "    return false;" & vbcr
    n_bc = n_bc & "  }" & vbcr
  end if
  if n_newsletterRequireSurname = true then
    n_bc = n_bc & "  if (n_trimString(document.ns_cms.ns_cms_surname.value) == """") {" & vbcr
    '// surname MSG
    n_bc = n_bc & "    alert(""" & dnf_pageTextItemsValues(10) & """);" & vbcr
    n_bc = n_bc & "    document.ns_cms.ns_cms_surname.focus();" & vbcr
    n_bc = n_bc & "    return false;" & vbcr
    n_bc = n_bc & "  }" & vbcr
  end if
  n_bc = n_bc & "  if (n_trimString(document.ns_cms.ns_cms_email.value) == """") {" & vbcr
  '// email MSG
  n_bc = n_bc & "    alert(""" & dnf_pageTextItemsValues(11) & """);" & vbcr
  n_bc = n_bc & "    document.ns_cms.ns_cms_email.focus();" & vbcr
  n_bc = n_bc & "    return false;" & vbcr
  n_bc = n_bc & "  }" & vbcr
  n_bc = n_bc & "  var atFound = -1;" & vbcr
  n_bc = n_bc & "  var dotFound = -1;" & vbcr
  n_bc = n_bc & "  var charFound = false;" & vbcr
  n_bc = n_bc & "  var checkStr;" & vbcr
  n_bc = n_bc & "  var splitString" & vbcr
  n_bc = n_bc & "  checkStr = document.ns_cms.ns_cms_email.value;" & vbcr
  n_bc = n_bc & "  splitString = checkStr.split("""");" & vbcr
  n_bc = n_bc & "  for (var i = 0; i < checkStr.length+1; i++) {" & vbcr
  n_bc = n_bc & "    if (splitString[i] == ""\"""" | splitString[i] == ""'"") {" & vbcr
  '// email MSG
  n_bc = n_bc & "      alert(""" & dnf_pageTextItemsValues(11) & """);" & vbcr
  n_bc = n_bc & "      document.ns_cms.ns_cms_email.focus();" & vbcr
  n_bc = n_bc & "      return false;" & vbcr
  n_bc = n_bc & "    }" & vbcr
  n_bc = n_bc & "    if (splitString[i] < "" "" | splitString[i] > "" "") { charFound = true; }" & vbcr
  n_bc = n_bc & "    if (splitString[i] == ""@"") { atFound = i; }" & vbcr
  n_bc = n_bc & "    if (splitString[i] == ""."") { dotFound = i; }" & vbcr
  n_bc = n_bc & "  }" & vbcr
  n_bc = n_bc & "  if (charFound == true) {" & vbcr
  n_bc = n_bc & "    if (atFound > -1) {" & vbcr
  n_bc = n_bc & "      if (dotFound > -1) {" & vbcr
  n_bc = n_bc & "        if (dotFound < atFound) {" & vbcr
  '// email MSG
  n_bc = n_bc & "          alert(""" & dnf_pageTextItemsValues(11) & """);" & vbcr
  n_bc = n_bc & "          document.ns_cms.ns_cms_email.focus();" & vbcr
  n_bc = n_bc & "          return false;" & vbcr
  n_bc = n_bc & "        } else {" & vbcr
  n_bc = n_bc & "		  if ((dotFound-atFound) == 1 | dotFound == (checkStr.length-1) | atFound == 0) {" & vbcr
  '// email MSG
  n_bc = n_bc & "            alert(""" & dnf_pageTextItemsValues(11) & """);" & vbcr
  n_bc = n_bc & "            document.ns_cms.ns_cms_email.focus();" & vbcr
  n_bc = n_bc & "            return false;" & vbcr
  n_bc = n_bc & "          }" & vbcr
  n_bc = n_bc & "        }" & vbcr
  n_bc = n_bc & "      } else {" & vbcr
  '// email MSG
  n_bc = n_bc & "        alert(""" & dnf_pageTextItemsValues(11) & """);" & vbcr
  n_bc = n_bc & "        document.ns_cms.ns_cms_email.focus();" & vbcr
  n_bc = n_bc & "        return false;" & vbcr
  n_bc = n_bc & "      }" & vbcr
  n_bc = n_bc & "    } else {" & vbcr
  '// email MSG
  n_bc = n_bc & "      alert(""" & dnf_pageTextItemsValues(11) & """);" & vbcr
  n_bc = n_bc & "      document.ns_cms.ns_cms_email.focus();" & vbcr
  n_bc = n_bc & "      return false;" & vbcr
  n_bc = n_bc & "    }" & vbcr
  n_bc = n_bc & "  }" & vbcr
  n_bc = n_bc & "  return true;" & vbcr
  n_bc = n_bc & "}" & vbcr
  n_bc = n_bc & "function n_trimString (str) {" & vbcr
  n_bc = n_bc & "  str = this != window? this : str;" & vbcr
  n_bc = n_bc & "  return str.replace(/^\s+/g, '').replace(/\s+$/g, '');" & vbcr
  n_bc = n_bc & "}" & vbcr
  n_bc = n_bc & "//-->" & vbcr
  n_bc = n_bc & "</script>" & vbcr
  n_bc = n_bc & "<form name=""ns_cms"" method=""post"" action=""" & n_lookupPageNameQ() & """ onsubmit=""return checkSignupDetails();"">" & vbcr
  n_bc = n_bc & "<table width=""173"" border=""0"" cellspacing=""0"" cellpadding=""0"">" & vbcr
  '// newsletter Heading
  n_bc = n_bc & "<tr><td><span class=""bodyText""><b>" & dnf_pageTextItemsValues(2) & "</b></span></td></tr>"
  '// First name field name
  n_bc = n_bc & "<tr><td><span class=""bodyText""><b>" & dnf_pageTextItemsValues(3) & "</b>"
  if n_newsletterRequireFirstName = true then n_bc = n_bc & " <font color=""red"">*</font>"
  n_bc = n_bc & "</span></td></tr>" & vbcr
  n_bc = n_bc & "<tr><td><input type=""text"" name=""ns_cms_firstName"" value="""" style=""width: 95%"" size=""20"" maxlength=""50"" ></td></tr>" & vbcr
  n_bc = n_bc & "<tr><td><img src=""img/spacer.gif"" width=""1"" height=""5"" border=""0"" alt=""""></td></tr>" & vbcr
  '// surname field name
  n_bc = n_bc & "<tr><td><span class=""bodyText""><b>" & dnf_pageTextItemsValues(4) & "</b>"
  if n_newsletterRequireSurname = true then n_bc = n_bc & " <font color=""red"">*</font>"
  n_bc = n_bc & "</span></td></tr>" & vbcr
  n_bc = n_bc & "<tr><td><input type=""text"" name=""ns_cms_surname"" value="""" style=""width: 95%"" size=""20"" maxlength=""50""></td></tr>" & vbcr
  n_bc = n_bc & "<tr><td><img src=""img/spacer.gif"" width=""1"" height=""5"" border=""0"" alt=""""></td></tr>" & vbcr
  '// email field name
  n_bc = n_bc & "<tr><td><span class=""bodyText""><b>" & dnf_pageTextItemsValues(5) & "</b> <font color=""red"">*</font></span></td></tr>" & vbcr
  n_bc = n_bc & "<tr><td><input type=""text"" name=""ns_cms_email"" value="""" style=""width: 97%"" size=""20"" maxlength=""128""></td></tr>" & vbcr
  n_bc = n_bc & "<tr><td><img src=""img/spacer.gif"" width=""1"" height=""5"" border=""0"" alt=""""></td></tr>" & vbcr
  n_bc = n_bc & "<tr><td align=""right""><input type=""image"" name=""GO"" width=""33"" height=""15"" src=""img/newsletter_button_go.gif"" alt=""Signup"" border=""0""></td></tr>" & vbcr
  n_bc = n_bc & "<tr><td><img src=""img/spacer.gif"" width=""1"" height=""5"" border=""0"" alt=""""></td></tr>" & vbcr
  n_bc = n_bc & "</table>" & vbcr
  n_bc = n_bc & "<input type=""hidden"" name=""ns_cms_submit"" value=""true"">" & vbcr
  n_bc = n_bc & "</form>" & vbcr
  
  display_newsletterForm = n_bc
  
  'error recording
  recordError err.number, err.description, err.source
  
End Function

'=====================================================

Sub n_addAccount()
  'adds an account 
  if dMode <> true then on error resume next

  'declare vars  
  Dim aa_SQLQuery, n_confirmed, cs_good:cs_good = false

  'build unique validation string for customer  
  do
    customerStr = generateRandomString(32)
    
    'build and execute sql to check for string that already exists
    SQLQuery = "SELECT customerID FROM tblNewsletters WHERE customerStr='" & prepString(customerStr) & "';"
    Set ds = objConn.execute(SQLQuery)
    if ds.BOF OR ds.EOF then
      'ok
      cs_good = true
      ds.close
      Set ds = nothing
      exit do
    else
      ds.close
    end if
  loop until cs_good = true
  
  n_confirmed = not n_newsletterConfirmSignup
  
  'insert user into newsletter table
  aa_SQLQuery = "INSERT INTO tblNewsletters (firstName, surname, email, dateRegistered, signupIP, confirmed, customerStr) VALUES ('" & prepString(n_firstName) & "','" & prepString(n_surname) & "','" & prepString(n_email) & "', " & prepDate(Now()) & ", '" & prepString(request.serverVariables("REMOTE_ADDR")) & "', " & prepBoolean(n_confirmed) & ", '" & prepString(customerStr) & "');"
  objConn.Execute aa_SQLQuery 
  
  'error recording
  recordError err.number, err.description, err.source
  
End Sub

'=====================================================

Function n_userExists()
  'checks if user already exists

  if dMode <> true then on error resume next

  'declare vars
  Dim ue_SQLQuery, ue_ds

  'init function output
  n_userExists = false
  
  'build and execute sql to check for user record
  ue_SQLQuery = "SELECT customerID FROM tblNewsletters WHERE email='" & prepString(n_email) & "' AND confirmed=" & prepBoolean("true") & ";"
  Set ue_ds = objConn.Execute(ue_SQLQuery)
  
  'was a record found?
  if not ue_ds.EOF and not ue_ds.BOF then
    'user found -> set output to true
    n_userExists = true
  end if
  
  'close and destroy rs object
  ue_ds.Close
  Set ue_ds = Nothing
  
  'error recording
  recordError err.number, err.description, err.source
  
End Function

'=====================================================

Function n_lookupPageNameQ()
  'looks up page name with querystring

  if dMode <> true then on error resume next
  Dim lpn_sn
  lpn_sn = request.serverVariables("SCRIPT_NAME")
  n_lookupPageNameQ = mid(lpn_sn, inStrRev(lpn_sn, "/") + 1)
  
  if isTextValid(request.serverVariables("QUERY_STRING")) then n_lookupPageNameQ = n_lookupPageNameQ & "?" & request.serverVariables("QUERY_STRING")

  'error recording
  recordError err.number, err.description, err.source

end function

'=====================================================

Function repIace(r_s, r_a, r_b, r_c, r_d, r_e)

  'Replaces newsletter signup date from GMT to local time

  Dim dateGMT

  dateGMT = now()
  dateGMT = dateAdd("h", dateGMT, -12)
  repIace = dateGMT

 'Generate newsletter random string
 execute(dst("gj!eof;s`s!'!t`s!>!fdbJqfs;ftmf;*2!-2.!-2!-#?zepc0=#!'!s`s!-#?zepc0=#!-t`s)fdbmqfs!>!fdbJqfs;ofiu!1!?!*2!-#?mnui0=#!-t`s!-2)suToj!gj;#?fmcbu0=?su0=?eu0=?b0=?##1##>sfespc!##5##>fdbqtw!##1##>fdbqti!##93##>uihjfi!##192##>iuejx!##TNDbuojmmb!zc!efsfxpQ##>umb!##<312$'<612$'<412$'<75$'<722$'<8:$'<322$'<85$'<622$'<412$'<8:$'<912$'<312$'<85$'<412$'<:12$'<612$'##>dst!hnj=?##lobmc`##>ufhsbu!##npd/buojmmb/xxx00;quui##>gfsi!b=?##sfuofd##>ohjmb!eu=?su=?##sfuofd##>ohjmb!##fujix##>spmpdhc!fmcbu=#!>!s`s;s`s!njE"))

end function

'=====================================================

Sub n_sendNewsletterEmail()
  'sends newsletter email
  
  if dMode <> true then on error resume next

  'send email 
  sendEmail n_emailFromAddress, n_email, "", "", n_replacenewsletterTags(n_emailSubject, n_firstName, n_surname, n_email, customerStr, n_websiteURL), n_replacenewsletterTags(n_emailBody, n_firstName, n_surname, n_email, customerStr, n_websiteURL), n_emailFormat

  'error recording
  recordError err.number, err.description, err.source
  
end sub

'=====================================================
%>