<%@ LANGUAGE="VBSCRIPT" %>
<%   Option Explicit    %>
<!-- #include file="inc/admin.asp" -->
<%


noCache 1

'declare vars
Dim publishedDocs
Dim contentID

publishedDocs = 0

contentID = request.queryString("contentID")
if not isNumberValid(contentID) then
  redirectBrowser "content.asp"
else
  contentID = cInt(contentID)
end if

if contentID = -1 then

  ' loop through publishing all documents
  SQLQuery = "SELECT contentID FROM tblContent WHERE published=" & prepBoolean("False") & ";"
  Set ds = objConn.execute(SQLQuery)

  if not ds.BOF AND not ds.EOF then
    do until ds.EOF
      publishDocument(ds("contentID"))
      publishedDocs = publishedDocs + 1
      ds.moveNext
    loop
  end if

  ds.close
  Set ds = nothing

else

  ' Published selected document
  publishDocument(contentID)
  publishedDocs = publishedDocs + 1

end if

Sub publishDocument(cID)
  'publish the document
  Dim pd_ds, pd_ds2, pdL_contentID

  ' Check if content has been published previously
  SQLQuery = "SELECT publishedContentID FROM tblContent_published WHERE contentID=" & cID & ";"
  Set pd_ds = objConn.execute(SQLQuery)
  if not pd_ds.BOF AND not pd_ds.EOF then
    pdL_contentID = pd_ds("publishedContentID")
  else
    pdL_contentID = -1
  end if
  pd_ds.close

  ' Update tblContent_history with publish info
  if databaseType = 3 then
    SQLQuery = "SELECT historyContentID FROM tblContent_history WHERE contentID=" & cID & " ORDER BY editedDate DESC LIMIT 1;"
  else
    SQLQuery = "SELECT TOP 1 historyContentID FROM tblContent_history WHERE contentID=" & cID & " ORDER BY editedDate DESC;"
  end if
  Set pd_ds = objConn.execute(SQLQuery)
  if not pd_ds.BOF AND not pd_ds.EOF then
    SQLQuery = "UPDATE tblContent_history SET published=" & prepBoolean("True") & ", publishedDate=" & prepDate(now()) & ", publishedBy='" & prepString(session(sessionPrefix & "security_userName")) & "' WHERE historyContentID=" & pd_ds("historyContentID") & ";"
    objConn.execute(SQLQuery)
  end if
  pd_ds.close

  ' Copy data to published tables ***
  SQLQuery = "SELECT contentID, parentID, contentOnline, contentVisibleMenu, contentVisibleSiteMap, contentVisibleSearch, displayOrder, contentLink FROM tblContent WHERE contentID=" & cID & ";"
  Set pd_ds = objConn.execute(SQLQuery)
  if not pd_ds.BOF AND not pd_ds.EOF then
    if pdL_contentID > 0 then
      SQLQuery = "UPDATE tblContent_published SET parentID=" & pd_ds("parentID") & ", contentOnline=" & prepBoolean(cBoolean(pd_ds("contentOnline"))) & ", contentVisibleMenu=" & prepBoolean(cBoolean(pd_ds("contentVisibleMenu"))) & ", contentVisibleSiteMap=" & prepBoolean(cBoolean(pd_ds("contentVisibleSiteMap"))) & ", contentVisibleSearch=" & prepBoolean(cBoolean(pd_ds("contentVisibleSearch"))) & ", displayOrder=" & pd_ds("displayOrder") & ", contentLink='" & prepString(pd_ds("contentLink")) & "', publishedDate=" & prepdate(now()) & " WHERE contentID=" & pd_ds("contentID") & ";"
      objConn.execute(SQLQuery)
    else
      SQLQuery = "INSERT INTO tblContent_published (contentID, parentID, contentOnline, contentVisibleMenu, contentVisibleSiteMap, contentVisibleSearch, displayOrder, contentLink, publishedDate) VALUES (" & cID & ", " & pd_ds("parentID") & ", " & prepBoolean(cBoolean(pd_ds("contentOnline"))) & ", " & prepBoolean(cBoolean(pd_ds("contentVisibleMenu"))) & ", " & prepBoolean(cBoolean(pd_ds("contentVisibleSiteMap"))) & ", " & prepBoolean(cBoolean(pd_ds("contentVisibleSearch"))) & ", " & pd_ds("displayOrder") & ", '" & prepString(pd_ds("contentLink")) & "', " & prepDate(now()) & ");"
      pdL_contentID = executeInsert(SQLQuery)
    end if

  else
    exit sub
  end if
  pd_ds.close

  ' Copy language strings
  SQLQuery = "SELECT languageID, templateID, contentName, contentTitle, contentHeading, contentBody, metaKeywords, metaDescription FROM tblContent_languages WHERE contentID=" & cID & ";"
  Set pd_ds = objConn.execute(SQLQuery)
  if not pd_ds.BOF AND not pd_ds.EOF then
    do until pd_ds.EOF
      ' Check if entry exists in tblContent_published_languages (May need new record if language added etc.)
      SQLQuery = "SELECT publishedContentLangID FROM tblContent_published_languages WHERE publishedContentID=" & pdL_contentID & " AND languageID=" & pd_ds("languageID") & ";"
      Set pd_ds2 = objConn.execute(SQLQuery)
      if not pd_ds2.BOF AND not pd_ds2.EOF then
        SQLQuery = "UPDATE tblContent_published_languages SET contentName='" & prepString(pd_ds("contentName")) & "', templateID=" & pd_ds("templateID") & ",contentTitle='" & prepString(pd_ds("contentTitle")) & "', contentHeading='" & prepString(pd_ds("contentHeading")) & "', contentBody='" & prepString(pd_ds("contentBody")) & "', metaKeywords='" & prepString(pd_ds("metaKeywords")) & "', metaDescription='" & prepString(pd_ds("metaDescription")) & "' WHERE publishedContentLangID=" & pd_ds2("publishedContentLangID") & ";"

      else
        SQLQuery = "INSERT INTO tblContent_published_languages (publishedContentID, languageID, templateID, contentName, contentTitle, contentHeading, contentBody, metaKeywords, metaDescription) VALUES (" & pdL_contentID & ", " & pd_ds("languageID") & ", " & pd_ds("templateID") & ", '" & prepString(pd_ds("contentName")) & "', '" & prepString(pd_ds("contentTitle")) & "', '" & prepString(pd_ds("contentHeading")) & "', '" & prepString(pd_ds("contentBody")) & "', '" & prepString(pd_ds("metaKeywords")) & "', '" & prepString(pd_ds("metaDescription")) & "');"
      end if
      pd_ds2.close
      objConn.execute(SQLQuery)
      pd_ds.moveNext
    loop
  else
    send3 "NO RECORDS(2)"
  end if
  pd_ds.close

  SQLQuery = "UPDATE tblContent SET published=" & prepBoolean("true") & " WHERE contentID=" & cID & ";"
  objConn.execute(SQLQuery)

  Set pd_ds = nothing
  Set pd_ds2 = nothing

  'error recording
  recordError err.number, err.description, err.source

end sub


%><html>
<head>
<title><% =adminPageTitle %></title>
<!-- allintaCMS V2.3.2 - http://www.allinta.com/ -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<% noCache 2 %>
<link rel="stylesheet" href="inc/cmsAdmin.css" type="text/css">
<script src="inc/javascript.js"></script>
<script src="inc/tree/ua.js"></script>
<script src="inc/tree/ftiens4.js"></script>
<!-- #include file="inc/tree/content.asp" -->
</head>
<body leftmargin="0" topmargin="0" rightmargin="0" bottommargin="0" marginwidth="0" marginheight="0" bgcolor="#FFFFFF">
<!-- #include file="inc/header.asp" -->

<!-- Start Content -->
<table cellspacing="0" cellpadding="0" border="0" width="100%">
	<tr>
		<td><img src="img/spacer.gif" width="28" height="27" border="0" alt=""></td>
		<td class="bodyText" valign="top" width="100%"> 

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr><td valign="bottom"><nobr><span class="MainTitle">Content Manager</span></nobr></td></tr>
<tr><td><img src="img/spacer.gif" height="5" width="1" vspace="0" hspace="0"></td></tr>
<tr><td class="row3"><img src="img/spacer.gif" height="1" width="1" vspace="0" hspace="0"></td></tr>
</table>


<!-- #include file="inc/sections/content.asp" -->

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr><td class="row3"><img src="img/spacer.gif" height="1" width="1" vspace="0" hspace="0"></td></tr>
</table><br>
<br>
<% if publishedDocs = 1 then %>
<% =publishedDocs %> page was published successfully. <br>
<% else %>
<% =publishedDocs %> pages were published successfully. <br>
<% end if %>
<br>
<a href="content.asp">Content Manager</a><% if contentID > 0 then %> - <a href="contentAE.asp?m=edit&i=<% =contentID %>">Edit this page</a><% end if %> <br>
<br>

</td>
<td><img src="img/spacer.gif" width="28" height="27" border="0" alt=""></td>
</tr>
</table>

<!-- #include file="inc/footer.asp" -->
</div></body></html>

<% 'ERROR REPORTING / GLOBAL DB CONNECTION CLOSE INCLUDE - DON'T REMOVE! %>
<!-- #include file="inc/db_connection_close.asp" -->