<%

Sub sendemail(msgFrom, msgTo, msgCC, msgBCC, subject, msg, msgFormat)
  if dMode <> true then on error resume next

  if not isTextValid(msgFrom) OR not isTextValid(msgTo) then exit sub

  Dim se_emailSystem, se_objMail, se_i, se_j, se_msgFrom, se_msgFromName, se_serverAddress
  Dim se_ds, se_SQLQuery, se_objConf, se_serverPort

  'load the email system (and server in case required) from tblStore_Email
  se_SQLQuery = "SELECT emailSystem, emailSystemServer FROM tblPrefs_email;"
  Set se_ds = objConn.Execute(se_SQLQuery)
  if not se_ds.EOF and not se_ds.BOF then
    se_emailSystem = se_ds("emailSystem")
    se_serverAddress = se_ds("emailSystemServer")
  end if
  se_ds.Close
  Set se_ds = Nothing
  Select case se_emailSystem
    Case 0 ' CDONTS
	  '--------------------------------------------------------------
	  ' CDONTS
	  '--------------------------------------------------------------

  	  Set se_objMail = CreateObject("CDONTS.Newmail")
  	  if msgFormat = 1 then
  	    ' HTML email
  	    se_objMail.mailFormat = 0
        se_objMail.bodyFormat = 0
      end if
      se_objMail.from = msgFrom
      se_objMail.to = msgTo
      if msgCC <> "" then se_objMail.cc = msgCC
      if msgBCC <> "" then se_objMail.bcc = msgBCC
      se_objMail.importance = 1
      se_objMail.subject = subject
      se_objMail.body = msg
      se_objMail.send
      set se_objMail = nothing


    Case 5, 6 ' CDOSYS Local AND Remote SMTP
      '--------------------------------------------------------------
      ' CDOSYS Local AND Remote SMTP
      '--------------------------------------------------------------

      Set se_objMail = Server.CreateObject("CDO.Message")

      '-- Config items --------------------------------------------

      Set se_objConf = Server.CreateObject("CDO.Configuration")

      Select Case se_emailSystem

        Case 5 'Local IIS

          'set to local pickup
          se_objconf.fields.Item("http://schemas.microsoft.com/cdo/configuration/sendusing") = 1 'Local IIS mail server

          'set pickup dir
          if isTextValid(se_serverAddress) = true then
            'specified -> set to
            se_objconf.fields.Item("http://schemas.microsoft.com/cdo/configuration/smtpserverpickupdirectory") = se_serverAddress
          else
            'not specified -> use default
            se_objconf.fields.Item("http://schemas.microsoft.com/cdo/configuration/smtpserverpickupdirectory") = "c:\Inetpub\mailroot\pickup"
          end if

        Case 6 'Remote SMTP

          'check for port num included
          if inStr(se_serverAddress,",") <> 0 then
            'port has been specified
            se_j = split(se_serverAddress,",")
            se_serverAddress = se_j(0)
            if ubound(se_j) > 0 then
              se_serverPort = se_j(1)
              'set to number if ok, otherwise back to default
              if isNumberValid(se_serverPort) = true then
                se_serverPort = CLng(se_serverPort)
              else
                se_serverPort = 25
              end if
            end if
          else
            'no -> set default smtp port
            se_serverPort = 25
          end if

          'set to remote SMTP
          se_objconf.fields.Item("http://schemas.microsoft.com/cdo/configuration/sendusing") = 2 'Remote SMTP server
	      se_objconf.fields.Item("http://schemas.microsoft.com/cdo/configuration/smtpserver") = se_serverAddress 'Remote SMTP host
	      se_objconf.fields.Item("http://schemas.microsoft.com/cdo/configuration/smtpserverport") = se_serverPort 'Remote SMTP port

      End Select

	  se_objconf.fields.Update
      se_objMail.Configuration = se_objConf

      '-- End Config items --------------------------------------


      se_objMail.from = msgFrom
      se_objMail.to = msgTo


      if msgCC <> "" then se_objMail.cc = msgCC
      if msgBCC <> "" then se_objMail.bcc = msgBCC

      se_objMail.subject = subject
      if msgFormat = 1 then
        se_objMail.HTMLBody = msg
      else
        se_objMail.textBody = msg
      end if


      se_objMail.send
      set se_objMail = nothing

      ' --------------------------------

    Case 1 ' aspemail
	  '--------------------------------------------------------------
	  ' ASPEmail
	  '--------------------------------------------------------------

	  if not isTextValid(se_serverAddress) then exit sub

	  if inStr(msgFrom, "<") > 0 AND inStr(msgFrom, ">") > 0 then
		se_i = inStr(msgFrom, "<")
		se_j = inStr(msgFrom, ">")
		se_msgFrom = mid(msgFrom, se_i+1, se_j-se_i-1)
		se_msgFromName = left(msgFrom, se_i-1)
	  else
		se_msgFrom = msgFrom
	  end if

	  Set se_objMail = Server.CreateObject("Persits.MailSender")

	  if msgFormat = 1 then
	    ''HTML email
	    se_objMail.IsHTML = True
	  else
	    se_objMail.IsHTML = False
	  end if

	  if se_msgFromName <> "" then se_objMail.FromName    = se_msgFromName
	  se_objMail.Priority = 1
	  se_objMail.From = se_msgFrom
	  if se_msgFromName <> "" then se_objMail.FromName = se_msgFromName
	  se_objMail.Host = se_serverAddress
	  se_objMail.AddAddress msgTo

	  if msgCC <> "" then
		se_j = countFields(msgCC, ";")
		for se_i = 1 to se_j
		  se_objMail.AddCC nthField(msgCC, ";", se_i)
		next ' se_i
	  end if

	  if msgBCC <> "" then
		se_j = countFields(msgBCC, ";")
		for se_i = 1 to se_j
		  se_objMail.AddBCC nthField(msgBCC, ";", se_i)
		next ' se_i
	  end if

	  se_objMail.Subject = subject
	  se_objMail.Body = msg
	  se_objMail.Send
	  set se_objMail = nothing

    Case 2 ' aspMail
	  '--------------------------------------------------------------
	  ' ASPMail
	  '--------------------------------------------------------------

	  if not isTextValid(se_serverAddress) then exit sub

	  if inStr(msgFrom, "<") > 0 AND inStr(msgFrom, ">") > 0 then
		se_i = inStr(msgFrom, "<")
		se_j = inStr(msgFrom, ">")
		se_msgFrom = mid(msgFrom, se_i+1, se_j-se_i-1)
		se_msgFromName = left(msgFrom, se_i-1)
	  else
		se_msgFrom = msgFrom
	  end if

	  Set se_objMail = Server.CreateObject("SMTPsvg.Mailer")
	  if msgFormat = 1 then
	    ''HTML email
	  	se_objMail.ContentType = "text/html"
	  end if
	  if se_msgFromName <> "" then se_objMail.FromName    = se_msgFromName
	  se_objMail.Priority = 1
	  se_objMail.FromAddress = se_msgFrom
	  se_objMail.RemoteHost = se_serverAddress

	  if msgTo <> "" then
		se_j = countFields(msgTo, ";")
		for se_i = 1 to se_j
		  se_objMail.AddRecipient "", nthField(msgTo, ";", se_i)
		next ' se_i
	  end if

	  if msgCC <> "" then
		se_j = countFields(msgCC, ";")
		for se_i = 1 to se_j
		  se_objMail.AddCC "", nthField(msgCC, ";", se_i)
		next ' se_i
	  end if

	  if msgBCC <> "" then
		se_j = countFields(msgBCC, ";")
		for se_i = 1 to se_j
		  se_objMail.AddBCC "", nthField(msgBCC, ";", se_i)
		next ' se_i
	  end if

	  se_objMail.Subject = subject
	  se_objMail.bodyText = msg

	  if Not se_objMail.SendMail then
		'nothing
	  end if
	  set se_objMail = nothing

    Case 3 ' JMail 3
	  '--------------------------------------------------------------
	  ' JMail 3
	  '--------------------------------------------------------------

	  if not isTextValid(se_serverAddress) then exit sub

	  if inStr(msgFrom, "<") > 0 AND inStr(msgFrom, ">") > 0 then
		se_i = inStr(msgFrom, "<")
		se_j = inStr(msgFrom, ">")
		se_msgFrom = mid(msgFrom, se_i+1, se_j-se_i-1)
		se_msgFromName = left(msgFrom, se_i-1)
	  else
		se_msgFrom = msgFrom
	  end if

	  set se_objMail = Server.CreateObject("Jmail.smtpmail")
	  if msgFormat = 1 then
	    ''HTML email
	  	se_objMail.ContentType = "text/html"
	  end if
	  se_objMail.priority = 1

	  se_objMail.Sender = se_msgFrom

	  se_objMail.AddRecipient msgTo

	  if msgCC <> "" then
		se_j = countFields(msgCC, ";")
		for se_i = 1 to se_j
		  se_objMail.AddRecipientCC nthField(msgCC, ";", se_i)
		next ' se_i
	  end if

	  if msgBCC <> "" then
		se_j = countFields(msgBCC, ";")
		for se_i = 1 to se_j
		  se_objMail.AddRecipientBCC nthField(msgBCC, ";", se_i)
		next ' se_i
	  end if

	  se_objMail.Subject = subject
	  se_objMail.Body = msg
	  se_objMail.AddHeader "Originating-IP", request.serverVariables("REMOTE_ADDR")
	  se_objMail.Execute
	  Set se_objMail = Nothing

    Case 4 ' JMail 4
	  '--------------------------------------------------------------
	  ' JMail 4
	  '--------------------------------------------------------------

	  if not isTextValid(se_serverAddress) then exit sub

	  if inStr(msgFrom, "<") > 0 AND inStr(msgFrom, ">") > 0 then
		se_i = inStr(msgFrom, "<")
		se_j = inStr(msgFrom, ">")
		se_msgFrom = mid(msgFrom, se_i+1, se_j-se_i-1)
		se_msgFromName = left(msgFrom, se_i-1)
	  else
		se_msgFrom = msgFrom
	  end if

	  set se_objMail = Server.CreateObject("JMail.Message")

	  ' logging for debugging, silent for errors
	  se_objMail.Logging = true
	  se_objMail.silent = true

	  se_objMail.priority = 1

	  se_objMail.From = se_msgFrom
	  if se_msgFromName <> "" then se_objMail.FromName = se_msgFromName

	  se_objMail.AddRecipient msgTo

	  if msgCC <> "" then
		se_j = countFields(msgCC, ";")
		for se_i = 1 to se_j
		  se_objMail.AddRecipientCC nthField(msgCC, ";", se_i)
		next ' se_i
	  end if

	  if msgBCC <> "" then
		se_j = countFields(msgBCC, ";")
		for se_i = 1 to se_j
		  se_objMail.AddRecipientBCC nthField(msgBCC, ";", se_i)
		next ' se_i
	  end if

	  se_objMail.Subject = subject

	  if msgFormat = 1 then
	    se_objMail.HTMLBody = msg
	  else
	    se_objMail.Body = msg
	  end if

	  if not se_objMail.Send(se_serverAddress) then
		'// send "<pre>" & se_objMail.log & "</pre>"
	  end if
	  Set se_objMail = Nothing

  End Select
End Sub

' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Function sendVoucheremail(voucherCode, voucheramount, emailTo, purchaseDate)
  if dMode <> true then on error resume next
  Dim sve_objMail, sve_Subject, sve_From, sve_Body, sve_bcc

  Set ds3 = Server.CreateObject("ADODB.Recordset")
  ds3.Open "tblStore_Email",dbConnectionStr,2,3,2

  if not ds3.EOF and not ds3.BOF then
    sve_Body = ds3("voucherBody")
    sve_Subject = ds3("vouchersubject")
    sve_From = ds3("emailFromAddress")
    if ds3("ccStaff") = true then
      if ds3("staffEmail1") <> "" then sve_bcc = ds3("staffEmail1") & ";"
      if ds3("staffEmail2") <> "" then sve_bcc = ds3("staffEmail2") & ";"
      if ds3("staffEmail3") <> "" then sve_bcc = ds3("staffEmail3") & ";"
    end if
    if len(sve_bcc) > 0 then sve_bcc = left(sve_bcc, len(sve_bcc)-1)
  end if
  ds3.close
  Set ds3 = Nothing

  if not isTextValid(sve_From) OR not isTextValid(emailTo) then exit function

  '// Merge in voucher specific details
  sve_Body = Replace(sve_Body, "[VoucherCode]", voucherCode)
  sve_Body = Replace(sve_Body, "[VoucherAmount]", formatCurr(Voucheramount, 2))
  sve_Body = Replace(sve_Body, "[PurchaseDate]", FormatDateTime(purchaseDate, 1))
  sve_Subject = Replace(sve_Subject, "[VoucherCode]", voucherCode)
  sve_Subject = Replace(sve_Subject, "[VoucherAmount]", formatCurr(Voucheramount, 2))
  sve_Subject = Replace(sve_Subject, "[PurchaseDate]", FormatDateTime(purchaseDate, 1))

  sendemail sve_From, emailTo, "", sve_bcc, sve_Subject, sve_Body, 2
End Function


if request.queryString("printVersion") = "1" then response.write "email.asp V2.3.2"
%>