<%
'=====================================================
' Contains admin side functions for language
' editing selection
'=====================================================

'declare vars
Dim languageID, language_updateAll, languagesDisplayed, languageIsDefault


languagesDisplayed = false


'init language id var
if request.queryString("m") = "add" then
  languageID = session(sessionPrefix & "aCMS_DefaultLanguageID")
else
  'check query string and form
  languageID = request.queryString("languageID")
  if isNumberValid(languageID) = false then languageID = request.form("languageID")
  
  if isNumberValid(languageID) = false then
    if isNumberValid(session(sessionPrefix & "aCMS_lastUsedLanguageID")) then
      languageID = session(sessionPrefix & "aCMS_lastUsedLanguageID")
    else
      languageID = session(sessionPrefix & "aCMS_DefaultLanguageID")
    end if
  else
    languageID = CLng(languageID)
  end if
end if
session(sessionPrefix & "aCMS_lastUsedLanguageID") = languageID


'get update all flag
language_updateAll = CBoolean(request.form("language_updateAll"))

' Is the selected language the default
if languageID = session(sessionPrefix & "aCMS_DefaultLanguageID") then
  languageIsDefault = true
else
  languageIsDefault = false
end if


'=====================================================

Sub displayLanguageSelectorHtml(dlsh_active, dlsh_applyAll)
  'outputs standard design form area
  ' Test if only 1 language
  SQLQuery = "SELECT COUNT(languageID) as langCount FROM tblLanguages;"
  Set ds = objConn.execute(SQLQuery)
  if not ds.BOF AND not ds.EOF then
    if ds("langCount") = 1 then
      send "<input name=""languageID"" type=""hidden"" value=""" & session(sessionPrefix & "aCMS_DefaultLanguageID") & """>"
      ds.close
      Set ds = nothing
      exit sub
    end if
  else
  
  end if
  ds.close
  Set ds = nothing


  %><table border="0" cellspacing="0" cellpadding="3" width="100%">
  <tr>
  <td align="left" valign="middle" class="row1" width="15"><img src="img/source/arrow_main.gif" width="15" height="15" vspace="2"></td>
  <td align="left" class="row1"><span class="SubTitle">Language</span></td>
  </tr>
  </table>

  <table cellpadding=5 cellspacing="1" border="0">
  <tr>
  <td align="left" width="11" valign="top">&nbsp;</td>
  <td class="row2" align="left"><span class="bodyTextBold">Select language</span></td>
  <td class="row2" align="left"><% displayLanguageSelector languageID, dlsh_active %></td>
  </tr><%

  if dlsh_applyAll = true then

    %><tr>
    <td align="left" width="11" valign="top">&nbsp;</td>
    <td class="row2" align="left"><span class="bodyTextBold">&nbsp;</span></td>
    <td class="row2" align="left">
    <table cellpadding="1" cellspacing="1" border="0">
    <tr><td><input type="checkbox" name="language_updateAll" value="true"></td><td><span class="bodyText">On <b>update</b>, apply these values to all languages</span></td></tr>
    </table>
    </td>
    </tr><%

  end if

  %></table>
  <br><%

End Sub

Sub displayLanguageSelector(dls_languageID, dls_active)
  'outputs langauge selector list select
  Dim dls_SQLQuery, dls_ds, dls_queryStringIn, dls_queryStringOut

  'if active reload required
  if dls_active = true then

    'get query string for appending to location call
    dls_queryStringIn = request.serverVariables("QUERY_STRING")

    if inStr(dls_queryStringIn,"&languageID=") <> 0 then

      dls_queryStringOut = Left(dls_queryStringIn,inStr(dls_queryStringIn,"&languageID=")-1)
      dls_queryStringIn = Right(dls_queryStringIn,Len(dls_queryStringIn)-Len(dls_queryStringOut))
      if InStr(dls_queryStringIn,"&") = 1 then dls_queryStringIn = Right(dls_queryStringIn,Len(dls_queryStringIn)-1)
      if InStr(dls_queryStringIn,"&") <> 0 then
        dls_queryStringIn = Right(dls_queryStringIn,Len(dls_queryStringIn)-InStr(dls_queryStringIn,"&"))
        dls_queryStringOut = dls_queryStringOut & "&" & dls_queryStringIn & "&"
      else
        dls_queryStringIn = ""
        if isTextValid(dls_queryStringOut) = true then dls_queryStringOut = dls_queryStringOut & "&"
      end if
    else
      if inStr(dls_queryStringIn,"languageID=") <> 0 then dls_queryStringIn = ""
      if isTextValid(dls_queryStringIn) = true then dls_queryStringOut = dls_queryStringIn & "&"
    end if

  end if

  'get rs of languages
  if databaseType = 3 then
    dls_SQLQuery = "SELECT languageID, languageName, languageDefault FROM tblLanguages ORDER BY languageDefault DESC, languageName ASC;"
  else
    dls_SQLQuery = "SELECT languageID, languageName, languageDefault FROM tblLanguages ORDER BY languageDefault ASC, languageName ASC;"
  end if
  Set dls_ds = objConn.Execute(dls_SQLQuery)

  if not dls_ds.EOF and not dls_ds.BOF then

    if dls_active = true then
      %><script language="JavaScript">
      <!--
      function redirectLanguage(rl_obj) {
        var conf = confirm('Are you sure you wish to edit another language?\n\nUnsaved changes will be lost.');
        if (conf == true) {
          location.href="<%=lookupPageName()%>?<%=dls_queryStringOut%>languageID="+rl_obj[rl_obj.selectedIndex].value;
        } else {
          for (var rl_i = 0; rl_i < rl_obj.length; rl_i++) {
            if (rl_obj[rl_i].value == "<%=languageID%>") { rl_obj.selectedIndex = rl_i; }
            }
          }
        }
      //-->
      </script><%
    end if
    %><select name="languageID" class="formElementText"<%
    if dls_active = true then
      %> onChange="void(redirectLanguage(this));"<%
    end if
    %>><%
    do until dls_ds.EOF
      %><option value="<%=dls_ds("languageID")%>"<%
      if dls_languageID = dls_ds("languageID") then
        %> selected<%
      end if
      %>><%=dls_ds("languageName")%><%
      if dls_ds("languageDefault") = true then
        %> (default)<%
      end if
      %></option><%

      dls_ds.MoveNext
    loop
    %></select><%
  else
    %><span class="bodyText">No additional languages defined</span><%
  end if

  dls_ds.Close
  Set dls_ds = Nothing

End Sub

'=====================================================

Sub listLanguages()
  'inits ds with languages rs
  Dim ll_SQLQuery
  ll_SQLQuery = "SELECT languageID, languageDefault FROM tblLanguages;"
  Set ds = objConn.Execute(ll_SQLQuery)
End Sub

'=====================================================

Sub resetLangChoice()
  ' Sets languageID to default languageID (Adding items to db)
  languageID = session(sessionPrefix & "aCMS_DefaultLanguageID")
  session(sessionPrefix & "aCMS_lastUsedLanguageID") = languageID
  languageIsDefault = true

end sub

'=====================================================


Sub insertLanguages(il_SQLQuery)
  'inserts all languages for table
  ' Replaces [[#languageID#]] with db language id
  Dim il_SQLQuery_replace
  listLanguages()
  if not ds.EOF and not ds.BOF then
    do until ds.EOF
      il_SQLQuery_replace = replace(il_SQLQuery, "[[#languageID#]]", ds("languageID"))
      objConn.Execute il_SQLQuery_replace
      ds.MoveNext
    loop
  end if
  ds.Close
  Set ds = Nothing

End Sub

'=====================================================

%>