<%@ LANGUAGE="VBSCRIPT" %>
<% Option Explicit %>
<!-- #include file="inc/admin.asp" -->
<%


'init response no cache settings
noCache 1

'declare vars
Dim visitorsToday, visitorsWeek, visitorsMonth
Dim noErrors, lastStatsUpdate, unpublishedCount, visitorCount, cmsUpdate, adminAlert, urlAlert
Dim tp_SQLQuery, tp_i, tp_maxPages
Dim pTemplateFilename_cs

' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Set ds = Server.CreateObject("ADODB.Recordset")

' Number of unviewed errors
SQLQuery = "SELECT errorID FROM tblErrors WHERE errorViewed=" & prepBoolean("False") & ";"
if databaseType = 3 then ds.cursorLocation = 3
ds.open SQLQuery, objConn, 3
noErrors = ds.recordCount
ds.close

' -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

' Get date of last stat update
SQLQuery = "SELECT lastStatsUpdate FROM tblPrefs;"
Set ds = objConn.execute(SQLQuery)
if not ds.BOF AND not ds.EOF then
  if isDate(ds("lastStatsUpdate")) then
    lastStatsUpdate = formatDateTime(ds("lastStatsUpdate"), 1)
  else
    lastStatsUpdate = "NEVER"
  end if
else
  lastStatsUpdate = "NEVER"
end if

' No. unpublished pages
SQLQuery = "SELECT COUNT(contentID) AS upc FROM tblContent WHERE published=" & prepBoolean("False") & ";"
Set ds = objConn.execute(SQLQuery)
if not ds.BOF AND not ds.EOF then
  unpublishedCount = ds("upc")
end if
ds.close
if not isNumberValid(unpublishedCount) then unpublishedCount = 0
if unpublishedCount = 1 then
  unpublishedCount = "There is 1 <a href=""content.asp?listMode=true&up=true"">unpublished page</a>"
elseIf unpublishedCount = 0 then
  unpublishedCount = "There are no unpublished pages"
else
  unpublishedCount = "There are " & unpublishedCount & " <a href=""content.asp?listMode=true&up=true"">unpublished pages</a>"
end if

' No. visitors today
SQLQuery = "SELECT visitors FROM tblStatistics WHERE day(statDate)=" & day(date()) & " AND month(statDate)=" & month(date()) & " AND year(statDate)=" & year(date()) & ";"
if databaseType = 3 then SQLQuery = replace(SQLQuery," day("," dayofmonth(")
Set ds = objConn.execute(SQLQuery)
if not ds.BOF AND not ds.EOF then
  visitorCount = ds("visitors")
end if
ds.close
if not isNumberValid(visitorCount) then
  visitorCount = ""
else
  if visitorCount = 0 then
    visitorCount = "<li>Your site has had no visitors today"
  elseIf visitorCount = 1 then
    visitorCount = "<li>Your site has had 1 visitor today"
  else
    visitorCount = "<li>Your site has had " & visitorCount & " visitors today"
  end if
end if


' check if admin tasks needs running
SQLQuery = "SELECT COUNT(visitorID) AS vc FROM tblVisitors WHERE visitorDateTime < " & prepDate( DateAdd("m", -1, Date()) ) & ";"
Set ds = objConn.execute(SQLQuery)
if not ds.BOF AND not ds.EOF then
  i = ds("vc")
end if
ds.close
SQLQuery = "SELECT COUNT(ID) AS vc FROM tblVisitorsAdmin WHERE aDateTime < " & prepDate( DateAdd("m", -1, Date()) ) & ";"
Set ds = objConn.execute(SQLQuery)
if not ds.BOF AND not ds.EOF then
  if isNumberValid(ds("vc")) then
    if ds("vc") > i then i = ds("vc")
  end if
end if

if isNumberValid(i) then
  if i > 4000 then
    adminAlert = "You should run the <a href=""dbAdmin.asp"">db administration tool</a> as soon as possible to save space in your database."
  elseIf i > 2000 then
    adminAlert = "You should run the <a href=""dbAdmin.asp"">db administration tool</a> sometime soon to save space in your database."
  end if
end if

' check if website URL's need setting
SQLQuery = "SELECT websiteURL, adminURL FROM tblPrefs;"
Set ds = objConn.execute(SQLQuery)
if not ds.BOF AND not ds.EOF then
  if not isTextValid(ds("websiteURL")) OR not isTextValid(ds("adminURL")) then
    urlAlert = true
  else
    urlAlert = false
  end if
end if
ds.close

' check if page shave no templates
SQLQuery = "SELECT tblContent_published_languages.publishedContentID, tblTemplates.templateID FROM (tblContent_published_languages LEFT JOIN tblTemplates ON tblContent_published_languages.templateID = tblTemplates.templateID) INNER JOIN tblContent_published ON tblContent_published_languages.publishedContentID = tblContent_published.publishedContentID WHERE (((tblTemplates.templateID) Is Null) AND ((tblContent_published.contentLink)=''));"
Set ds = objConn.execute(SQLQuery)
if not ds.BOF AND not ds.EOF then
  if isTextValid(adminAlert) then adminAlert = adminAlert & "<br><br>"
  adminAlert = adminAlert & "You have content pages with no template associated with them.<br><a href=""content.asp?listMode=true&nt=1"">View Content</a>"
end if

'close and destroy rs object
ds.close
Set ds = Nothing

%><html>
<head>
<title><% =adminPageTitle %></title>
<!-- allintaCMS V2.3.2 - http://www.allinta.com/ -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="inc/cmsAdmin.css" type="text/css">
<script src="inc/javascript.js"></script><%

'output meta anti-cache
noCache 2

%></head>
<body leftmargin="0" topmargin="0" rightmargin="0" bottommargin="0" marginwidth="0" marginheight="0" bgcolor="#FFFFFF">
<!-- #include file="inc/header.asp" -->

<!-- Start Content -->
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td><img src="img/spacer.gif" width="28" height="27" border="0" alt=""></td>
<td class="bodyText" valign="top" width="130"><% 

if urlAlert then 
  %><span class="headingAlert">Please note!</span><br>
  <img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br>
  <img src="img/grey_dot.gif" width="100%" height="1" border="0" alt="" title=""><br>
  <img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br>
  <span class="bodyTextError">Your website and admin URL's are not set within the <a href="settings.asp">settings section</a>.<br><br>Editing content using the WYSIWYG editor without these correctly set may result in undesirable results.</span><br>
  <img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br>
  <img src="img/grey_dot.gif" width="100%" height="1" border="0" alt="" title=""><br>
  <img src="img/spacer.gif" width="1" height="15" border="0" alt="" title=""><br><img src="img/spacer.gif" width="1" height="20" border="0" alt="" title=""><br><% 

end if 

if isTextValid(adminAlert) then 
  %><span class="headingAlert">Please note!</span><br>
  <img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br>
  <img src="img/grey_dot.gif" width="100%" height="1" border="0" alt="" title=""><br>
  <img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br>
  <span class="bodyTextError"><% =adminAlert %></span><br>
  <img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br>
  <img src="img/grey_dot.gif" width="100%" height="1" border="0" alt="" title=""><br>
  <img src="img/spacer.gif" width="1" height="15" border="0" alt="" title=""><br><img src="img/spacer.gif" width="1" height="20" border="0" alt="" title=""><br><% 

end if 

%><!-- Top pages --><%

tp_maxPages = 15

'build and execute sql to get top pages
if databaseType = 3 then
  tp_SQLQuery = "SELECT "
else
  tp_SQLQuery = "SELECT TOP " & tp_maxPages & " "
end if
tp_SQLQuery = tp_SQLQuery & "tblContent_published.contentID, tblContent_published.contentID, tblContent_published.pageViews, tblContent_published_languages.contentName FROM tblContent_published INNER JOIN tblContent_published_languages ON tblContent_published.publishedContentID = tblContent_published_languages.publishedContentID WHERE (((tblContent_published.contentLink)='') AND ((tblContent_published_languages.languageID)=" & session(sessionPrefix & "aCMS_DefaultLanguageID") & ")) ORDER BY tblContent_published.pageViews DESC"
if databaseType = 3 then tp_SQLQuery = tp_SQLQuery & " LIMIT " & tp_maxPages
tp_SQLQuery = tp_SQLQuery & ";"
Set ds = objConn.Execute(tp_SQLQuery)

if not ds.eof and not ds.bof then 
  
  %><span class="heading">Most popular pages</span><br>
  <img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br>
  <img src="img/grey_dot.gif" width="100%" height="1" border="0" alt="" title=""><br>
  <img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br>
  <table cellspacing="0" cellpadding="0" border="0"><%
  
  tp_i = 0

  do until ds.eof
    
    %><tr>
    <td valign="top"><a href="Javascript:showPreview(<% =ds("contentid") %>, 1)" class="bodyTextSmall"><% =maxLength(ds("contentName"), 20) %></a></td>
    <td><img src="img/spacer.gif" width="5" height="1" border="0" alt="" title=""></td>
    <td class="bodyTextSmall" valign="top" nowrap><% =ds("pageViews") %> hits</td>
    </tr><%
    
    tp_i = tp_i + 1
        
    if tp_i = tp_maxPages then exit do
    ds.movenext
  loop

  %></table><%

else

  ds.Close

  %><span class="heading">Warning!</span><br><br>
  <span class="bodyTextError"><%
  
  SQLQuery = "SELECT tblContent_published_languages.templateID FROM tblContent_published INNER JOIN tblContent_published_languages ON tblContent_published.publishedContentID = tblContent_published_languages.publishedContentID WHERE (((tblContent_published.contentID)=" & g_homePageID & "));"
  Set ds = objConn.execute(SQLQuery)

  if not ds.BOF AND not ds.EOF then
    if ds("templateID") = 0 then send "You have not selected a template to use with your home page - this means visitors will not be able to view your site.<br><br>To select a template for your home page please edit your home page from the Content Manager section - please consult the manual on adding a template."
  else
    send "You have not published your home page - this means visitors will not be able to view your site.<br><br>To edit your home page please edit your home page from the Content Manager section - please consult the manual for additional information."
  end if

  %></span><%

end if

ds.close
Set ds = nothing

%><!-- Top pages --><% 
  
if noErrors > 0 then 

  %><img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br>
  <img src="img/grey_dot.gif" width="100%" height="1" border="0" alt="" title=""><br>
  <img src="img/spacer.gif" width="1" height="15" border="0" alt="" title=""><br><img src="img/spacer.gif" width="1" height="20" border="0" alt="" title=""><br>
  <span class="heading">CMS Errors</span><br>
  <img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br>
  <img src="img/grey_dot.gif" width="100%" height="1" border="0" alt="" title=""><br>
  <img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br>

  <table cellspacing="0" cellpadding="0" border="0">
  <tr><td class="bodyText"><span class="bodyText">There are <% =noErrors %> unviewed error(s).<br><br>
  <a href="mainErrors.asp">View</a></td></tr>
  </table>

  <img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br>
  <img src="img/grey_dot.gif" width="100%" height="1" border="0" alt="" title=""><br>
  <img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br><% 
  
end if 
  
if isTextValid(cmsUpdate) then 
  %><img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br>
  <img src="img/grey_dot.gif" width="100%" height="1" border="0" alt="" title=""><br>
  <img src="img/spacer.gif" width="1" height="15" border="0" alt="" title=""><br><img src="img/spacer.gif" width="1" height="20" border="0" alt="" title=""><br>
  <span class="heading">CMS Updates</span><br>
  <img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br>
  <img src="img/grey_dot.gif" width="100%" height="1" border="0" alt="" title=""><br>
  <img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br>
  <table cellspacing="0" cellpadding="0" border="0">
  <tr><td class="bodyText"><span class="bodyText"><% =cmsUpdate %></td></tr>
  </table>
  <img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br>
  <img src="img/grey_dot.gif" width="100%" height="1" border="0" alt="" title=""><br>
  <img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br><% 
end if 
  
%></td>
<td><img src="img/spacer.gif" width="20" height="27" border="0" alt="" title=""></td>
<td valign="top" bgcolor="#666666"><img src="img/grey_dot.gif" width="1" height="300" border="0" alt="" title=""><br></td>
<td><img src="img/spacer.gif" width="20" height="27" border="0" alt="" title=""></td>
<td class="bodyText" valign="top">Welcome <b><% =session(sessionPrefix & "security_userName") %></b> to the <b>aCMS Content Management System!</b><br><br><% 
  
if session(sessionPrefix & "cms_statistics") = true then send visitorCount 
  
%><li><% =unpublishedCount %><br><% 
    
if session(sessionPrefix & "cms_statistics") = true then 
    
  %><br>
  <table width="100%" cellspacing="0" cellpadding="0" border="0">
  <tr align="left" valign="top">
  <td class="bodyText"><span class="BodyTitle">Website Statistics</span><br>
  <br>
  <table border="0" cellspacing="0" cellpadding="0">
  <tr>
  <td colspan=2><OBJECT classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"
  codebase="http<% if request.serverVariables("HTTPS")="on" then %>s<% end if %>://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=7,0,0,0"
  WIDTH="500" HEIGHT="250" ALIGN="">
  <PARAM NAME=movie VALUE="img/graph/aCMS_line.swf?datafile=dataFile1%2Ehtm">
  <PARAM NAME=quality VALUE=high>
  <PARAM NAME=bgcolor VALUE="#FFFFFF">
  <EMBED src="img/graph/aCMS_line.swf?datafile=dataFile1%2Ehtm" quality=high bgcolor="#FFFFFF"  WIDTH="500" HEIGHT="250" NAME="graph3" ALIGN=""
  TYPE="application/x-shockwave-flash" PLUGINSPAGE="http://www.macromedia.com/go/getflashplayer"></EMBED>
  </OBJECT>
  </td>
  </tr>
  <tr>
  <td align="left">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<span class="bodyTextSmall"><a href="statistics_update.asp">Update statistics now</a>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp; &nbsp;&nbsp;</span></td>
  <td align="right"><span class="bodyTextSmall"><i>Statistics last updated: <% =lastStatsUpdate %></i></span>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<br></td>
  </tr>
  <tr>
  <td align="left" colspan=2>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<span class="bodyTextSmall"><a href="statistics.asp">View additional statistics</a></span></td>
  </tr>
  </table><% 
    
end if 
    
%></td></tr>
</table>

<br><br><br>
<!-- End Content -->

<br></td>
<td><img src="img/spacer.gif" width="20" height="27" border="0" alt="" title=""></td>
<td valign="top" bgcolor="#666666"><img src="img/grey_dot.gif" width="1" height="300" border="0" alt="" title=""><br></td>
<td><img src="img/spacer.gif" width="20" height="27" border="0" alt="" title=""></td>
<td valign="top" class="bodyText" width="170">
<span class="heading">Recently updated content</span><br><%
    
if databaseType = 3 then
  SQLQuery = "SELECT tblContent_history_languages.contentName, tblContent_history.publishedDate, tblContent_history.publishedBy FROM tblContent_history INNER JOIN tblContent_history_languages ON tblContent_history.historyContentID = tblContent_history_languages.historyContentID WHERE (((tblContent_history.published)=" & prepBoolean("True") & ") AND ((tblContent_history_languages.languageID)=" & session(sessionPrefix & "aCMS_DefaultLanguageID") & ")) ORDER BY tblContent_history.publishedDate DESC LIMIT 5;"
else
  SQLQuery = "SELECT TOP 5 tblContent_history_languages.contentName, tblContent_history.publishedDate, tblContent_history.publishedBy FROM tblContent_history INNER JOIN tblContent_history_languages ON tblContent_history.historyContentID = tblContent_history_languages.historyContentID WHERE (((tblContent_history.published)=" & prepBoolean("True") & ") AND ((tblContent_history_languages.languageID)=" & session(sessionPrefix & "aCMS_DefaultLanguageID") & ")) ORDER BY tblContent_history.publishedDate DESC;"
end if
Set ds = objConn.execute(SQLQuery)

if not ds.BOF AND not ds.EOF then

  i = 1

  do until ds.EOF OR i > 5
    %><img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br>
    <img src="img/grey_dot.gif" width="100%" height="1" border="0" alt="" title=""><br>
    <img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br>
        
    <table cellspacing="0" cellpadding="0" border="0">
    <tr>
    <td class="bodyText" nowrap><b>Date:<br>User:<br>Content:</b></td>
    <td>&nbsp;&nbsp;</td>
    <td class="bodyText" nowrap><% =formatDateTime(ds("publishedDate"), 2) %><br>
    <% =ds("publishedBy") %><br>
    <% =maxLength(ds("contentName"), 25) %></td>
    </tr>
    </table><% 
        
    i = i + 1
    ds.moveNext

  loop

end if

ds.Close
Set ds = Nothing 
   
%><img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br>
<img src="img/grey_dot.gif" width="100%" height="1" border="0" alt="" title=""><br>
<img src="img/spacer.gif" width="1" height="10" border="0" alt="" title=""><br>
</td>
<td><img src="img/spacer.gif" width="28" height="27" border="0" alt=""></td>
</tr>
</table>


<a href="#top"><img src="img/source/top.gif" width="29" height="9" border="0" alt="TOP" align="right" hspace="15"></a><br>
<!-- #include file="inc/footer.asp" -->
</body></html>

<% 'ERROR REPORTING / GLOBAL DB CONNECTION CLOSE INCLUDE - DON'T REMOVE! %>
<!-- #include file="inc/db_connection_close.asp" -->