<%@ LANGUAGE="VBSCRIPT" %>
<%   Option Explicit    %>
<!-- #include file="inc/admin.asp" -->
<%


Dim menuCodeID, menuCodeDepth, menuCode, templateIDs
Dim maxDepth
Dim pageMode, valid, errorMSG, dataAdded

' Ensure return page doesn't point to this page
checkReturnPage "menuCodeAE.asp", "menuCode.asp"

dataAdded = false

if submitted = true then
  valid = true

  pageMode = request.form("pageMode")
  menuCodeID = request.form("menuCodeID")
  if not isNumberValid(menuCodeID) then
    pageMode = "add"
  else
    pageMode = "edit"
  end if

  menuCodeDepth = request.form("menuCodeDepth")
  menuCode = request.form("menuCode")

  if valid = true then

    if pageMode = "edit" then

      SQLQuery = "UPDATE tblMenuCode SET menuCodeDepth=" & menuCodeDepth & ", menuCode='" & prepString(menuCode) & "' WHERE menuCodeID = " & menuCodeID & ";"
      objConn.Execute(SQLQuery)
    else

      SQLQuery = "INSERT INTO tblMenuCode (menuCodeDepth, menuCode) VALUES(" & menuCodeDepth & ", '" & prepString(menuCode) & "');"
      menuCodeID = executeInsert(SQLQuery)

    end if

    SQLQuery = "DELETE FROM tblMenuCode_templateIDs WHERE menuCodeID=" & menuCodeID & ";"
    objConn.execute(SQLQuery)

    templateIDs = request.form("templateIDs")
    if isTextValid(templateIDs) then
      templateIDs = split(templateIDs, ",")
      for i = 0 to uBound(templateIDs)
        SQLQuery = "INSERT INTO tblMenuCode_templateIDs (menuCodeID, templateID) VALUES (" & menuCodeID & ", " & templateIDs(i) & ");"
        objConn.execute(SQLQuery)
      next 'i
    end if

    SQLQuery = "UPDATE tblPrefs SET menuReload=" & prepBoolean("True") & ";"
    objConn.execute(SQLQuery)

    ' repopulate the application strings (Need SSL fix)
    setupMenus()

  end if
else ' submitted = false
  menuCodeID = request.queryString("i")
  if not isNumberValid(menuCodeID) then
    pageMode = "add"
  else
    pageMode = "edit"
  end if


  if pageMode = "edit" then
    SQLQuery = "SELECT menuCodeDepth, menuCode FROM tblMenuCode WHERE menuCodeID =" & menuCodeID & ";"
    Set ds = objConn.Execute(SQLQuery)
    If not ds.eof and not ds.bof then
      menuCodeDepth = ds("menuCodeDepth")
      menuCode = ds("menuCode")
    end if
    ds.close
    set ds = nothing

  end if

  maxDepth = getMaxDepth()
  if maxDepth < 5 then maxDepth = 5

end if

Function getMaxDepth()
  'obtains maximum depth for content/parents

  Dim gmd_ds, gmd_SQLQuery
  Dim subCount
  subCount = 0
  getMaxDepth = 0

  gmd_SQLQuery = "SELECT contentID FROM tblContent;"
  Set gmd_ds = objConn.Execute(gmd_SQLQuery)
  do until gmd_ds.eof
    subCount = 0
    subCount = (CountFields(getContentParentIDs(gmd_ds("contentID")), ","))-1

    if subCount > getMaxDepth then getMaxDepth = subCount

    gmd_ds.moveNext
  loop
  gmd_ds.close
  Set gmd_ds = Nothing

  'error recording
  recordError err.number, err.description, err.source

End Function

Function getContentParentIDs(cID)
  if dMode <> true then on error resume next

  if not isNumberValid((cID)) then exit function

  Dim gpi_ds, fSQLQuery
  Dim searchCID
  Dim searchComplete
  Dim parentIDs
  Dim gpids_i
  Dim prevSearchCID

  searchComplete = false
  searchCID = cID
  parentIDS = cID & ","

  Do until searchComplete = True
    prevSearchCID = searchCID

    fSQLQuery = "SELECT parentID FROM tblContent WHERE contentID = " & searchCID & ";"
    Set gpi_ds = objConn.Execute(fSQLQuery)
    if not gpi_ds.EOF and not gpi_ds.BOF then searchCID = gpi_ds("parentID")
    if searchCID = 0 then
      searchComplete = true
    else
      parentIDs = parentIDs & searchCID & ","
    end if
    gpi_ds.close

    ' In case matching parent/contentID somehow
    if prevSearchCID = searchCID then searchComplete = True
  Loop

  'destroy rs object
  Set gpi_ds = nothing

  if isTextValid(parentIDs) then parentIDs = left(parentIDs, len(parentIDs)-1)
  getContentParentIDs = parentIDs
  if countFields(getContentParentIDs, ",") > 1 then
    parentIDs = ""
    for gpids_i = countFields(getContentParentIDs, ",") to 1 step -1
      parentIDs = parentIDs & nthField(getContentParentIDs, ",", gpids_i) & ","
    next 'gpids_i
    parentIDs = left(parentIDs, len(parentIDs)-1)
    getContentParentIDs = parentIDs
  end if

  'error recording
  recordError err.number, err.description, err.source

End Function

Function templateSelected(tID)
  Dim t_ds
  SQLQuery = "SELECT menuCodeTemplateID FROM tblMenuCode_templateIDs WHERE menuCodeID=" & menuCodeID & " AND templateID=" & tID & ";"
  Set t_ds = objConn.execute(SQLQuery)
  if not t_ds.BOF AND not t_ds.EOF then
    templateSelected = true
  else
    templateSelected = false
  end if
  t_ds.close
  Set t_ds = nothing

  'error recording
  recordError err.number, err.description, err.source

end function

%><html>
<head>
<title><% =adminPageTitle %></title>
<!-- allintaCMS V2.3.2 - http://www.allinta.com/ -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="inc/cmsAdmin.css" type="text/css">
<% noCache 2 %>
<script src="inc/javascript.js"></script>
</head>
<body leftmargin="0" topmargin="0" rightmargin="0" bottommargin="0" marginwidth="0" marginheight="0" bgcolor="#FFFFFF">
<!-- #include file="inc/header.asp" -->

<!-- Start Content -->
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td width="28"><img src="img/spacer.gif" width="28" height="27" border="0" alt=""></td>
<td class="bodyText" valign="top" width="100%">

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr><td valign="bottom"><nobr><span class="MainTitle">Menu Code </span></nobr></td></tr>
<tr><td><img src="img/spacer.gif" height="5" width="1" vspace="0" hspace="0"></td></tr>
<tr><td class="row3"><img src="img/spacer.gif" height="1" width="1" vspace="0" hspace="0"></td></tr>
</table>


<!--#include file="inc/sections/content.asp" -->

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr><td class="row3"><img src="img/spacer.gif" height="1" width="1" vspace="0" hspace="0"></td></tr>
</table><br>
<br>

<% if submitted AND valid = true then
  if pageMode = "edit" then %>
You successfully updated the menu code.
<% else %>
You successfully added the menu code.
<% end if %>
<br><br>
<a href="menuCode.asp">Menu Code</a>


<% else
if isTextValid(errorMSG) then
  send "<font color=red><ul>" & errorMSG & "</ul></font><br><br>"
end if %>

<form method="post" action="menuCodeAE.asp" name="mForm">
<table cellspacing="0" cellpadding="5" border="0">


<tr>
<td align="right" class="bodyTextBold">Menu depth:</td>
<td></nobr>
<select name="menuCodeDepth">
<option value="-1">Select...</option>
<% for i = 1 to maxDepth
  if menuCodeDepth = i then
    send "<option value=""" & i & """ selected>" & i & "</option>"
  else
    send "<option value=""" & i & """>" & i & "</option>"
  end if
next 'i %>
</select>
</td>
<td>&nbsp;</td>
</tr>
<tr>
<td align=right valign="top" class="bodyTextBold">Menu Code: </td>
<td><textarea name="menuCode" cols="45" rows="10"><%=menuCode %></textarea>

</td>
<td>
<table border="0" cellspacing="1" cellpadding="5" class="row4" width="325">
  <tr class="row2">
  <td valign="top" class="row1" width="100" align="left"><span class="bodyTextBold">Tag</span></td>
  <td valign="top" class="row1" width="410" align="left"><span class="bodyTextBold">Description</span></td>
  </tr>
  <tr class="row2">
  <td valign="top" height="22" align="left">[menuLink]</td>
  <td height="22" align="left">The location/reference of the page the menu will link/direct the user to.</td>
  </tr>
  <tr class="row2">
  <td valign="top" align="left">[menuName]</td>
  <td align="left">The menu caption displayed to the user (the page name).</td>
  </tr>
  <tr class="row1">
  <td valign="top" align="left" colspan="2">eg.<br>&lt;a href="[menuLink]" class="navLink"&gt;[menuName]&lt;/a&gt;      </td>
  </tr>
  </table>
  </td>
</tr>
<tr>
<td align=right valign="top" class="bodyTextBold">Templates:</td>
<td colspan="5">

<%
SQLQuery = "SELECT templateID, templateName FROM tblTemplates ORDER BY templateName;"
Set ds = objConn.execute(SQLQuery)
if not ds.BOF AND not ds.EOF then
  do until ds.EOF

  if pageMode = "edit" then
    if templateSelected(ds("templateID")) then
      send "<input type=""checkbox"" name=""templateIDs"" value=""" & ds("templateID") & """ checked>" & ds("templateName") & "<br>"
    else
      send "<input type=""checkbox"" name=""templateIDs"" value=""" & ds("templateID") & """>" & ds("templateName") & "<br>"
    end if
  else
    send "<input type=""checkbox"" name=""templateIDs"" value=""" & ds("templateID") & """>" & ds("templateName") & "<br>"
  end if

  ds.moveNext
  loop
end if %>

</td>
<td>&nbsp;</td>
</tr>

<tr>
<td colspan=4 align=right class="bodyTextBold">
<input type=hidden name="menuCodeID" value="<% =menuCodeID %>">
<input type=hidden name=pageMode value="<% =pageMode %>">
<input type=hidden name=submitted value=true>
<input type=hidden name=rp value="<% =returnPage %>">
<input type="button" name="Cancel" value="Cancel" onClick="document.location.href='<% =URLDecode(returnPage) %>'"> &nbsp;
<input type=submit name="submit" value="<%
if pageMode = "edit" then
  send "Update menu code"
else
  send "Add menu code"
end if%>">
</td>
<td>&nbsp;</td>
</tr>
</table>
</form>

<% end if %>



</td>
		<td><img src="img/spacer.gif" width="28" height="27" border="0" alt=""></td>
	</tr>
</table>


<a href="#top"><img src="img/source/top.gif" width="29" height="9" border="0" alt="TOP" align="right" hspace="15"></a><br>
<!-- #include file="inc/footer.asp" -->
</div></body></html>

<% 'ERROR REPORTING / GLOBAL DB CONNECTION CLOSE INCLUDE - DON'T REMOVE! %>
<!-- #include file="inc/db_connection_close.asp" -->