<%@ LANGUAGE="VBSCRIPT" %>
<%  Option Explicit

on error resume next

%>
<!-- #include file="inc/db_connection.asp" -->
<%

' Test whether a successful connection to the database can be made and that it has write permissions


Dim connectionSuccessful
Dim db_tmp, vIP
Dim sourceErr, users
Dim errNo, errDesc, errSrc, errReason

on error resume next
err.clear


Dim dbPath
dbPath = Server.MapPath("./")
dbPath = left(dbPath, inStrRev(dbPath, "\")) & "DB\aCMS.mdb"

err.clear

Set objConn = Server.CreateObject("ADODB.Connection")
objConn.Open dbConnectionStr


if err <> 0 then
  connectionSuccessful = false
  errNo = err.number
  errDesc = err.description
  errSrc = err.source
  sourceErr = "Error opening database object (ADODB.Connection)"
else

  SQLQuery = "SELECT salt, cvMajor, cvMinor, cvBuild FROM tblPrefs;"
  Set ds = objConn.Execute(SQLQuery)

  if err <> 0 then
    connectionSuccessful = false
    errNo = err.number
    errDesc = err.description
    errSrc = err.source
    sourceErr = "Error executing SQL query (tblStore_Prefs)"
  else
    If not ds.eof and not ds.bof then
      db_tmp = ds("salt")

      if err <> 0 then
        connectionSuccessful = false
        errNo = err.number
        errDesc = err.description
        errSrc = err.source
        sourceErr = "Error reading field from database (tblPrefs)"
      else
        connectionSuccessful = true
      end if
    else
      connectionSuccessful = false
      sourceErr = "Database returned no records (tblPrefs)"
    end if
    ds.close
    set ds = nothing


    ' Test can write to the database
    if connectionSuccessful then
      randomize
      vIP = int(((100000-1) * rnd) + 1)
      SQLQuery = "INSERT INTO tblVisitorsAdmin (userName, pageAccessed, ipAddress) VALUES('DBTEST','dbTest.asp','" & vIP & "');"
      err.clear
      objConn.execute(SQLQuery)
      if err <> 0 then
        connectionSuccessful = false
        errNo = err.number
        errDesc = err.description
        errSrc = err.source
        if errNo = -2147467259 then errReason = "Please ensure that your database has write permissions."
        sourceErr = "Error executing SQL query (tblVisitorsAdmin)"
      else
        ' Lookup entry in DB
        aspSleep 1
        SQLQuery = "SELECT ID FROM tblVisitorsAdmin WHERE userName='DBTEST' AND pageAccessed='dbTest.asp' AND ipAddress='"& vIP & "';"
        Set ds = objConn.Execute(SQLQuery)
        if err <> 0 then
          connectionSuccessful = false
          errNo = err.number
          errDesc = err.description
          errSrc = err.source
          sourceErr = "Error executing SQL query (tblVisitorsAdmin)"
        else
          If not ds.eof and not ds.bof then
            db_tmp = ds("ID")

            if err <> 0 then
              connectionSuccessful = false
              errNo = err.number
              errDesc = err.description
              errSrc = err.source
              sourceErr = "Error reading field from database (tblVisitorsAdmin)"
            else
              connectionSuccessful = true
            end if
          else
            connectionSuccessful = false
            sourceErr = "Database returned no records (tblVisitorsAdmin)"
          end if
          ds.close
          set ds = nothing
        end if
      end if
    end if

    objConn.close
    set objConn = nothing
  end if
end if


if errNo = -2147467259 AND errReason="" then
  errReason = "The path, database name or login in your database connection string is not correct, please check that it is correct."
end if

Set objConn = Server.CreateObject("ADODB.Connection")
objConn.Open dbConnectionStr
SQLQuery = "SELECT userName FROM tblAdmin_Users;"
Set ds = objConn.Execute(SQLQuery)
If not ds.eof and not ds.bof then
  users = "Valid"
else
  users = "Invalid"
end if
ds.close
set ds = nothing
objConn.close
set objConn = nothing



sub aspSleep(period)
  Dim asps_i
  asps_i = timer() + period
  do
    ' nothing
  loop until timer() > asps_i

end sub

Sub send(theData)
  response.write theData
end Sub
Sub send3(theData)
  response.write "<h3>" & theData & "</h3>"
end Sub

%><html>
<head>
<title>allintaCMS - Database Connection Test</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="inc/cmsAdmin.css" type="text/css">
</head>

<body bgcolor="#FFFFFF">
<div align=center>

<table border="0" cellspacing="0">
<tr>
<td><table border="0" cellspacing="0" cellpadding="1">
<tr>
<td>
<table border=0 cellpadding=0 cellspacing=0>
<tr>
<td valign=top class="MenuTabSelect"><img
src=img/menu/top_left.gif width=5 height=5
border=0 alt=""></td>
<td class="MenuTabSelect">
<table border="0" cellspacing="0" cellpadding="2" width="100%">
<tr align="center">
<td><span class="MenuTabTitle">allintaCMS - Database Connection Test</span></td>
</tr>
</table>
</td>
<td valign=top align=right class="MenuTabSelect"><img
src=img/menu/right_top.gif width=5 height=5
border=0 alt=""></td>
</tr>

</table>
</td>
</tr>
</table>
<table border="0" cellspacing="0" cellpadding="0" width="515">

<tr>
<td width="1">
<table cellpadding=1 cellspacing=0 border=0 width="515">
<tr bgcolor="#CECECE">
<td align=center>
<table width="515" border="0" cellspacing="0" cellpadding="0">
<tr align="left">
<td class="whiteBox">
<table border="0" cellspacing="0" cellpadding="5" bgcolor="#FFFFFF" width="100%">
<tr>
<td width="25">&nbsp;</td>
<td align="left">&nbsp;</td>
</tr>
<tr>

<% if connectionSuccessful = true then %>
	<td width="25"><img src="img/source/arrow_main.gif" width="15" height="15"></td>
	<td align="left"><span class="bodyTextBold">Connection to the database was successful.</span></td>
<% else' valid = false %>

<tr valign="top" align="left">
	<td width="25" valign="top"><img src="img/source/arrow_main.gif" width="15" height="15"></td>
	<td align="left"><span class="bodyTextBold">The default installation path to your Access database is:</span><span class="bodyText"><br>
	<br>
	<% =dbPath %>
	<br><br>
	You should be able to connect your database by copying the path above and inserting<br>
	into the db_connection.asp files in the following locations:<br>
	<ol>
	<li>/www/inc/db_connection.asp<br>
	<li>/www/trialadmin/inc/db_connection.asp<br>
	</ol>
	Please see instructions in the manual for making the database secure.</span></td>
</tr>
<tr>
	<td valign="top"><img src="img/source/arrow_main.gif" width="15" height="15"></td>
	<td align="left""><span class="bodyTextBold">There was an error in connecting to the database.</span>

	<br>
	<br>

	<% if errReason <> "" then %>
	<span class="bodyTextBold">Problem:</span><br>
	<span class="bodyText">
	<% =errReason %>
	</span>
	<% else %>
	<table border="0" cellspacing="3" cellpadding="0" width="95%">
	<tr valign="top" align="left">
	<td><img src="img/source/dot_box.gif" width="9" height="9" vspace="2"></td>
	<td><span class="bodyTextBold">Error&nbsp;Number:</span></td>
	<td><span class="bodyText">
	<% =errNo %>
	</span></td>
	</tr>
	<tr valign="top" align="left">
	<td><img src="img/source/dot_box.gif" width="9" height="9" vspace="2"></td>
	<td><span class="bodyTextBold">Error&nbsp;Desc.:</span></td>
	<td><span class="bodyText">
	<% =errDesc %>
	</span></td>
	</tr>
	<tr valign="top" align="left">
	<td><img src="img/source/dot_box.gif" width="9" height="9" vspace="2"></td>
	<td><span class="bodyTextBold">Error Source:</span></td>
	<td><span class="bodyText">
	<% =errSrc %>
	</span>
	</td>
	</tr>

	</table>
</tr>
<% end if %>

</td>
<% end if %>
<!-- sourceErr: '<% =sourceErr %>' -->
<!-- Server Software: '<% =request.serverVariables("SERVER_SOFTWARE") %>' -->
<!-- Users: '<% =users %>' -->
</tr>
<tr>
<td valign="top">&nbsp;</td>
<td align="left">&nbsp;</td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td class="MenuTabNormal"><img src="img/menu/box_bottom.gif" height="11" width="515"></td>
</tr>
</table></td>
</tr>
</table>
</div>

</body>
</html>