<%

'= description ==================================================================
' this file checks for any errors within the global error string arrays and writes
' any errors to tblErrors using the reportError function. It then closes and destroy's
' the global database connection object
'================================================================================

'error recording - capture last error that may have
'occured in main code (outside functions / subs)
recordError err.number, err.description, err.source

'check if error string is not 0 length
if isTextValid(error_number_string) = true then

  'error(s) present in string
  Dim db_cc_j, db_cc_i

  'split error strings as per delimiter
  error_number_string = split(error_number_string,"|~|")
  error_desc_string = split(error_desc_string,"|~|")
  error_source_string = split(error_source_string,"|~|")

  'get the current page name
  db_cc_j = lookupPageName()

  'if multiple errors
  if isArray(error_number_string) = true then
    'loop through array and write to database
    for db_cc_i = 0 to ubound(error_number_string)
      reportError error_number_string(db_cc_i), error_desc_string(db_cc_i), error_source_string(db_cc_i), db_cc_j
    next 'db_cc_i
  else
    'single error
    reportError error_number_string, error_desc_string, error_source_string, "(admin) " & db_cc_j
  end if

end if

'close and destroy global db connection
objConn.Close
Set objConn = Nothing

%>