<%@ LANGUAGE="VBSCRIPT" %>
<%  Option Explicit  %>
<!-- #include file="inc/globals.asp" -->
<%

'set return page
returnPage = lookupPageName()

'=====================================================

'declare vars
Dim templateID, templateCode
Dim metaKeywords, metaDescription
Dim contentID, contentName, contentTitle, contentHeading, contentBody, publishedDate, pageTextItemsValues
Dim contentError, errorMsg
Dim submitted
Dim c_parentIDs, c_ParentNames, c_contentID, c_i

' ** CMS Search
Dim searchQuery
Dim pageMaxRecords
Dim pageCount
Dim pageCurrent
Dim noRecords
Dim currentItemsStart, currentItemsEnd
Dim searchResults(), finalResults

'=====================================================

searchQuery = request("searchQuery")

pageMaxRecords = 50
pageCurrent = request.queryString("p")
if not isNumberValid(pageCurrent) then
  pageCurrent = 1
else
  pageCurrent = CLng(pageCurrent)
end if

'init error flag
contentError = false

'get submitted flag
submitted = isTextValid(request.form("searchQuery"))


' Load template
SQLQuery = "SELECT tblPrefs_pages.pagetemplateID, tblPrefs_pages_languages.pageContentTitle, tblPrefs_pages_languages.pageContentHeading, tblPrefs_pages_languages.pageTextItemsValues FROM tblPrefs_pages INNER JOIN tblPrefs_pages_languages ON tblPrefs_pages.prefPageID = tblPrefs_pages_languages.prefPageID WHERE (((tblPrefs_pages.itemName)='Search') AND ((tblPrefs_pages_languages.languageID)=" & session(sessionPrefix & "aCMS_languageID") & "));"
Set ds = objConn.execute(SQLQuery)
if not ds.BOF AND not ds.EOF then
  templateID = ds("pagetemplateID")
  contentTitle = ds("pageContentTitle")
  contentHeading = ds("pageContentHeading")
  pageTextItemsValues = ds("pageTextItemsValues")
  if isTextValid(pageTextItemsValues) then pageTextItemsValues = split(pageTextItemsValues, "|**|")
else
  templateID = 0
end if
ds.close

'load search data into content vars
loadSearchData()

'load template
loadPageTemplate()

'=====================================================

Sub loadSearchData()
  'loads search data into content string
  if dMode <> true then on error resume next

  'declare vars
  Dim lsd_SQLQuery, lsd_ds, lsd_currentDate, lsd_endDate
  Dim lsd_i
  Dim finalResults

  contentBody = contentBody & pageTextItemsValues(0) & "<br><br>"

  'get search form
  contentBody = contentBody & returnSearchForm(searchQuery, pageTextItemsValues(1))

  if not isTextValid(trim(searchQuery)) then errorMsg = pageTextItemsValues(4)

  if isTextValid(errorMsg) = true then

    contentBody = contentBody & errorMsg

  else

    'build and execute sql to get search results
    lsd_SQLQuery = "SELECT tblContent_published.contentID, tblContent_published.contentLink, tblContent_published_languages.contentName, tblContent_published_languages.contentBody FROM tblContent_published INNER JOIN tblContent_published_languages ON tblContent_published.publishedContentID = tblContent_published_languages.publishedContentID WHERE tblContent_published.contentVisibleSearch=" & prepBoolean("true") & " AND languageID=" & session(sessionPrefix & "aCMS_languageID") & " AND (tblContent_published_languages.contentTitle LIKE '%" & prepString(searchQuery) & "%' OR tblContent_published_languages.contentBody LIKE '%" & prepString(searchQuery) & "%') ORDER BY contentID;"
    Set lsd_ds = server.createObject("ADODB.Recordset")

    'setup recordset object for paging
    lsd_ds.cursorLocation = 3
    lsd_ds.Open lsd_SQLQuery, objConn, 3
    noRecords = lsd_ds.recordCount

    'init paging vars
    If pageCurrent > pageCount then pageCurrent = pageCount
    If pageCurrent < 1 then pageCurrent = 1

    'were any records returned?
    if not lsd_ds.EOF and not lsd_ds.BOF then

      lsd_ds.AbsolutePage = pageCurrent
      currentItemsStart = ((pageCurrent-1)*pageMaxRecords)+1
      currentItemsEnd = ((pageCurrent)*pageMaxRecords)
      if currentItemsEnd > noRecords then currentItemsEnd = noRecords
      ReDim searchResults(noRecords, 3)

      'searchCount, ID, name

      lsd_i = 1

      do until lsd_ds.EOF
        'loop thru results

        searchResults(lsd_i, 0) = countFields(lsd_ds("contentBody"), searchQuery)
        if isTextValid(lsd_ds("contentLink")) then
          searchResults(lsd_i, 1) = lsd_ds("contentLink")
        else
          searchResults(lsd_i, 1) = cms_pageName & "?contentID=" & lsd_ds("contentID")
        end if
        searchResults(lsd_i, 2) = lsd_ds("contentName")
        searchResults(lsd_i, 3) = sampleText(lsd_ds("contentBody"), searchQuery)

        lsd_i = lsd_i + 1
        lsd_ds.moveNext
      loop

      'use quick sort to sort search results
      QuickSort searchResults, 1, uBound(searchResults), 0, "DESC"
      finalResults = searchResults

    else

      'close and destroy rs object
      lsd_ds.close
      Set lsd_ds = nothing

      'set no match output
      contentBody = contentBody & replace(pageTextItemsValues(2), "[query]", "<i>'" & htmlEncode(searchQuery) & "'</i>") & "<br><br>"
      contentBody = contentBody & pageTextItemsValues(3)

      'abort sub
      exit sub

    end if

    'close and destroy rs object
    lsd_ds.close
    Set lsd_ds = nothing

    'do we have results?
    if uBound(searchResults) > 0 then
      'yes -> add header
      contentBody = contentBody & replace(pageTextItemsValues(2), "[query]", "<i>'" & htmlEncode(searchQuery) & "'</i>")
      contentBody = contentBody & "<table cellpadding=""0"" cellspacing=""0"" border=""0"">" & vbcr & vbcr

      'loop thru set output to result items
      for lsd_i = 1 to uBound(finalResults)

        contentBody = contentBody & "<tr>" & vbcr
        contentBody = contentBody & "<td class=""bodyText""><b><a href=""" & finalResults(lsd_i, 1) & """>" & finalResults(lsd_i, 2) & "</a></b>" & returnStars(finalResults(lsd_i, 0)) & vbcr
        contentBody = contentBody & "<br><i>" & finalResults(lsd_i, 3) & "</i></td>" & vbcr
        contentBody = contentBody & "<tr>" & vbcr & vbcr

      next 'lsd_i
      contentBody = contentBody & "</table>"

    end if
  end if

  'complete return
  contentBody = "<table cellpadding=""0"" cellspacing=""0"" border=""0""><tr><td align=""left"" class=""bodyText"">" & contentBody & "</td></tr></table><br><br><br>"

  'error recording
  recordError err.number, err.description, err.source

End Sub

'=====================================================

Function returnStars(v)
  'returns appropriate number for star rating for input number
  if dMode <> true then on error resume next

  if v = 1 then
    returnStars = 1

  elseIf v = 2 then
    returnStars = 15

  elseIf v = 3 then
    returnStars = 2

  elseIf v = 4 then

    returnStars = 25

  elseIf v = 5 then
    returnStars = 3

  elseIf v = 6 then
    returnStars = 35

  elseIf v = 7 then
    returnStars = 4

  elseIf v = 8 then
    returnStars = 45

  elseIf v => 9 then
    returnStars = 5

  end if

  returnStars = " &nbsp; <img src=""img/search/stars_" & returnStars & ".gif"" width=""65"" height=""12"">"

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

'Regular Array Sort
Sub QuickSort(vec,loBound,hiBound,SortField,SortDir)
  if dMode <> true then on error resume next

  '==--------------------------------------------------------==
  '== Sort a multi dimensional array on SortField            ==
  '==                                                        ==
  '== This procedure is adapted from the algorithm given in: ==
  '==    ~ Data Abstractions & Structures using C++ by ~     ==
  '==    ~ Mark Headington and David Riley, pg. 586    ~     ==
  '== Quicksort is the fastest array sorting routine for     ==
  '== unordered arrays.  Its big O is n log n                ==
  '==                                                        ==
  '== Parameters:                                            ==
  '== vec       - array to be sorted                         ==
  '== SortField - The field to sort on (1st dimension value) ==
  '== loBound and hiBound are simply the upper and lower     ==
  '==   bounds of the array's "row" dimension. It's probably ==
  '==   easiest to use the LBound and UBound functions to    ==
  '==   set these.                                           ==
  '== SortDir   - ASC, ascending; DESC, Descending           ==
  '==--------------------------------------------------------==
  if not (hiBound - loBound = 0) then
    Dim pivot(),loSwap,hiSwap,temp,counter
    Redim pivot (Ubound(vec,2))
    SortDir = UCase(SortDir)

    '== Two items to sort
    if hiBound - loBound = 1 then
      if (SortDir = "ASC") then
        if FormatCompare(vec(loBound,SortField),vec(hiBound,SortField)) > FormatCompare(vec(hiBound,SortField),vec(loBound,SortField)) then Call SwapRows(vec,hiBound,loBound)
      else
        if FormatCompare(vec(loBound,SortField),vec(hiBound,SortField)) < FormatCompare(vec(hiBound,SortField),vec(loBound,SortField)) then Call SwapRows(vec,hiBound,loBound)
      end if
    End If

    '== Three or more items to sort
    For counter = 0 to Ubound(vec,2)
      pivot(counter) = vec(int((loBound + hiBound) / 2),counter)
      vec(int((loBound + hiBound) / 2),counter) = vec(loBound,counter)
      vec(loBound,counter) = pivot(counter)
    Next

    loSwap = loBound + 1
    hiSwap = hiBound

    do
      '== Find the right loSwap
      if (SortDir = "ASC") then
        while loSwap < hiSwap and FormatCompare(vec(loSwap,SortField),pivot(SortField)) <= FormatCompare(pivot(SortField),vec(loSwap,SortField))
        loSwap = loSwap + 1
        wend
      else
        while loSwap < hiSwap and FormatCompare(vec(loSwap,SortField),pivot(SortField)) >= FormatCompare(pivot(SortField),vec(loSwap,SortField))
        loSwap = loSwap + 1
        wend
      end if
      '== Find the right hiSwap
      if (SortDir = "ASC") then
        while FormatCompare(vec(hiSwap,SortField),pivot(SortField)) > FormatCompare(pivot(SortField),vec(hiSwap,SortField))
        hiSwap = hiSwap - 1
        wend
      else
        while FormatCompare(vec(hiSwap,SortField),pivot(SortField)) < FormatCompare(pivot(SortField),vec(hiSwap,SortField))
        hiSwap = hiSwap - 1
        wend
      end if
      '== Swap values if loSwap is less then hiSwap
      if loSwap < hiSwap then Call SwapRows(vec,loSwap,hiSwap)
    loop while loSwap < hiSwap

    For counter = 0 to Ubound(vec,2)
      vec(loBound,counter) = vec(hiSwap,counter)
      vec(hiSwap,counter) = pivot(counter)
    Next

    '== Recursively call function .. the beauty of Quicksort
    '== 2 or more items in first section
    if loBound < (hiSwap - 1) then Call QuickSort(vec,loBound,hiSwap-1,SortField,SortDir)
    '== 2 or more items in second section
    if hiSwap + 1 < hibound then Call QuickSort(vec,hiSwap+1,hiBound,SortField,SortDir)
  end if

  'error recording
  recordError err.number, err.description, err.source

End Sub

'=====================================================

Sub SwapRows(ary,row1,row2)
  if dMode <> true then on error resume next

  '==------------------------------------------==
  '== This proc swaps two rows of an array     ==
  '==------------------------------------------==

  Dim x,tempvar
  For x = 0 to Ubound(ary,2)
    tempvar = ary(row1,x)
    ary(row1,x) = ary(row2,x)
    ary(row2,x) = tempvar
  Next

  'error recording
  recordError err.number, err.description, err.source

End Sub

'=====================================================

Function FormatCompare(sOne,sTwo)
  if dMode <> true then on error resume next

  '==------------------------------------------==
  '==  Checks sOne & sTwo, returns sOne as a   ==
  '==  Numeric if both pass isNumeric, if not  ==
  '==  returns sOne as a string.               ==
  '==------------------------------------------==

  if (isNumeric(Trim(sOne)) AND isNumeric(Trim(sTwo))) then
    FormatCompare = CDbl(Trim(sOne))
  else
    FormatCompare = Trim(sOne)
  end if

  'error recording
  recordError err.number, err.description, err.source
End Function

'=====================================================

Function sampleText(cb, sq)
  if dMode <> true then on error resume next

  Dim st_sPos, st_len
  sampleText = stripHTML(cb)
  sampleText = insertContentBlank(sampleText)

  st_sPos = inStr(sampleText, sq)
  st_sPos = st_sPos - 25
  if st_sPos < 1 then st_sPos = 1


  if isTextValid(sampleText) then
    sampleText = maxLength(sampleText, 100)
  else
    sampleText = ""
  end if

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Function stripHTML(strHTML)
  if dMode <> true then on error resume next
  Dim objRegExp, strOutput
  Set objRegExp = New Regexp

  objRegExp.IgnoreCase = True
  objRegExp.Global = True
  objRegExp.Pattern = "<(.|\n)+?>"

  'Replace all HTML tag matches with the empty string
  strOutput = objRegExp.Replace(strHTML, "")

  ' SM - remove comments
  strOutput = Replace(strOutput, "-->", "")
  strOutput = Replace(strOutput, "<!--", "")

  'Replace all < and > with &lt; and &gt;
  strOutput = Replace(strOutput, "<", "&lt;")
  strOutput = Replace(strOutput, ">", "&gt;")


  stripHTML = strOutput    'Return the value of strOutput

  Set objRegExp = Nothing

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

if contentError then

  ' An error occured and the content failed to be retrieved from the DB
  ' Display standby content.

  %><html>
  <head>
  <title>An error occurred</title>
  </head>
  <body bgcolor="#FFFFFF"><%

  SQLQuery = "SELECT defaultTitle FROM tblPrefs;"
  Set ds = objConn.execute(SQLQuery)

  if not ds.BOF AND not ds.EOF then

    send "<h3>" & ds("defaultTitle") & "</h3>"

  end if

  ds.close
  Set ds = nothing

  %>Sorry an error has occurred.
  </body>
  </html><%

end if

%><!-- #include file="inc/db_connection_close.asp" -->