<%@ LANGUAGE="VBSCRIPT" %>
<%  Option Explicit  %>
<!-- #include file="inc/globals.asp" -->
<%

'set return page
returnPage = lookupPageName()

'=====================================================

'declare vars
Dim templateID, templateCode
Dim metaKeywords, metaDescription
Dim contentID, contentName, contentTitle, contentHeading, contentBody, publishedDate
Dim contentError, errorMsg
Dim c_parentIDs, c_ParentNames, c_contentID, c_i

' ** CMS Site Map
Dim pageCount:pageCount = 0
Dim maxColCount:maxColCount = 25
Dim maxContentLevels:maxContentLevels = -1

'=====================================================

'init error flag
contentError = false

loadSiteMapData()

' Load template
SQLQuery = "SELECT tblPrefs_pages.pagetemplateID, tblPrefs_pages_languages.pageContentTitle, tblPrefs_pages_languages.pageContentHeading FROM tblPrefs_pages INNER JOIN tblPrefs_pages_languages ON tblPrefs_pages.prefPageID = tblPrefs_pages_languages.prefPageID WHERE (((tblPrefs_pages.itemName)='Sitemap') AND ((tblPrefs_pages_languages.languageID)=" & session(sessionPrefix & "aCMS_languageID") & "));"
Set ds = objConn.execute(SQLQuery)
if not ds.BOF AND not ds.EOF then
  templateID = ds("pagetemplateID")
  contentTitle = ds("pageContentTitle")
  contentHeading = ds("pageContentHeading")
else
  templateID = 0
end if
ds.close

'load template
loadPageTemplate()

if contentError then

  ' An error occured and the content failed to be retrieved from the DB
  ' Display standby content.

  %><html>
  <head>
  <title>An error occurred</title>
  </head>
  <body bgcolor="#FFFFFF"><%

  SQLQuery = "SELECT defaultTitle FROM tblPrefs;"
  Set ds = objConn.execute(SQLQuery)

  if not ds.BOF AND not ds.EOF then

    send "<h3>" & ds("defaultTitle") & "</h3>"

  end if

  ds.close
  Set ds = nothing

  %>Sorry an error has occurred.
  </body>
  </html><%

end if

'=====================================================

Sub loadSiteMapData()
  ' Builds site map
  if dMode <> true then on error resume next
  
  'declare vars
  Dim lsd_SQLQuery, lsd_ds
  Dim lsd_i
  
  ' Look up home page name for current languageID
  SQLQuery = "SELECT tblContent_published_languages.contentName FROM tblContent_published INNER JOIN tblContent_published_languages ON tblContent_published.publishedContentID = tblContent_published_languages.publishedContentID WHERE (((tblContent_published.contentID)=" & g_homePageID & ") AND ((tblContent_published_languages.languageID)=" & session(sessionPrefix & "aCMS_languageID") & "));"
  Set lsd_ds = objConn.execute(SQLQuery)
  if not lsd_ds.BOF AND not lsd_ds.EOF then
    lsd_i = lsd_ds("contentName")
  else
    lsd_i = "Home Page"
  end if
  lsd_ds.close
  Set lsd_ds = nothing

  contentBody = "<table cellspacing=""0"" cellpadding=""0"" border=""0"">" & vbcr & "    								<tr>" & vbcr & "    									<td class=""bodyText"" valign=""top"" colspan=""3""><br>" & vbcr & "    									<a href=""" & cms_pageName & """>" & lsd_i & "</a><br>" & vbcr & "    									</td>" & vbcr & "    								</tr><tr><td class=""bodyText"" valign=""top"">"
  contentBody = contentBody & listSubContent_siteMap(0, 1, maxContentLevels) & "</td></tr></table>"
  contentBody = contentBody & "<br><br><br>"
    
  'error recording
  recordError err.number, err.description, err.source
    
End Sub
  
'=====================================================

Function listSubContent_siteMap(scID, rCount, maxLevels)
  if dMode <> true then on error resume next
  
  Dim lsc_ds, lsc_ds2, lsc_cID, lsc_temp
  
  SQLQuery = "SELECT tblContent_published.contentID, tblContent_published.contentLink, tblContent_published_languages.contentName FROM tblContent_published INNER JOIN tblContent_published_languages ON (tblContent_published.publishedContentID = tblContent_published_languages.publishedContentID AND tblContent_published_languages.languageID = " & session(sessionPrefix & "aCMS_languageID") & ") WHERE tblContent_published.contentOnline = " & prepBoolean("true") & " AND tblContent_published.contentVisibleSiteMap = " & prepBoolean("true") & " AND tblContent_published.parentID=" & scID & " AND tblContent_published.contentID<>" & g_homePageID & " ORDER BY tblContent_published.displayOrder;"

  Set lsc_ds = objConn.Execute(SQLQuery)
  if not lsc_ds.EOF and not lsc_ds.BOF then
    do until lsc_ds.EOF
      ' get menu code from application strings
      
      pageCount = pageCount + 1
      
      if rCount = 1 then
      
        if pageCount > maxColCount then
          listSubContent_siteMap = listSubContent_siteMap & "</td><td class=""bodyText"" valign=""top"">"
          pageCount = 1
        end if
      
        lsc_temp = "<br>-- <a href=""[menuLink]""><b>[menuName]</b></a><br>"
      elseIf rCount = 2 then
        lsc_temp = returnChars("&nbsp;&nbsp", rCount) & "<span class=""bodySmall"">-- </span> <a href=""[menuLink]""  class=""leftlinks""><b>[menuName]</b></a><br>"
      else
        lsc_temp = returnChars("&nbsp;&nbsp", rCount) & "<span class=""bodySmall"">-- </span> <a href=""[menuLink]""  class=""leftlinks"">[menuName]</a><br>"
      end if
      
      
      lsc_temp = replace(lsc_temp, "[menuName]", lsc_ds("contentName"), 1, -1, 1)
      
      if isTextValid(lsc_ds("contentLink")) then
        lsc_temp = replace(lsc_temp, "[menuLink]", lsc_ds("contentLink"), 1, -1, 1)
      else
        lsc_temp = replace(lsc_temp, "[menuLink]", cms_pageName & "?contentID=" & lsc_ds("contentID"), 1, -1, 1)
      end if

      listSubContent_siteMap = listSubContent_siteMap & lsc_temp

      if maxLevels = -1 OR (maxLevels <> -1 AND rCount < maxLevels) then
        listSubContent_siteMap = listSubContent_siteMap & listSubContent_siteMap(lsc_ds("contentID"), rCount+1, maxLevels)
      end if

      lsc_ds.MoveNext
    loop
  else
  end if
  lsc_ds.close
  Set lsc_ds = nothing

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Function returnChars(char, cCount)
  if dMode <> true then on error resume next

  Dim  rc_i
  for rc_i = 1 to cCount
    returnChars = returnChars & char
  next ' rc_i

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

%><!-- #include file="inc/db_connection_close.asp" -->