<%@ LANGUAGE="VBSCRIPT" %>
<%   Option Explicit    %>
<!-- #include file="inc/admin.asp" -->
<!-- #include file="inc/language_functions.asp" -->
<%


noCache 1

'declare vars
Dim search_pageName, search_content
Dim listMode, homePagePublished
Dim wysiwygBrowser
Dim unpublishedCount
Dim hpError

'init vars
search_pageName = request.queryString("pn")
search_content = request.queryString("c")
pageMaxRecords = 40

pageCurrent = request.queryString("p")
if not isNumberValid(pageCurrent) then
  pageCurrent = 1
else
  pageCurrent = CLng(pageCurrent)
end if

'get listing mode
listMode = cBoolean(request.queryString("listMode"))

wysiwygBrowser = testBrowser_wysiwyg()

'has the homepage been published
SQLQuery = "SELECT published FROM tblContent WHERE contentID = " & g_homePageID & ";"
Set ds = objconn.execute(SQLQuery)
if not ds.BOF AND not ds.EOF then
  homePagePublished = cBoolean(ds("published"))
else
  homePagePublished = false
end if
ds.close

SQLQuery = "SELECT COUNT(contentID) AS upc FROM tblContent WHERE published=" & prepBoolean("False") & ";"
Set ds = objConn.execute(SQLQuery)
if not ds.BOF AND not ds.EOF then
  unpublishedCount = ds("upc")
end if
if not isNumberValid(unpublishedCount) then unpublishedCount = 0
ds.Close

' Check home page has template selected
hpError = ""
SQLQuery = "SELECT tblContent_published_languages.templateID FROM tblContent_published_languages INNER JOIN tblContent_published ON tblContent_published_languages.publishedContentID = tblContent_published.publishedContentID WHERE (((tblContent_published.contentID)=" & g_homePageID & ") AND ((tblContent_published_languages.languageID)=" & session(sessionPrefix & "aCMS_DefaultLanguageID") & "));"
Set ds = objConn.execute(SQLQuery)
if not ds.BOF AND not ds.EOF then
  if ds("templateID") = 0 then hpError = "You have not selected a template to use with your home page - this means visitors will not be able to view your site.<br><br>To select a template for your home page please select the <i>website</i> directory to the left and click 'Edit selected', from there please select a template or consult the manual on adding a template."
else
  hpError = "You have not published your home page - this means visitors will not be able to view your site.<br><br>To edit your home page please select the <i>website</i> directory to the left and click 'Edit selected', from there you may edit your content - please consult the manual for additional information."
end if
ds.Close

Sub performSearch()
  'obtains recordset of content within the system
  if request.queryString("nt") = "1" then
    SQLQuery = "SELECT DISTINCT tblContent_published.contentID, tblContent_published.contentOnline, tblContent_published.publishedDate, tblContent_published_languages.contentName FROM (tblContent_published_languages LEFT JOIN tblTemplates ON tblContent_published_languages.templateID = tblTemplates.templateID) INNER JOIN tblContent_published ON tblContent_published_languages.publishedContentID = tblContent_published.publishedContentID WHERE (((tblTemplates.templateID) Is Null) AND ((tblContent_published.contentLink)=''));"
  else
    SQLQuery = "SELECT tblContent.contentID, tblContent.contentOnline, tblContent.published, tblContent.publishedDate, tblContent_languages.contentName FROM tblContent INNER JOIN tblContent_languages ON (tblContent.contentID = tblContent_languages.contentID AND tblContent_languages.languageID = " & session(sessionPrefix & "aCMS_DefaultlanguageID") & ")"
    if cBoolean(request.queryString("up")) = true then ' unpublished
      SQLQuery = SQLQuery & " WHERE tblContent.published=" & prepBoolean("False")
    else
      if isTextValid(search_pageName) AND isTextValid(search_content) then
        SQLQuery = SQLQuery & " WHERE tblContent_languages.contentName LIKE '%" & prepString(search_pageName) & "%' OR tblContent_languages.contentBody LIKE '%" & prepString(search_content) & "%'"
      elseIf isTextValid(search_pageName) then
        SQLQuery = SQLQuery & " WHERE tblContent_languages.contentName LIKE '%" & prepString(search_pageName) & "%'"
      elseIf isTextValid(search_content) then
        SQLQuery = SQLQuery & " WHERE tblContent_languages.contentBody LIKE '%" & prepString(search_content) & "%'"
      end if
    end if
    SQLQuery = SQLQuery & " ORDER BY tblContent_languages.contentName;"
  end if

  Set ds = server.createObject("ADODB.Recordset")
  if databaseType = 3 then ds.cursorLocation = 3
  ds.PageSize = pageMaxRecords
  ds.CacheSize = pageMaxRecords
  ds.Open SQLQuery, objConn, 3
  noRecords = ds.recordCount
  pageCount = ds.PageCount

  If pageCurrent > pageCount then pageCurrent = pageCount
  If pageCurrent < 1 then pageCurrent = 1

End Sub

Sub listPageDetails()
  'lists page details
  %><span class="bodyText">Page <% =currentItemsStart %> to <% =currentItemsEnd %> of <% =noRecords %><br>Page: <%
  If pageCurrent > 1 then
    %> &nbsp;<a href="content.asp?listMode=true&p=<%= pageCurrent - 1 %>&s=<%=Server.URLEncode(searchQuery)%>">&lt;</a> <%
  end if
  for i = 1 to pageCount
    If i = pageCurrent then
      %> &nbsp;<b><% =i %></b><%
    else
      %> &nbsp;<a href="content.asp?listMode=true&p=<% =i %>&s=<%=Server.URLEncode(searchQuery)%>"><% =i %></a><%
    end if
  next 'i
  If pageCurrent < pageCount then
    %> &nbsp;<a href="content.asp?listMode=true&p=<%= pageCurrent + 1 %>&s=<%=Server.URLEncode(searchQuery)%>">&gt;</a> <%
  end if
  %></span><%

  'error recording
  recordError err.number, err.description, err.source
  
End Sub

Sub dunp()
  'outputs unpublished links
  
  if unpublishedCount = 0 then exit sub
  if unpublishedCount = 1 then
    %><span class="bodyText"><% =unpublishedCount %> unpublished page</span><%
  else
    %><span class="bodyText"><% =unpublishedCount %> unpublished pages</span><%
  end if

  if unpublishedCount > 0 then 
    %>- <a href="content.asp?listMode=true&amp;up=true">View unpublished pages</a><%

    if session(sessionPrefix & "cms_contentPublish") = true then
      %> - <a href="Javascript:confirmPublish(-1)">Publish all unpublished pages</a><%
    end if
  end if

  send "<br><hr>"
  
  'error recording
  recordError err.number, err.description, err.source

End Sub

%><html>
<head>
<title><% =adminPageTitle %></title>
<!-- allintaCMS V2.3.2 - http://www.allinta.com/ -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="inc/cmsAdmin.css" type="text/css">
<% noCache 2 %>
<script src="inc/javascript.js"></script>
<script src="inc/tree/ua.js"></script>
<script src="inc/tree/ftiens4.js"></script>
<!-- #include file="inc/tree/content.asp" -->
<script type="text/javascript" language="javascript">
<!--

var selectedItem = 0;


function sci(itemNo) {
  selectedItem = itemNo;
  enableButtons();
}


function enableButtons() {

  if (selectedItem == 0) {
    <% if session(sessionPrefix & "cms_contentEdit") = true then %>document.contentForm.btnEdit.disabled = true;
    document.contentForm.btnDelete.disabled = true;
    document.contentForm.btnOrder.disabled = true;
    <% if wysiwygBrowser = true then %>document.contentForm.btnWYSIWYG.disabled = true;<% end if %>
    <% end if %>
    <% if session(sessionPrefix & "cms_contentPublish") = true then %>document.contentForm.btnPublish.disabled = true;<% end if %>
    document.contentForm.btnPreview.disabled = true;
  } else {
    <% if session(sessionPrefix & "cms_contentEdit") = true then %>document.contentForm.btnEdit.disabled = false;
    if (selectedItem != 1) {
      document.contentForm.btnDelete.disabled = false;
    } else {
      document.contentForm.btnDelete.disabled = true;
    }
    document.contentForm.btnOrder.disabled = false;
    <% if wysiwygBrowser = true then %>document.contentForm.btnWYSIWYG.disabled = false;<% end if %><% end if %>
    <% if session(sessionPrefix & "cms_contentPublish") = true then %>document.contentForm.btnPublish.disabled = false;<% end if %>
    document.contentForm.btnPreview.disabled = false;

  }
}

<% if session(sessionPrefix & "cms_contentEdit") = true then %>
function editDoc() {
  document.location.href="contentAE.asp?m=edit&i=" + selectedItem + "&rp=<% =returnPage %>";
}


function confirmDelete() {
  if (confirm('Are you sure you want to remove this content?') == true) {
    document.location.href="removeData_content.asp?i=" + selectedItem + "&rp=<% =returnPage %>";
  }
}


function orderItems(cID) {
  document.location.href='content_order.asp?cID=' + cID;
}

<% end if %>

<% if session(sessionPrefix & "cms_contentPublish") = true then %>
function confirmPublish(cID) {
  if (cID == -1) {
    if (confirm("Do you wish to publish all unpublished pages?") == true) {
      document.location.href="content_publish.asp?contentID=-1";
    }
  } else {
    if (confirm("Do you wish to publish the selected page?") == true) {
      document.location.href="content_publish.asp?contentID=" + cID + "";
    }
  }
}
<% end if %>


function wysiwygDoc(cID) {
  openEditor(8, cID, <% =languageID %>, false, false);
}


foldersTree.published = <%

if CBoolean(homePagePublished) = true then 
  send "true"
else
  send "false"
end if

%>;

//-->
</script>
</head>
<body leftmargin="0" topmargin="0" rightmargin="0" bottommargin="0" marginwidth="0" marginheight="0" bgcolor="#FFFFFF" onLoad="<% if not listMode then %><% if isNumberValid(request.queryString("i")) = true then %>sci(<%=request.queryString("i")%>);<% end if %>enableButtons();<% end if %>">
<!-- #include file="inc/header.asp" -->

<!-- Start Content -->
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td width="28"><img src="img/spacer.gif" width="28" height="27" border="0" alt=""></td>
<td class="bodyText" valign="top" width="100%">

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr><td valign="bottom"><nobr><span class="MainTitle">Content Manager</span></nobr></td></tr>
<tr><td><img src="img/spacer.gif" height="5" width="1" vspace="0" hspace="0"></td></tr>
<tr><td class="row3"><img src="img/spacer.gif" height="1" width="1"></td></tr>
</table>


<!-- #include file="inc/sections/content.asp" -->

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr><td class="row3"><img src="img/spacer.gif" height="1" width="1" vspace="0" hspace="0"></td></tr>
</table>
<br><%

if listMode then

  %><form action="content.asp" method="GET" name="contentForm" style="display: inline;">
  <span class="heading">Search / List pages</span><br>
  <img src="img/spacer.gif" width="1" height="6" border="0"><br>
  <table border="0" cellpadding="3" cellspacing="0">
  <tr>
  <td align="right" class="bodyText">Page Name</td>
  <td><input name="pn" type="text" id="pn" size="21" maxlength="50" value="<% =search_pageName %>"></td>
  </tr>
  <tr>
  <td align="right" class="bodyText">Content</td>
  <td><input name="c" type="text" id="c" size="21" maxlength="50" value="<% =search_content %>"></td>
  </tr>
  <tr>
  <td colspan="2" align="right"><input type="hidden" name="listMode" value="true"><input type="submit" name="Submit" value="Search"></td>
  </tr>
  </table><br>
  </form><%

  performSearch()

  if not ds.eof AND not ds.bof then

    ds.AbsolutePage = pageCurrent
    currentItemsStart = ((pageCurrent-1)*pageMaxRecords)+1
    currentItemsEnd = ((pageCurrent)*pageMaxRecords)
    if currentItemsEnd > noRecords then currentItemsEnd = noRecords

    %><table width="100%"><tr><td><%

    listPageDetails()

    %></td><td align=right><%

    if isTextValid(search_pageName) OR isTextValid(search_content) then dunp()
      %></td></tr></table>

    <table width="100%" border="0" cellspacing="0" cellpadding="0">
    <tr bgcolor="#999999"><td>
    <table width="100%" border="0" cellspacing="1" cellpadding="5">
    <tr>
    <td class="row2" align="left"><span class="bodyTextBold"><img src="img/source/dot_box.gif" width="9" height="9"> Content Title</span></td>
    <td class="row2" align="left"><span class="bodyTextBold"><img src="img/source/dot_box.gif" width="9" height="9"> Online</span></td>
    <td class="row2" align="left"><span class="bodyTextBold"><img src="img/source/dot_box.gif" width="9" height="9"> Published</span></td>
    <td class="row2">&nbsp;</td>
    </tr><%

    k = 0
    j = 0

    do while j < pageMaxRecords AND not ds.EOF

      k = k + 1
      if k > 2 then k = 1

      %><tr>
      <td class="row<% =k %>" align="left"><span class="bodyText"><% =ds("contentName") %></span></td>
      <td class="row<% =k %>" align="left"><span class="bodyText"><% =cYesNo(ds("contentOnline")) %></span></td>
      <td class="row<% =k %>" align="left"><span class="bodyText"><% 
      if request.queryString("nt") = "1" then
        send cYesNo("true")
      else
        cYesNo(ds("published"))
      end if %><% if isDate(ds("publishedDate")) then send "<span class=""bodyTextSmall""> - " & formatDateTime(ds("publishedDate"), 1) & "</span>" %></span></td>
      <td class="row<% =k %>" width=60><a href="contentAE.asp?m=edit&i=<% =ds("contentID") %>&rp=<% =returnPage %>"><img src="img/source/button_edit.gif" width="57" height="16" alt="Edit" border=0></a><%

      if ds("contentID") > 1 then
        %><a href="JavaScript:confirmAction('Are you sure you want to remove this content?', 'removeData_content.asp?i=<% =ds("contentID") %>&rp=<% =returnPage %>')"><img src="img/source/button_remove.gif" width="57" height="16" alt="Remove" vspace="2" border=0></a><%
      end if

      if session(sessionPrefix & "cms_contentPublish") = true then
      %><a href="Javascript:confirmPublish(<% =ds("contentID") %>)"><img src="img/source/button_publish.gif" width="57" height="16" alt="Publish" border=0></a></td>
      </tr><%
      end if

      j = j + 1
      ds.moveNext
    loop

    %></table>
    </td></tr></table>
    <br><%

    listPageDetails()

  else

    %><hr><span class="bodyTextError"><%

    if isTextValid(search_pageName) OR isTextValid(search_content) then
      %>No content pages match your query</span><span class="bodyText"><br><br><a href="content.asp?listMode=true">Show all</a></span><br>
      <br><br><span class="bodyTextError"><%
    else
      %>No content pages exist<br><br>
      <a href="contentAE.asp">Add a page</a><%
    end if

    %></span><%

  end if ' ds.EOF

  ds.close
  Set ds = Nothing  

else ' listMode

  performSearch()

  if not ds.BOF AND not ds.EOF then

    %><br>
    <form action="content.asp" method="GET" name="contentForm" style="display: inline;">
    
    <table cellspacing="0" cellpadding="0" border="0">
    <tr><td valign="top">
    <fieldset><legend>Website Content</legend>
    &nbsp;Select a page to work on and choose an action&nbsp;<br><br>

    <table cellspacing="0" cellpadding="0" border="0"><tr><td valign="top">
    <script>initializeDocument()</script>
    <noscript>A tree for site navigation will open here if you enable JavaScript in your browser.</noscript>
    </td><td width="50">&nbsp;</td><td align="right" valign="top"><%

    if isTextValid(hpError) then

      send "<table width=""150""><tr><td><span class=""bodyTextError"">" & hpError & "</span></td></tr></table><br><br<hr><br>"
 
    end if

    if session(sessionPrefix & "cms_contentEdit") = true then
      %><input type="button" name="btnEdit" Value="Edit selected" onClick="editDoc()" style="width: 140px; font-family: Verdana; font-size: 10pt" title="Edit the selected document"><br>
	<% if wysiwygBrowser = true then %>
	  <input type="button" name="btnWYSIWYG" Value="WYSIWYG selected" onClick="wysiwygDoc(selectedItem)" style="width: 140px; font-family: Verdana; font-size: 10pt" title="Edit the selected document using the WYSIWYG editor"><br>
	<% end if %>
      <input type="button" name="btnDelete" Value="Remove selected" onClick="confirmDelete()" style="width: 140px; font-family: Verdana; font-size: 10pt" title="Delete the selected document."><br><%
    end if

    if session(sessionPrefix & "cms_contentPublish") = true then
      %><input type="button" name="btnPublish" Value="Publish selected" onClick="confirmPublish(selectedItem)" style="width: 140px; font-family: Verdana; font-size: 10pt" title="Publish any changes you have made to the selected document live."><br><%
    end if

    %><input type="button" name="btnPreview" Value="Preview selected" onClick="showPreview(selectedItem, 1)" style="width: 140px; font-family: Verdana; font-size: 10pt" title="Preview the selected document as a web page."><br><%

    if session(sessionPrefix & "cms_contentEdit") = true then
      %><input type="button" name="btnOrder" Value="Order menu item" onClick="orderItems(selectedItem)" style="width: 140px; font-family: Verdana; font-size: 10pt" title="Change the order of the menu items for the selected document level."><br><%
    end if

    %><br></td></tr></table>
    </fieldset>
    </td><td width="50">&nbsp;</td>
    <td align="left" valign="top"><%

    dunp()

    %><span class="heading">Search / List pages</span><br>
    <img src="img/spacer.gif" width="1" height="6" border="0"><br>
    <table border="0" cellspacing="0" cellpadding="3">
    <tr>
    <td align="right" class="bodyText">Page Name</td>
    <td><input name="pn" type="text" id="pn" size="21" maxlength="50" value="<% =search_pageName %>"></td>
    </tr>
    <tr>
    <td align="right" class="bodyText">Content</td>
    <td><input name="c" type="text" id="c" size="21" maxlength="50" value="<% =search_content %>"></td>
    </tr>
    <tr>
    <td colspan="2" align="right"><input type="hidden" name="listMode" value="true"><input type="button" name="List" value="List all pages" onClick="document.location.href='content.asp?listMode=true'"><input type="submit" name="Submit" value="Search"></td>
    </tr>
    </table>

    <hr>
    <span class="heading">Key</span><br>
    <img src="img/spacer.gif" width="1" height="6" border="0"><br>
    <img src="img/tree/ftv2doc.gif" width="24" height="22" align="absmiddle"><span class="bodyText">Document (Published)</span><br>
    <img src="img/tree/ftv2doc_e.gif" width="24" height="22" align="absmiddle"><span class="bodyText">Document (Published with unpublished changes)</span><br>
    <img src="img/tree/ftv2doc_np.gif" width="24" height="22" align="absmiddle"><span class="bodyText">Document (Not published)</span><br>
    <img src="img/tree/ftv2folderopen.gif" width="24" height="22" align="absmiddle"><span class="bodyText">Document with sub-content (Published)</span><br>
    <img src="img/tree/ftv2folderopen_e.gif" width="24" height="22" align="absmiddle"><span class="bodyText">Document with sub-content (Published with unpublished changes)</span><br>
    <img src="img/tree/ftv2folderopen_np.gif" width="24" height="22" align="absmiddle"><span class="bodyText">Document with sub-content (Not published)</span>

    </td></tr>
    </table>

    </form><%

  else ' ds.EOF

    %><span class="bodyTextError"><%

    if isTextValid(search_pageName) OR isTextValid(search_content) then

      %>No content pages match your query<span class="bodyText"> - <a href="content.asp?listMode=true">Show all</a></span><br><br>
      <span class="heading">Search / List pages</span><br></span>
      <table border="0" cellspacing="0" cellpadding="3">
      <tr>
      <td align="right" class="bodyText">Page Name</td>
      <td><input name="pn" type="text" id="pn" size="21" maxlength="50" value="<% =search_pageName %>"></td>
      </tr>
      <tr>
      <td align="right" class="bodyText">Content</td>
      <td><input name="c" type="text" id="c" size="21" maxlength="50" value="<% =search_content %>"></td>
      </tr>
      <tr><td colspan="2" align="right"><input type="hidden" name="listMode" value="true"><input type="button" name="List" value="List all pages" onClick="document.location.href='content.asp?listMode=true'"><input type="submit" name="Submit" value="Search"></td></tr>
      </table>
      <span class="bodyTextError"><%

    else

      %>No content pages exist<br><br><a href="contentAE.asp">Add a page</a><%

    end if

    %></span><%

  end if ' ds.EOF

  ds.close
  Set ds = Nothing

end if ' listMode

%></td>
<td><img src="img/spacer.gif" width="28" height="27" border="0" alt=""></td>
</tr>
</table><br>

<a href="#top"><img src="img/source/top.gif" width="29" height="9" border="0" alt="TOP" align="right" hspace="15"></a><br>
<!-- #include file="inc/footer.asp" -->
</div></body></html>

<% 'ERROR REPORTING / GLOBAL DB CONNECTION CLOSE INCLUDE - DON'T REMOVE! %>
<!-- #include file="inc/db_connection_close.asp" -->