<%@ LANGUAGE="VBSCRIPT" %>
<%    Option Explicit   %>
<!-- #include file="inc/admin.asp" -->
<!-- #include file="inc/language_functions.asp" -->
<%


'declare vars
Dim contentID, templateID, parentID, parentIDMenuNo, parentIDMenuNoFound, contentOnline, contentVisibleMenu, contentVisibleSiteMap, contentVisibleSearch, contentLink, contentName, contentTitle, contentHeading, contentBody, metaKeywords, metaDescription, autoSave
Dim pageMode, loadID, pageError
Dim htmlBrowser
Dim noTemplate

' Ensure return page doesn't point to this page
checkReturnPage "contentAE.asp", "content.asp"

'init vars
parentIDMenuNo = 0
parentIDMenuNoFound = false
htmlBrowser = testBrowser_wysiwyg()
autoSave = cBoolean(request("autoSave"))

'get submitted form element
submitted = cBoolean(request.form("submitted"))

'was the form submitted?
if submitted = true then

  'the form was submitted
  contentAE_submit()
  
  if autoSave = true then
    ' User has click WYSIWYG link and selected save changes
    if pageMode = "edit" then
      submitted = false
      pageMode = "edit"
    else
      redirectBrowser "contentAE.asp?m=edit&i=" & contentID & "&rp=contentAE%2Easp%3F&autoSave=true"
    end if
  else
    if inStr(lCase(request.form("Submit")), "publish") > 0 then
      redirectBrowser "content_publish.asp?contentID=" & contentID
    else
      redirectBrowser "content.asp?r=1"
    end if
  end if

else

  pageMode = request("m")
  contentID = request("i")
  
  if pageMode = "edit" then
    loadContent()
  else
    contentID = 0
    resetLangChoice()

    ' Load default settings
    SQLQuery = "SELECT defaultTitle, defaultMetaKeywords, defaultMetaDescription FROM tblPrefs;"
    Set ds = objConn.Execute(SQLQuery)
    if not ds.BOF AND not ds.EOF then
      contentTitle = ds("defaultTitle")
      metaKeywords = ds("defaultMetaKeywords")
      metaDescription = ds("defaultMetaDescription")
    end if
    ds.close
    Set ds = nothing

    contentOnline = true
    contentVisibleMenu = true
    contentVisibleSiteMap = true
    contentVisibleSearch = true
  end if
  
  loadID = setupLoadID()

  'error recording
  recordError err.number, err.description, err.source
  
end if


Sub loadContent()
  'loads content record
  
  SQLQuery = "SELECT tblContent_languages.templateID, tblContent.parentID, tblContent.contentOnline, tblContent.contentVisibleMenu, tblContent.contentVisibleSiteMap, tblContent.contentVisibleSearch, tblContent.contentLink, tblContent_languages.contentName, tblContent_languages.contentTitle, tblContent_languages.contentHeading, tblContent_languages.contentBody, tblContent_languages.metaKeywords, tblContent_languages.metaDescription FROM tblContent INNER JOIN tblContent_languages ON (tblContent_languages.contentID = tblContent.contentID AND tblContent_languages.languageID = " & languageID & ") WHERE tblContent.contentID = " & contentID & ";"
  Set ds = objConn.Execute(SQLQuery)

  if not ds.EOF and not ds.BOF then

    templateID = ds("templateID")
    parentID = ds("parentID")
    contentOnline = cBoolean(ds("contentOnline"))
    contentVisibleMenu = cBoolean(ds("contentVisibleMenu"))
    contentVisibleSiteMap = cBoolean(ds("contentVisibleSiteMap"))
    contentVisibleSearch = cBoolean(ds("contentVisibleSearch"))
    contentLink = ds("contentLink")
    contentName = ds("contentName")
    contentTitle = ds("contentTitle")
    contentHeading = ds("contentHeading")
    contentBody = ds("contentBody")
    metaKeywords = ds("metaKeywords")
    metaDescription = ds("metaDescription")

  else
  
    if inStr(returnPage, "?") = 0 then
      returnPage = returnPage & "?r=2"
    else
      returnPage = returnPage & "&r=2"
    end if
    redirectBrowser URLDecode(returnPage)

  end if

  ds.Close
  Set ds = Nothing

  'error recording
  recordError err.number, err.description, err.source

End Sub

Sub listContentPages(pID, depth)
  'lists content pages for selector

  Dim lcp_ds

  if pID = 0 then
    'calendar
    send "<option value=""calendar.asp"""
    if lstr(contentLink,"calendar.asp") = true then
      send " selected"
    end if
    send ">Calendar</option>"

    send "<option value=""faq.asp"""
    if lstr(contentLink,"faq.asp") = true then
      send " selected"
    end if
    send ">FAQs</option>"

    send "<option value=""search.asp"""
    if lstr(contentLink,"search.asp") = true then
      send " selected"
    end if
    send ">Search</option>"
  
    send "<option value=""siteMap.asp"""
    if lstr(contentLink,"siteMap.asp") = true then
      send " selected"
    end if
    send ">Site Map</option>"
  
    send "<option value="""">----------------------</option>"
    
    ' List Forms
    SQLQuery = "SELECT tblForms.formID, tblForms.formName FROM tblForms ORDER BY formName;"
    Set lcp_ds = objConn.execute(SQLQuery)
    if not lcp_ds.BOF AND not lcp_ds.EOF then
      do until lcp_ds.EOF
      
        send "<option value=""form.asp?i=" & lcp_ds("formID") & """"
       if lstr(contentLink,"form.asp?i=" & lcp_ds("formID")) = true then
         send " selected"
        end if
        send ">" & lcp_ds("formName") & "</option>"
      
      
        lcp_ds.moveNext
      loop
      send "<option value="""">----------------------</option>"
    end if
    lcp_ds.close
    
  end if

  'build and execute sql
  SQLQuery = "SELECT tblContent.contentID, tblContent_languages.contentName FROM tblContent INNER JOIN tblContent_languages ON tblContent.contentID = tblContent_languages.contentID WHERE (((tblContent.contentOnline)=" & prepBoolean("True") & ") AND ((tblContent.parentID)=" & pID & ") AND ((tblContent_languages.languageID)=" & languageID & ")) ORDER BY tblContent.displayOrder;"
  Set lcp_ds = objConn.execute(SQLQuery)

  if not lcp_ds.BOF AND not lcp_ds.EOF then
    do until lcp_ds.EOF
    
      if contentID = lcp_ds("contentID") AND hasSubContent(contentID) then
        send "<option value=""" & cms_pageName & "?contentID=" & lcp_ds("contentID") & """>" & indentCategory(depth) & " " & lcp_ds("contentName") & "</option>" & vbcr
        listContentPages lcp_ds("contentID"), depth+1
      end if
      
      if lstr(contentLink, cms_pageName & "?contentID=" & lcp_ds("contentID")) = true then
        send "<option value=""" & cms_pageName & "?contentID=" & lcp_ds("contentID") & """ selected>" & indentCategory(depth) & " " & lcp_ds("contentName") & "</option>" & vbcr
      else
        send "<option value=""" & cms_pageName & "?contentID=" & lcp_ds("contentID") & """>" & indentCategory(depth) & " " & lcp_ds("contentName") & "</option>" & vbcr
      end if
      
      if hasSubContent(lcp_ds("contentID")) then listContentPages lcp_ds("contentID"), depth+1
      
      lcp_ds.moveNext
    loop
  end if

  'close rs object
  lcp_ds.close
  Set lcp_ds = nothing

  'error recording
  recordError err.number, err.description, err.source

end sub

noTemplate = false
SQLQuery = "SELECT templateID FROM tbltemplates;"
Set ds = objConn.execute(SQLQuery)
if ds.BOF OR ds.EOF then noTemplate = true
ds.close
Set ds = nothing

%><html>
<head>
<title><% =adminPageTitle %></title>
<!-- allintaCMS V2.3.2 - http://www.allinta.com/ -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="inc/cmsAdmin.css" type="text/css">
<script src="inc/javascript.js"></script>
<script type="text/javascript" language="javascript">
<!--

var langUpdateAll = 'false';

<% if htmlBrowser then %>

var wysiwygWin;

function launchEditor() {
  var contentChanged = 0;

  contentChanged = checkContent();

<% if pageMode = "edit" then
  if languagesDisplayed = true then %>
  var langUpdateAll = document.contentForm.language_updateAll.checked;
<% else %>
  var langUpdateAll = false;
<% end if
end if %>

  if (contentChanged == 0) {
    openEditor(8, <% =contentID %>, <% =languageID %>, langUpdateAll, false);
  
  } else if (contentChanged == 99) {
    alert('Please enter a page name and select a template to use before launching the WYSIWYG editor.');

  } else {
    var conf = confirm('Would you like to save your unsaved changes?');
    if (conf == true) {
      if (checkSubmit() == true) {
        document.contentForm.autoSave.value = 'true';
        document.contentForm.submit();
      }
    } else {
      openEditor(8, <% =contentID %>, <% =languageID %>, langUpdateAll, false);
    }
  }
}

function openWYSIWYG() {
  openEditor(8, <% =contentID %>, <% =languageID %>, langUpdateAll, false);
  setTimeout("checkWYSIWYGPopup()", 2000);
}
<% end if %>

function checkContent() {
  <% if pageMode <> "edit" then
     ' Don't allow user to launch wyswiyg without saving doc (requires fields to be completed %>
     if (document.contentForm.contentName.value == '' || document.contentForm.templateID.selectedIndex == 0) {
       return 99;
     }
  <% end if %>

  if (document.contentForm.contentName.value != document.contentForm.contentNameOrig.value) { return 1; }
  if (document.contentForm.contentTitle.value != document.contentForm.contentTitleOrig.value) { return 2; }
  if (document.contentForm.contentHeading.value != document.contentForm.contentHeadingOrig.value) { return 2.5; }
  if (document.contentForm.contentBody.value != document.contentForm.contentBodyOrig.value) { return 3; }
  if (document.contentForm.metaKeywords.value != document.contentForm.metaKeywordsOrig.value) { return 4; }
  if (document.contentForm.metaDescription.value != document.contentForm.metaDescriptionOrig.value) { return 5; }

<% if languagesDisplayed = true AND session(sessionPrefix & "aCMS_DefaultLanguageID") = languageID then %>
  if (document.contentForm.contentOnline.checked == true && document.contentForm.contentOnlineOrig.value != 'true') { return 6; }
  if (document.contentForm.contentOnline.checked == false && document.contentForm.contentOnlineOrig.value != 'false') { return 7; }
  if (document.contentForm.contentVisibleMenu.checked == true && document.contentForm.contentVisibleMenuOrig.value != 'true') { return 8; }
  if (document.contentForm.contentVisibleMenu.checked == false && document.contentForm.contentVisibleMenuOrig.value != 'false') { return 9; }
  if (document.contentForm.contentVisibleSiteMap.checked == true && document.contentForm.contentVisibleSiteMapOrig.value != 'true') { return 10; }
  if (document.contentForm.contentVisibleSiteMap.checked == false && document.contentForm.contentVisibleSiteMapOrig.value != 'false') { return 11; }
  if (document.contentForm.contentVisibleSearch.checked == true && document.contentForm.contentVisibleSearchOrig.value != 'true') { return 12; }
  if (document.contentForm.contentVisibleSearch.checked == false && document.contentForm.contentVisibleSearchOrig.value != 'false') { return 13; }
<% end if %>

  return 0;

}



function reloadPage() {
  setTimeout("reloadPage2()", 1);
}
function reloadPage2() {
  location.href = 'contentAE.asp?m=edit&i=<% =contentID %>&rp=contentAE%2Easp%3F&languageID=<% =languageID %>';
}


// Tree Menu
function sci(itemNo) {
  document.contentForm.parentID.value = itemNo;
}

<% if languageIsDefault then %>
function loadSynchPage(linkID) {
  docObj = findObj(linkID);
  docObj.forceOpeningOfAncestorFolders();
  highlightObjLink(findObj(linkID));
  <% if pageMode = "" then %>  if (linkID == 0) { sci(0); }<% end if %>
}
<% end if %>

function enableHTML() {
  document.contentForm.contentTitle.disabled = false;
  document.contentForm.contentHeading.disabled = false;
  document.contentForm.contentBody.disabled = false;
  document.contentForm.templateID.disabled = false;
  document.contentForm.contentLink.disabled = true;
  document.contentForm.pageName.disabled = true;
}

function disableHTML() {
  document.contentForm.contentTitle.disabled = true;
  document.contentForm.contentHeading.disabled = true;
  document.contentForm.contentBody.disabled = true;
  document.contentForm.templateID.disabled = true;
  document.contentForm.contentLink.disabled = false;
  document.contentForm.pageName.disabled = false;
}


function reloadPage() {
  document.location = 'contentAE.asp?m=edit&i=<% =contentID %>';
}

function setPageName() {
  selected = document.forms['contentForm'].pageName.selectedIndex;
  document.contentForm.contentLink.value = document.forms['contentForm'].pageName[selected].value;
}

function checkSubmit() {
  if (document.contentForm.contentName.value == '') {
    alert('Please enter a page name.');
    document.contentForm.contentName.focus();
    return false;
  }
  <% if languageIsDefault then %>
  if (document.contentForm.pageType[0].checked == true) {
    // link to existing page
    if (document.contentForm.contentLink.value == '') {
      alert('Please enter the URL you wish to link to.');
      return false;
    <% if contentID > 0 then %>} else if (document.contentForm.contentLink.value == '<% =cms_pageName %>?contentID=<% =contentID %>') {
      alert('You may not link a page to itself.');
      return false;<% end if %>
    }

  } else {
    // New page with content
    if (document.contentForm.templateID.selectedIndex == 0) {
      alert('Please select the template to use with this page.');
      return false;
    }
  }

  if (IsNumeric(document.contentForm.parentID.value, <% =lCase(isNormalCurrency(session(sessionPrefix & "LCID"))) %>) != true) {
    alert('Please select where you would like your content to appear.');
    return false;
  }
  <% end if %>

  return true;
}

function confirmRestore(cID) {
  if (confirm("Do you wish to restore this page to the selected version? (Please note that it restores the content to the unpublished copy and must be published to be viewed on the live site).") == true) {
    document.location.href='content_historyRestore.asp?contentID=' + cID + '&languageID=<% =languageID %>';
  }
}

function confirmPublish(cID) {
  if (confirm("Do you wish to publish this page live? (Please note that the editable unpublished copy will remain the same.).") == true) {
    document.location.href='content_historyPublish.asp?contentID=' + cID + '&languageID=<% =languageID %>';
  }
}


function confClick() {
  if (document.contentForm.contentOnline.checked == false) {
    if (confirm("Taking your home page offline will result in an under construction page being displayed for your website.\n\nPlease click OK if you wish to take your home page offline.") == false) {
      document.contentForm.contentOnline.checked = true;
    }
  }
}


function editTemplate() {

  if (document.contentForm.templateID.selectedIndex < 1) { alert('No template selected.');return; }

  if (checkContent() == 0) {
    document.location.href = 'templatesAE.asp?m=edit&i=' + document.contentForm.templateID[document.contentForm.templateID.selectedIndex].value;
    
  } else {
    alert('You must save your page prior to editing your template from this link');
  }
}


//-->
</script>
<script src="inc/tree/ua.js"></script>
<script src="inc/tree/ftiens4.js"></script>
<!-- #include file="inc/tree/contentAE.asp" -->
</head>
<body leftmargin="0" topmargin="0" rightmargin="0" bottommargin="0" marginwidth="0" marginheight="0" bgcolor="#FFFFFF" onload="onLoadCode();">
<!-- #include file="inc/header.asp" -->
<!-- Start Content -->

<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td width="28"><img src="img/spacer.gif" width="28" height="27" border="0" alt=""></td>

<td class="bodyText" valign="top">

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr><td valign="bottom"><nobr><span class="MainTitle">Content Manager</span></nobr></td></tr>
<tr><td><img src="img/spacer.gif" height="5" width="1" vspace="0" hspace="0"></td></tr>
<tr><td class="row3"><img src="img/spacer.gif" height="1" width="1" vspace="0" hspace="0"></td></tr>
</table>


<!-- #include file="inc/sections/content.asp" -->
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr><td class="row3"><img src="img/spacer.gif" height="1" width="1" vspace="0" hspace="0"></td></tr>
</table><br>
<br>


<form method="post" name="contentForm" id="Form1" onsubmit="return checkSubmit()">

<table width="100%" border="0" cellspacing="0" cellpadding="1">
<tr><td align="left" class="row4">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr><td align="left" class="row2"><%

'if editing, display language selector
if pageMode = "edit" then

  displayLanguageSelectorHtml true, true

end if

%><table border="0" cellspacing="0" cellpadding="3" width="100%">
<tr>
<td align="left" valign="middle" class="row1" width="15"><img src="img/source/arrow_main.gif" width="15" height="15" vspace="2"></td>
<td align="left" class="row1"><span class="SubTitle">Content Details</span></td>
</tr>
</table>

<table cellpadding="5" cellspacing="1" border="0">
<tr>
<td align="left" width="11" valign="top">&nbsp;</td>
<td align="left" class="row2">

<% if noTemplate = true then %>
<span class="bodyTextError"><b>Please note</b><br>
Prior to editing content you must add a template, please add a template <a href="templatesAE.asp">here</a> and consult the manual for additional information.
</span>
<br><hr><br>
<% end if %>


<table border="0" cellspacing="0" cellpadding="3">
<tr>
<td class="row2" align="left"><span class="bodyTextBold">Page Name</span></td>
<td align="left" class="row2"><input type="text" name="contentName" value="<%=htmlEncode(contentName)%>" size="60" maxlength="200" style="width: 100%;" class="formElementText"></td>
</tr>
<tr>
<td class="row2" align="left" valign="top"><span class="bodyTextBold">Page Type</span></td>
<td align="left" class="row2">

<table>
<tr><td><input type="radio" name="pageType" value="1" onClick="disableHTML()"<% if isTextValid(contentLink) then send " checked" %><% if not languageIsDefault then send " disabled" %>> </td><td>Link to existing page</td></tr>
<tr><td>&nbsp;</td><td>
<span class="bodyTextBold">Link:</span><br>
<input type="text" name="contentLink" value="<% =contentLink %>" maxlength="128" size="40"<% if not languageIsDefault then send " disabled" %>>
<select name="pageName" onchange="setPageName()"<% if not languageIsDefault then send " disabled" %>>
<option value="">Select...</option>
<% listContentPages 0, 1 %>
</select>
</td></tr>

<tr><td colspan="2"><hr></td></tr>

<tr><td><input type="radio" name="pageType" value="2" onClick="enableHTML()"<% if not isTextValid(contentLink) then send " checked" %><% if not languageIsDefault then send " disabled" %>></td><td>New page with content
</td></tr>
<tr>
<td class="row2" align="left">&nbsp;</td>
<td align="left" class="row2"><span class="bodyTextBold">Page Browser Title</span> </span><br>
<input type="text" name="contentTitle" value="<%=htmlEncode(contentTitle)%>" size="60" maxlength="255" style="width: 100%;" class="formElementText"<% if not languageIsDefault AND isTextValid(contentLink) then send " disabled" %>></td></tr>
<tr>
<td class="row2" align="left">&nbsp;</td>
<td align="left" class="row2"><span class="bodyTextBold">Page Heading</span> <br>
<input type="text" name="contentHeading" value="<%=htmlEncode(contentHeading)%>" size="60" maxlength="255" style="width: 100%;" class="formElementText"<% if not languageIsDefault AND isTextValid(contentLink) then send " disabled" %>></td></tr>
<tr><td>&nbsp;</td><td>
<span class="bodyTextBold">Template:</span>
<select name="templateID" class="formElementText"<% if not languageIsDefault AND isTextValid(contentLink) then send " disabled" %>>
<option>Select...</option>
<% listTemplates templateID %>
</select> <span class="bodyTextSmall"><a href="Javascript:editTemplate()">Edit Selected Template</a></span><br><br>

<span class="bodyTextBold">Content:</span> <% if htmlBrowser then %><a href="Javascript:void(launchEditor())">WYSIWYG HTML Editor</a><% end if %><br>
<textarea name="contentBody" rows="25" style="width: 550px" class="formElementText"<% if not languageIsDefault AND isTextValid(contentLink) then send " disabled" %>><%=htmlEncode(contentBody)%></textarea>

</td>
</tr>
</table>
</td></tr>


</table>

</td></td>
</table><%

if languageIsDefault = true then

  %><table border="0" cellspacing="0" cellpadding="3" width="100%">
  <tr>
  <td align="left" valign="middle" class="row1" width="15"><img src="img/source/arrow_main.gif" width="15" height="15" vspace="2"></td>
  <td align="left" class="row1"><span class="SubTitle">Visibility</span></td>
  </tr>
  </table>

  <table cellpadding="5" cellspacing="1" border="0">
  <tr>
  <td align="left" width="11" valign="top">&nbsp;</td>
  <td align="left" class="row2">

  <table border="0" cellspacing="0" cellpadding="3">
  <tr>
  <td class="row2" align="left"><span class="bodyTextBold">Online</span></td>
  <td align="left" class="row2"><input type="checkbox" name="contentOnline" value="true"<% if contentOnline = true then %> checked<% end if %><% if contentID=1 AND contentOnline = true then send " onClick='confClick()'" %>></td>
  </tr>
  <tr>
  <td class="row2" align="left"><span class="bodyTextBold">Linked from menu</span></td>
  <td align="left" class="row2"><input type="checkbox" name="contentVisibleMenu" value="true"<% if contentVisibleMenu = true then %> checked<% end if %>></td>
  </tr>
  <tr>
  <td class="row2" align="left"><span class="bodyTextBold">Linked from site map</span></td>
  <td align="left" class="row2"><input type="checkbox" name="contentVisibleSiteMap" value="true"<% if contentVisibleSiteMap = true then %> checked<% end if %>></td>
  </tr>
  <tr>
  <td class="row2" align="left"><span class="bodyTextBold">Visible within search results</span></td>
  <td align="left" class="row2"><input type="checkbox" name="contentVisibleSearch" value="true"<% if contentVisibleSearch = true then %> checked<% end if %>></td>
  </tr>
  
  </table>
  </td></tr>
  </table>
  <br><% 
  
  if CInt(contentID) <> g_homePageID then 
    %><table border="0" cellspacing="0" cellpadding="3" width="100%">
    <tr>
    <td align="left" valign="middle" class="row1" width="15"><img src="img/source/arrow_main.gif" width="15" height="15" vspace="2"></td>
    <td align="left" class="row1"><span class="SubTitle">Content Location</span><br><span class="bodyTextSmall">Please select where you would like this page to appear, selecting 'Website' will display the page at the root level of the site.</td>
    </tr>
    </table>

    <table cellpadding="5" cellspacing="1" border="0">
    <tr>
    <td align="left" width="11" valign="top">&nbsp;</td>
    <td align="left" class="row2">

    <table border="0" cellspacing="0" cellpadding="3">
    <tr><td class="row2" align="left">

    <script>initializeDocument()</script>
    <noscript>A tree for site navigation will open here if you enable JavaScript in your browser.</noscript>
    <input type="hidden" name="parentID" value="<% =parentID %>">

    </td></tr>
    </table>
    </td></tr>
    </table>
    <br><% 
  
  else 
  
    %><input type="hidden" name="parentID" value="0"><% 
  
  end if 

end if

%><table border="0" cellspacing="0" cellpadding="3" width="100%">
<tr>
<td align="left" valign="middle" class="row1" width="15"><img src="img/source/arrow_main.gif" width="15" height="15" vspace="2"></td>
<td align="left" class="row1"><span class="SubTitle">Meta Tags</span></td>
</tr>
</table>

<table cellpadding="5" cellspacing="0" border="0">
<tr>
<td align="left" class="row2" width="11" valign="top">&nbsp;</td>
<td align=left class="row2"><span class="bodyTextBold">Keywords</span></td>
<td class="row2" align="left">
<textarea name="metaKeywords"  rows="3" cols="55" class="formElementText"><% =htmlEncode(metaKeywords) %></textarea>
</td>
</tr>
<tr>
<td align="left" class="row2" width="11" valign="top">&nbsp;</td>
<td align=left class="row2"><span class="bodyTextBold">Description</span></td>
<td class="row2" align="left"><textarea name="metaDescription"  rows="3" cols="55" class="formElementText"><% =htmlEncode(metaDescription) %></textarea></td>
</tr>
</table>
<br><br><br>

</table>
</td></tr>
</table>

<input type="button" name="cancel"  style="width: 100px" value="Cancel" class="formElementText" onclick="location.href='<% =URLDecode(returnPage) %>';">&nbsp;&nbsp;
<input type="Submit" value="<% if pageMode="edit" then %>Update<% else %>Add<% end if %>" name="Submit" style="width: 100px"><% 
  
if session(sessionPrefix & "cms_contentPublish") = true then 
  %>&nbsp;<input type="Submit" value="<% if pageMode="edit" then %>Update and publish<% else %>Add and publish<% end if %>" name="Submit" style="width: 150px"><% 
end if 
  
%><input type="hidden" name="submitted" value="true">
<input type="hidden" name="li" value="<% =loadID %>">
<input type="hidden" name="rp" value="<% =returnPage %>">

&nbsp;<input type="hidden" name="autoSave" value="false">
&nbsp;<input type="hidden" name="contentOnlineOrig" value="<% =lCase(contentOnline) %>">
&nbsp;<input type="hidden" name="contentVisibleMenuOrig" value="<% =lCase(contentVisibleMenu) %>">
&nbsp;<input type="hidden" name="contentVisibleSiteMapOrig" value="<% =lCase(contentVisibleSiteMap) %>">
&nbsp;<input type="hidden" name="contentVisibleSearchOrig" value="<% =lCase(contentVisibleSearch) %>">
&nbsp;<input type="hidden" name="contentNameOrig" value="<% =contentName %>">
&nbsp;<input type="hidden" name="contentTitleOrig" value="<% =contentTitle %>">
&nbsp;<input type="hidden" name="contentHeadingOrig" value="<% =contentHeading %>">
&nbsp;<textarea style="visibility: hidden" name="contentBodyOrig"><% =Server.HTMLEncode(""&contentBody) %></textarea>
&nbsp;<textarea style="visibility: hidden" name="metaKeywordsOrig"><% =metaKeywords %></textarea>
&nbsp;<textarea style="visibility: hidden" name="metaDescriptionOrig"><% =metaDescription %></textarea>

</form><%

if databaseType = 3 then
  SQLQuery = "SELECT tblContent_history.historyContentID, tblContent_history.contentID, tblContent_history.editedBy, tblContent_history.editedDate, tblContent_history.published, tblContent_history.publishedDate, tblContent_history.publishedBy FROM tblContent_history INNER JOIN tblContent_history_languages ON tblContent_history.historyContentID = tblContent_history_languages.historyContentID WHERE (((tblContent_history.contentID)=" & contentID & ") AND ((tblContent_history_languages.languageID)=" & languageID & ")) ORDER BY tblContent_history.editedDate DESC LIMIT " & session(sessionPrefix & "cms_maxHistory") & ";"
else
  SQLQuery = "SELECT TOP " & session(sessionPrefix & "cms_maxHistory") & " tblContent_history.historyContentID, tblContent_history.contentID, tblContent_history.editedBy, tblContent_history.editedDate, tblContent_history.published, tblContent_history.publishedDate, tblContent_history.publishedBy FROM tblContent_history INNER JOIN tblContent_history_languages ON tblContent_history.historyContentID = tblContent_history_languages.historyContentID WHERE (((tblContent_history.contentID)=" & contentID & ") AND ((tblContent_history_languages.languageID)=" & languageID & ")) ORDER BY tblContent_history.editedDate DESC;"
end if

Set ds = objConn.execute(SQLQuery)

if not ds.BOF AND not ds.EOF then

  %><br><br><table width="100%" border="0" cellspacing="0" cellpadding="1">
  <tr><td align="left" class="row4">

  <table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr><td align="left" class="row2">
  
  <table border="0" cellspacing="0" cellpadding="3" width="100%">
  <tr>
  <td align="left" valign="middle" class="row1" width="15"><img src="img/source/arrow_main.gif" width="15" height="15" vspace="2"></td>
  <td align="left" class="row1"><span class="SubTitle">Document History</span></td>
  </tr>
  </table>

  <table cellpadding="5" cellspacing="0" border="0" width="100%">
  <tr>
  <td align="left" class="row2" width="11" valign="top">&nbsp;</td>
  <td align=left class="row2"><span class="bodyTextBold">Change Date</span></td>
  <td align=left class="row2"><span class="bodyTextBold">Changed By</span></td>
  <td align=left class="row2"><span class="bodyTextBold">Published</span></td>
  <td align=left class="row2"><span class="bodyTextBold">Published Date</span></td>
  <td align=left class="row2"><span class="bodyTextBold">Published By</span></td>
  <td align=left class="row2">&nbsp;</td>
  </tr><%

  i = 1
  do until ds.EOF
    %><tr>
    <td align="left" class="row<% =i %>" width="11" valign="top">&nbsp;</td>
    <td align=left class="row<% =i %>"><span class="bodyText"><% if isDate(ds("editedDate")) then send formatDateTime(ds("editedDate"), 2) & ", " & formatDateTime(ds("editedDate"), 3) %></span></td>
    <td align=left class="row<% =i %>"><span class="bodyText"><% =ds("editedBy") %></span></td>
    <td align=left class="row<% =i %>"><span class="bodyText"><% =cYesNo(ds("published")) %></span></td>
    <td align=left class="row<% =i %>"><span class="bodyText"><%

    if cBoolean(ds("published")) = true then
      send formatDateTime(ds("publishedDate"), 2) & ", " & formatDateTime(ds("publishedDate"), 3)
    else
      send "-"
    end if

    %></span></td>
    <td align=left class="row<% =i %>"><span class="bodyText"><% =ds("publishedBy") %></span></td>

    <td align=left class="row<% =i %>"><span class="bodyText">
    <a href="Javascript:void(showPreview(<% =ds("historycontentid") %>, 2));" title="View this document" alt="View this document">View</a><br>
    <a href="Javascript:void(confirmRestore(<% =ds("historycontentid") %>));" title="Restore this document to the current editable document." alt="Restore this document to the current editable document.">Restore</a><br><%

    if session(sessionPrefix & "cms_contentPublish") = true then
      %><a href="Javascript:void(confirmPublish(<% =ds("historycontentid") %>))" title="Publish this copy of the document live" alt="Publish this copy of the document live">Publish</a><br><%
    end if

    %></span></td></tr><%

    i = i + 1
    if i > 2 then i = 1

    ds.moveNext
  loop

  %></table>
  
  </td></tr></table>
  </td></tr></table><%
  
end if

ds.close
Set ds = nothing

%>

</td>
<td width="28"><img src="img/spacer.gif" width="28" height="27" border="0" alt=""></td>
</tr>
</table>
<br>






<a href="#top"><img src="img/source/top.gif" width="29" height="9" border="0" alt="TOP" align="right" hspace="15"></a><br>
<!-- #include file="inc/footer.asp" -->
</div>

<script type="text/javascript" language="javascript">
<!--
function onLoadCode() {

<% 

if htmlBrowser = true AND autoSave=true then
  send "openWYSIWYG();setTimeout(""reloadPage()"", 3500);"
end if

if languageIsDefault then
  if isTextValid(contentLink) then
    send "disableHTML();"
  else
    send "enableHTML();"
  end if
  
  if parentIDMenuNo > 0 AND cInt(contentID) <> g_homePageID then
    send "loadSynchPage(" & parentIDMenuNo-1 & ");"
  elseIf cInt(contentID) <> g_homePageID then
    if parentIDMenuNo-1 = -1 then
      send "loadSynchPage(0);"
    else
      send "loadSynchPage(" & parentIDMenuNo-1 & ");"
    end if
  end if
end if

%>
}
//-->
</script>


</body>
</html>

<% 'ERROR REPORTING / GLOBAL DB CONNECTION CLOSE INCLUDE - DON'T REMOVE! %>
<!-- #include file="inc/db_connection_close.asp" -->