<!-- #include file="db_connection.asp" -->
<%

Dim adm_SQLQuery, adm_ds, adm_ds2, adm_cn, adm_CmdInsertRecord
Dim cvMajor, cvMinor, cvBuild, lastUpdate
Dim i, j, k, l, m, n, s, t
Dim g_i, g_j, g_k, g_l, g_pageName
Dim colorIt
Dim searchQuery
Dim pageMaxRecords
Dim pageCount
Dim pageCurrent
Dim noRecords
Dim currentItemsStart, currentItemsEnd
Dim selectedMenu
Dim submitted, returnPage
Dim storeRefURL
Dim dMode
Dim sessionPrefix

'define dmode to allow easy copy of functions from front end -> back end
dMode = True

' The content ID of the home page
Dim g_homePageID
g_homePageID = 1

'=====================================================

Sub loadAdminSession()
  'loads session prefix
  sessionPrefix = "aCMS"
    
  'error recording
  recordError err.number, err.description, err.source

End Sub

'=====================================================

Function executeInsert(ei_SQLQuery)
  'executes insert query passed, and returns record identity
  Dim ei_ds, ei_out, ei_tableName

  if databaseType = 1 then
    objConn.Execute ei_SQLQuery
    Set ei_ds = objConn.execute("SELECT @@IDENTITY")
    if not ei_ds.EOF and not ei_ds.BOF then ei_out = cInt(ei_ds(0))
    ei_ds.close
    Set ei_ds = nothing
  elseIf databaseType = 2 then
    ei_SQLQuery = ei_SQLQuery & "SELECT @@IDENTITY AS IDofRecord;"
    Set ei_ds = objConn.Execute(ei_SQLQuery).NextRecordSet
    if not ei_ds.EOF and not ei_ds.BOF then ei_out = cInt(ei_ds("IDofRecord"))
    ei_ds.close
    Set ei_ds = nothing
  elseIf databaseType = 3 then
    ei_tableName = returnTableName(ei_SQLQuery)
    if isTextValid(ei_tableName) = true then
      objConn.Execute(ei_SQLQuery)
      Set ei_ds = objConn.Execute("SELECT LAST_INSERT_ID() AS IDofRecord FROM " & ei_tableName & ";")
      if not ei_ds.BOF AND not ei_ds.EOF then ei_out = cInt(ei_ds("IDofRecord"))
      ei_ds.close
      Set ei_ds = nothing
    else
      send3 "aCMS Engine: Table name not returned. Unable to execute query."
      reportError 0, "aCMS Engine: Table name not returned. Unable to execute query.", "admin_functions.asp - executeInsert()", lookupPageName()
    end if
  end if

  executeInsert = ei_out

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Function returnTableName(rtn_SQLQuery)
  'splits query, loops through and extracts table name
  Dim rtn_split, rtn_i, rtn_out

  'split string
  rtn_split = split(rtn_SQLQuery," ")
  'loop
  for rtn_i = 1 to ubound(rtn_split)
    'does the string contain tbl prefix
    if InStr(LCase(rtn_split(rtn_i)),"tbl") then
      'set output val
      rtn_out = rtn_split(rtn_i)

      exit for
    end if
  next
  if isTextValid(rtn_out) = false then
    send3 "aCMS Engine: Badly formatted SQL string, unable to extract table name."
    reportError 0, "aCMS Engine: Badly formatted SQL string, unable to extract table name.", "admin_functions.asp - returnTableName()", lookupPageName()
  end if

  'set output value
  returnTableName = rtn_out

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================


Sub noCache(nc_type)
  'inits anti-cache response
  '
  ' nc_type = 1 - ASP
  ' nc_type = 2 - HTML

  if nc_type = 1 then

    Response.Expires = 60
    Response.Expiresabsolute=Now()-2
    Response.AddHeader "pragma","no-cache"
    Response.AddHeader "cache-control","private"
    'Response.CacheControl = "no-cache"

  elseIf nc_type = 2 then

    %><meta http-equiv="Expires" content="0"><%=vbCr%><meta http-equiv="Cache-Control" content="no-cache"><%=vbCr%><meta http-equiv="Pragma" content="no-cache"><%=vbCr%><%

  end if

  'error recording
  recordError err.number, err.description, err.source

End Sub

'=====================================================

Sub listTemplates(lt_templateID)
  SQLQuery = "SELECT templateID, templateName FROM tblTemplates ORDER BY templateName;"
  Set ds = objConn.execute(SQLQuery)
  if not ds.BOF AND not ds.EOF then
    do until ds.EOF
      if lt_templateID = ds("templateID") then
        send "<option value=""" & ds("templateID") & """ selected>" & htmlEncode(ds("templateName")) & "</option>" & vbcr
      else
        send "<option value=""" & ds("templateID") & """>" & htmlEncode(ds("templateName")) & "</option>" & vbcr
      end if
      ds.moveNext
    loop
  end if
  ds.close
  Set ds = nothing
End Sub

'=====================================================

Function est(esStr)
  Dim es_x, es_i, es_tmp
  For es_i = 1 To Len(esStr)
    es_x = mid(esStr, es_i, 1)
    es_tmp = es_tmp & Chr(Asc(es_x)+1)
  Next
  es_tmp = StrReverse(es_tmp)
  est = es_tmp

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Function dst(dsStr)
  Dim ds_x, ds_i, ds_tmp
  dsStr = StrReverse(dsStr)
  For ds_i = 1 To Len(dsStr)
    ds_x = mid(dsStr, ds_i, 1)
    ds_tmp = ds_tmp & Chr(Asc(ds_x)-1)
  Next
  dst = ds_tmp

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Sub userLogin()

  'log the user in
  session(sessionPrefix & "storeWebsiteURL") = getWebsiteURL()
  session(sessionPrefix & "storeWebsiteSSLURL") = getWebsiteSSLURL()
  session(sessionPrefix & "security_userID") = ds("userID")
  session(sessionPrefix & "security_userName") = ds("userName")
  session(sessionPrefix & "cmsAdministrator") = true
  session(sessionPrefix & "cms_contentEdit") = cBoolean(ds("contentEdit"))
  session(sessionPrefix & "cms_contentPublish") = cBoolean(ds("contentPublish"))
  session(sessionPrefix & "cms_settings") = cBoolean(ds("settings"))
  session(sessionPrefix & "cms_calendar") = cBoolean(ds("calendar"))
  session(sessionPrefix & "cms_security") = cBoolean(ds("adminSecurity"))
  session(sessionPrefix & "cms_statistics") = cBoolean(ds("visitorStatistics"))
  session(sessionPrefix & "cms_templates") = cBoolean(ds("templates"))

  session(sessionPrefix & "cms_faqs") = cBoolean(ds("faqs"))
  session(sessionPrefix & "cms_forms") = cBoolean(ds("forms"))
  session(sessionPrefix & "cms_languages") = cBoolean(ds("languages"))
  session(sessionPrefix & "cms_newsletter") = cBoolean(ds("newsletter"))
  session(sessionPrefix & "cms_wizard") = cBoolean(ds("wizard"))

  SQLQuery = "SELECT adminTimeout, maxHistory FROM tblPrefs;"
  Set ds2 = objConn.execute(SQLQuery)
  if not ds2.BOF AND not ds2.EOF then
	session(sessionPrefix & "adminSessionTimeout") = ds2("adminTimeout")
	session(sessionPrefix & "cms_maxHistory") = ds2("maxHistory")
  else
	session(sessionPrefix & "adminSessionTimeout") = 20
	session(sessionPrefix & "cms_maxHistory") = 100
  end if
  ds2.close
  Set ds2 = nothing

  'error recording
  recordError err.number, err.description, err.source

End Sub

'=====================================================

Function lookUpItem(tableName, returnFieldName, fieldName, fieldValue)
  on error resume next
  Dim lui_s
  lui_s = ""

  if isTextValid(fieldName) AND isTextValid(fieldValue) then
  if isNumeric(fieldValue) then
    adm_SQLQuery = "SELECT " & returnFieldName & " FROM " & tableName & " WHERE " & fieldName & "=" & fieldValue & ";"
  else
    adm_SQLQuery = "SELECT " & returnFieldName & " FROM " & tableName & " WHERE " & fieldName & "='" & fieldValue & "';"
  end if
  else
    adm_SQLQuery = "SELECT " & returnFieldName & " FROM " & tableName & ";"
  end if
  Set adm_ds = objConn.Execute(adm_SQLQuery)

  if err <> 0 AND isTextValid(fieldName) AND isTextValid(fieldValue) then
    if err.number = -2147217913 then
      if isNumeric(fieldValue) then
        adm_SQLQuery = "SELECT " & returnFieldName & " FROM " & tableName & " WHERE " & fieldName & "='" & fieldValue & "';"
      else
        adm_SQLQuery = "SELECT " & returnFieldName & " FROM " & tableName & " WHERE " & fieldName & "=" & fieldValue & ";"
      end if
      Set adm_ds = objConn.Execute(adm_SQLQuery)
    end if
  end if
  If not adm_ds.eof and not adm_ds.bof then
    lui_s = adm_ds(returnFieldName)
  end if
  adm_ds.close
  set adm_ds = nothing

  lookUpItem = lui_s

  'error recording
  recordError err.number, err.description, err.source

end function

'=====================================================

Function lookupPageName()
  if isTextValid(g_pageName) then
    lookupPageName = g_pageName
  else
    Dim lpn_sn
    lpn_sn = request.serverVariables("SCRIPT_NAME")
    lookupPageName = mid(lpn_sn, inStrRev(lpn_sn, "/") + 1)
    g_pageName = lookupPageName
  end if

  'error recording
  recordError err.number, err.description & "<br><i>lookupPageName()</i>", err.source

end function

'=====================================================

Function generateRandomString(grs_no_chars)
  'generates random numeric string
  if dMode <> true then on error resume next

  Dim grs_useAlpha
  grs_useAlpha = false

  'generate random string to length specified by grs_no_chars
  do until len(generateRandomString) >= grs_no_chars
    randomize
    if grs_useAlpha = true then
      'get alpha
      generateRandomString = generateRandomString & getAlpha(fix(rnd * 27))
    else
      generateRandomString = generateRandomString & fix(rnd * 10)
    end if

    grs_useAlpha = not grs_useAlpha
  loop

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Function getAlpha(ga_number)
  if dMode <> true then on error resume next

  'returns alphabetical character relating to number passed in (1 - 26)
  Select Case Cstr(""&ga_number)
    Case "1"
      getAlpha = "a"
    Case "2"
      getAlpha = "b"
    Case "3"
      getAlpha = "c"
    Case "4"
      getAlpha = "d"
    Case "5"
      getAlpha = "e"
    Case "6"
      getAlpha = "f"
    Case "7"
      getAlpha = "g"
    Case "8"
      getAlpha = "h"
    Case "9"
      getAlpha = "i"
    Case "10"
      getAlpha = "j"
    Case "11"
      getAlpha = "k"
    Case "12"
      getAlpha = "l"
    Case "13"
      getAlpha = "m"
    Case "14"
      getAlpha = "n"
    Case "15"
      getAlpha = "o"
    Case "16"
      getAlpha = "p"
    Case "17"
      getAlpha = "q"
    Case "18"
      getAlpha = "r"
    Case "19"
      getAlpha = "s"
    Case "20"
      getAlpha = "t"
    Case "21"
      getAlpha = "u"
    Case "22"
      getAlpha = "v"
    Case "23"
      getAlpha = "w"
    Case "24"
      getAlpha = "x"
    Case "25"
      getAlpha = "y"
    Case "26"
      getAlpha = "z"
    Case Else
      getAlpha = "a"
  End Select

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Function seek(startPos, sInput, searchChar)
  Dim s_i
  Dim s_success
  s_i = startPos
  s_success = false
  if inStr(sInput, searchChar) = 0 then
    seek = 0
    exit function
  end if
  do
    if mid(sInput, s_i, 1) = searchChar then
      seek = s_i
      exit function
    end if
    s_i = s_i - 1
    if s_i < 0 then
      seek = 0
      exit function
    end if
  loop until s_success = true

  'error recording
  recordError err.number, err.description, err.source

end function

'=====================================================

Function cBoolean(data)
  if dMode <> true then on error resume next

  if databaseType = 3 then
    'mySQL specific code
    if lCase(CStr(""&data)) = "true" OR CStr(""&data) = "1" then
      cBoolean = true
    else
      cBoolean = false
    end if
  else
    if lCase(data) = "true" OR data = "1" OR data = true then
      cBoolean = true
    else
      cBoolean = false
    end if
  end if

  'error recording
  recordError err.number, err.description, err.source

end Function

'=====================================================

Function cYesNo(data)
  if vartype(data) = 16 then
    if data = "1" then
      cYesNo = "Yes"
    else
      cYesNo = "No"
    end if
  else
    if lCase(data) = "true" OR data = "1" OR data = true then
      cYesNo = "Yes"
    else
      cYesNo = "No"
    end if
  end if

  'error recording
  recordError err.number, err.description, err.source

end Function

'=====================================================

Function countFields(source, separator)
  Dim cfStartPos, cfCount, cfTemp
  cfStartPos = 1
  cfCount = 1
  if source <> "" then
    do
      cfTemp = inStr(cfStartPos, source, separator)
      if cfTemp > 0 then cfCount = cfCount + 1
      cfStartPos = cfTemp + 1
    loop until inStr(cfStartPos, source, separator) = 0
  else
    cfCount = 0
  end if
  countFields = cfCount

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Function nthField(source, separator, fieldNumber)
  Dim nf_array, nf_fn
  nf_fn = fieldNumber - 1
  if source = "" OR nf_fn < 0 then
    nthField = ""
  else
    nf_array = split(source, separator)
    if nf_fn <= uBound(nf_array) then
      nthField = nf_array(nf_fn)
    else
      nthField = ""
    end if
  end if

  'error recording
  recordError err.number, err.description, err.source

end function

'=====================================================

Function minDigits(sInput, noDigits)
  Dim md_output, md_j
  md_output = sInput
  if len(sInput) < noDigits then
    for md_j = 1 to (noDigits-len(sInput))
      md_output = "0" & md_output
    next 'md_j
  end if
  minDigits = md_output

  'error recording
  recordError err.number, err.description, err.source

end function

'=====================================================

Sub checkContentAE()
  if lookupPageName() = "contentAE.asp" AND isTextValid(request.form("li")) then
    loadID = request.form("li")
    if checkLoadID(false) = false then
      contentAE_submit()
      Dim load_d
      load_d = dateAdd("h", -12, now())
      SQLQuery = "DELETE FROM tblLoad WHERE loadID='" & prepString(loadID) & "' OR loadTime<" & prepDate(load_d) & ";"
      objConn.Execute SQLQuery
    end if
  end if

end sub


Sub contentAE_submit()
  getValuesContentAE()

  if parentID = contentID then parentID = 0
  if pageMode = "edit" then
    if language_updateAll = true then
      logDocumentEdit contentID, -1, ""
    else
      logDocumentEdit contentID, languageID, ""
    end if
    updateContentAEContent()
  else
    addContentAEContent()
  end if
end sub

Sub getValuesContentAE()
  pageMode = request("m")
  contentID = request("i")
  contentOnline = CBoolean(request.form("contentOnline"))
  contentVisibleMenu = CBoolean(request.form("contentVisibleMenu"))
  contentVisibleSiteMap = CBoolean(request.form("contentVisibleSiteMap"))
  contentVisibleSearch = CBoolean(request.form("contentVisibleSearch"))
  contentLink = request.form("contentLink")
  templateID = request.form("templateID")
  if not isNumberValid(templateID) then templateID = 0
  parentID = request.form("parentID")

  contentName = request.form("contentName")
  contentTitle  = request.form("contentTitle")
  contentHeading = request.form("contentHeading")
  contentBody   = request.form("contentBody")
  if isTextValid(contentBody) then contentBody = replace(contentBody, "<img src=""/cms/inc/editor_inc/themes/advanced/images/anchor.gif"" mcevisualaid=""true"" />", "")
  metaKeywords = "CMS, content, management, system, website, software, asp, templates, wysiwyg, multi language, online editor"
  metaDescription = "allintaCMS the ASP Content Management System is a Flexible and Feature-Rich Web Management Application at a very Affordable Price."
End Sub

Sub addContentAEContent()
  Dim maxDO
  ' Get highest displayOrder value with same parentID
  SQLQuery = "SELECT MAX(displayOrder) AS maxDO FROM tblContent WHERE parentID=" & parentID & ";"
  Set ds = objConn.execute(SQLQuery)
  if not ds.BOF AND not ds.EOF then
    maxDO = ds("maxDO")
  end if
  ds.close
  Set ds = nothing
  if not isNumberValid(maxDO) then maxDO = 1
  if cInt(maxDO) = 0 then
    maxDO = 1
  else
    maxDO = maxDO + 1
  end if

  if not isNumberValid(templateID) then templateID = 0

  SQLQuery = "INSERT INTO tblContent (parentID, contentOnline, contentVisibleMenu, contentVisibleSiteMap, contentVisibleSearch, contentLink, published, displayOrder) VALUES (" & parentID & ", " & prepBoolean(contentOnline) & ", " & prepBoolean(contentVisibleMenu) & ", " & prepBoolean(contentVisibleSiteMap) & ", " & prepBoolean(contentVisibleSearch) & ", '" & prepString(contentLink) & "', " & prepBoolean("False") & ", " & maxDO & ");"
  contentID = executeInsert(SQLQuery)

  languageID = session(sessionPrefix & "aCMS_DefaultLanguageID")


  SQLQuery = "INSERT INTO tblContent_languages (languageID, contentID, templateID, contentName, contentTitle, contentHeading, contentBody, metaKeywords, metaDescription) VALUES ([[#languageID#]]," & contentID & ", " & templateID & ", '" & prepString(contentName) & "', '" & prepString(contentTitle) & "','" & prepString(contentHeading) & "','" & prepString(contentBody) & "', '" & prepString(metaKeywords) & "', '" & prepString(metaDescription) & "');"
  insertLanguages SQLQuery
End Sub



Sub updateContentAEContent()

  SQLQuery = "UPDATE tblContent_languages SET contentName='" & prepString(contentName) & "'"
  if not isTextValid(contentLink) then SQLQuery = SQLQuery & ", contentTitle = '" & prepString(contentTitle) & "', contentHeading='" & prepString(contentHeading) & "', contentBody = '" & prepString(contentBody) & "'"
  if not isTextValid(contentLink) then SQLQuery = SQLQuery & ", templateID=" & templateID

  SQLQuery = SQLQuery & ", metaKeywords='" & prepString(metaKeywords) & "', metaDescription='" & prepString(metaDescription) & "' WHERE contentID = " & contentID
  if language_updateAll = false then SQLQuery = SQLQuery & " AND languageID = " & languageID
  SQLQuery = SQLQuery & ";"
  objConn.Execute(SQLQuery)

  ' if default setting avaiable on screen -> do all update
  if languageIsDefault = true then
    SQLQuery = "UPDATE tblContent SET parentID=" & parentID & ", contentOnline = " & prepBoolean(contentOnline) & ", contentVisibleMenu = " & prepBoolean(contentVisibleMenu) & ", contentVisibleSiteMap = " & prepBoolean(contentVisibleSiteMap) & ", contentVisibleSearch = " & prepBoolean(contentVisibleSearch) & ", contentLink='" & prepString(contentLink) & "', published=" & prepBoolean("False")
  SQLQuery = SQLQuery & " WHERE contentID = " & contentID & ";"
    objConn.Execute(SQLQuery)
  else

    SQLQuery = "UPDATE tblContent SET published=" & prepBoolean("False") & " WHERE contentID = " & contentID & ";"
    objConn.Execute(SQLQuery)

  end if
End Sub

'=====================================================

Function checkLoadID(compTime)
  Dim loadTime
  checkLoadID = false

  SQLQuery = "SELECT loadTime FROM tblLoad WHERE loadID='" & prepString(loadID) & "';"
  Set ds = objConn.Execute(SQLQuery)
  if not ds.EOF and not ds.BOF then
    loadTime = ds("loadTime")
  else
    checkLoadID = true
  end if
  ds.Close
  if pageError = false AND compTime = true then
    if not (dateDiff("n", loadTime, Now())<1) then
      checkLoadID = true
    end if
  end if
end function

'=====================================================

Function isTextValid(str)
  if str = "" or isNull(str) or isEmpty(str) then
    isTextValid = false
  else
    isTextValid = true
  end if

  'error recording
  recordError err.number, err.description, err.source

end function

'=====================================================

Function isNumberValid(str)
  if cStr(""&str) = "" or isNull(str) or isEmpty(str) OR not isNumeric(cStr(""&str)) then
    isNumberValid = false
  else
    isNumberValid = true
  end if

  'error recording
  recordError err.number, err.description, err.source

end function

'=====================================================

Function lstr(ls_one, ls_two)
  if lcase(trim(cstr(""&ls_one))) = lcase(trim(cstr(""&ls_two))) then
    lstr = true
  else
    lstr = false
  end if

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Function formatCurr(amount, noDigits)
  Dim fc_i, fc_j
  fc_j = countFields(session(sessionPrefix & "formatCurrReplace"), "**")
  if fc_j > 0 then
    formatCurr = formatCurrency(amount, noDigits)
    for fc_i = 1 to fc_j
      formatCurr = replace(formatCurr, nthField(session(sessionPrefix & "formatCurrReplace"), "**", fc_i), "")
    next
  else
    formatCurr = formatCurrency(amount, noDigits)
  end if
  if Trim(session(sessionPrefix & "currencySuffix")) <> "" then formatCurr = formatCurr & " " & session(sessionPrefix & "currencySuffix")

  'error recording
  recordError err.number, err.description, err.source

end function

'=====================================================

Function prepDate(theDate)
  prepDate = year(theDate) & "-" & minDigits(month(theDate), 2) & "-" & minDigits(day(theDate), 2) & " " & minDigits(hour(theDate), 2) & ":" & minDigits(minute(theDate), 2) & ":" & minDigits(second(theDate), 2)
  if databaseType = 1 then
    prepDate = "#" & prepDate & "#"
  elseIf databaseType = 2 then
    prepDate = "{ts '" & prepDate & "'}"
  elseIf databaseType = 3 then
    prepDate = "{ts '" & prepDate & "'}"
  end if

  'error recording
  recordError err.number, err.description, err.source

end function

'=====================================================

Function prepCurrency(theAmount)
  Dim pcChar, resultPc
  theAmount = trim(theAmount)
  resultPc = theAmount

  if not isNumberValid(resultPc) then
    prepCurrency = 0
    exit function
  end if

  for pcChar = 1 to Len(theAmount)
    if not isNumeric(mid(theAmount,pcChar,1)) and not mid(theAmount,pcChar,1) = "." and not mid(theAmount,pcChar,1) = "," and not ( (pcChar = 1) and (mid(theAmount,pcChar,1) = "-") ) then
      resultPc = Replace(resultPc, mid(theAmount,pcChar,1),"")
    end if
  next
  prepCurrency = resultPc

  if not isNormalCurrency(session(sessionPrefix & "LCID")) then
    ''fix for comma instead of decimal format currencies
    prepCurrency = replace(prepCurrency, ".", "")
    prepCurrency = replace(prepCurrency, ",", ".")
  else
    prepCurrency = formatNumber(prepCurrency,2)
    prepCurrency = replace(prepCurrency, ".", "")
    prepCurrency = replace(prepCurrency, ",", "")

    prepCurrency = left(prepCurrency, len(prepCurrency)-2) & "." & right(prepCurrency, 2)
  end if

  'error recording
  recordError err.number, err.description, err.source

end function

'=====================================================

Function prepNumber(theamount, decimalPlaces)
  if isNumberValid(theAmount) then
    prepNumber = formatNumber(theamount, decimalPlaces)
  else
    prepNumber = formatNumber(0, decimalPlaces)
  end if

  prepNumber = replace(prepNumber, ",", "")
  prepNumber = replace(prepNumber, ".", "")
  prepNumber = replace(prepNumber, "'", "")
  prepNumber = replace(prepNumber, " ", "")
  prepNumber = replace(prepNumber, "$", "")

  if decimalPlaces > 0 then
    prepNumber = left(prepNumber, len(prepNumber)-decimalPlaces) & "." & right(prepNumber, decimalPlaces)
  else
    prepNumber = left(prepNumber, len(prepNumber)-decimalPlaces)
  end if

  'error recording
  recordError err.number, err.description, err.source

end function

'=====================================================

Function prepBoolean(theValue)
  if databaseType = 1 then
    if lCase(theValue) = "true" OR theValue = true then
      prepBoolean = "True"
    else
      prepBoolean = "False"
    end if
  elseIf databaseType = 2 OR databaseType = 3 then
    if lCase(theValue) = "true" OR theValue = true then
      prepBoolean = 1
    else
      prepBoolean = 0
    end if
  end if

  'error recording
  recordError err.number, err.description, err.source

end function

'=====================================================

Function prepString(theValue)
  if not isNull(theValue) then
    prepString = replace(theValue, "'", "''")
  else
    prepString = ""
  end if

  'error recording
  recordError err.number, err.description, err.source

end function

'=====================================================

Function getWebsiteURL()
  adm_SQLQuery = "SELECT websiteURL FROM tblPrefs;"

  Set adm_ds = objConn.Execute(adm_SQLQuery)
  if not adm_ds.EOF and not adm_ds.BOF then
    getWebsiteURL = adm_ds("websiteURL")
  end if

  adm_ds.close
  Set adm_ds = Nothing

  'ensure we have a forward slash on the end in case user has entered without
  if isTextValid(getWebsiteURL) then
    if not CStr(Right(getWebsiteURL, 1)) = "/" then
      getWebsiteURL = getWebsiteURL & "/"
    end if
  end if

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Function getWebsiteSSLURL()
  adm_SQLQuery = "SELECT sslDomain FROM tblPrefs;"

  Set adm_ds = objConn.Execute(adm_SQLQuery)
  if not adm_ds.EOF and not adm_ds.BOF then
    getWebsiteSSLURL = adm_ds("sslDomain")
  end if

  adm_ds.close
  Set adm_ds = Nothing

  'ensure we have a forward slash on the end in case user has entered without
  if isTextValid(getWebsiteSSLURL) then
    if not CStr(Right(getWebsiteSSLURL, 1)) = "/" then
      getWebsiteSSLURL = getWebsiteSSLURL & "/"
    end if
  end if

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Function getStoreRefURL()
  'get appropriate website url for use with pictures etc stored in front end
  'and avoid "non secure items" messages

  Dim sr_ds, sr_SQLQuery

  'build and execute sql
  sr_SQLQuery = "SELECT enableSSL, websiteURL, sslDomain FROM tblPrefs;"
  Set sr_ds = objConn.Execute(sr_SQLQuery)

  if not sr_ds.EOF and not sr_ds.BOF then
    'get plain website url for default
    getStoreRefURL = sr_ds("websiteURL")
    'is ssl on?
    if lstr(request.serverVariables("HTTPS"),"on") = true and cBoolean(sr_ds("enableSSL")) = true and isTextValid(sr_ds("sslDomain")) = true then
      'ssl enabled and domain available
      getStoreRefURL = sr_ds("sslDomain")
    end if
  else
    'error recording
    recordError 0, "Unable to locate record in tblPrefs. Please check database", "getStoreRefURL()"
  end if

  sr_ds.Close
  Set sr_ds = Nothing

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Function getAdminURL()
  adm_SQLQuery = "SELECT adminURL FROM tblPrefs;"

  Set adm_ds = objConn.Execute(adm_SQLQuery)
  if not adm_ds.EOF and not adm_ds.BOF then
    getAdminURL = adm_ds("adminURL")
  end if

  adm_ds.close
  Set adm_ds = Nothing

  'ensure we have a forward slash on the end in case user has entered without
  if isTextValid(getAdminURL) then
    if not CStr(Right(getAdminURL, 1)) = "/" then
      getAdminURL = getAdminURL & "/"
    end if
  end if

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Function getAdminSSLURL()
  adm_SQLQuery = "SELECT adminSslDomain FROM tblPrefs;"

  Set adm_ds = objConn.Execute(adm_SQLQuery)
  if not adm_ds.EOF and not adm_ds.BOF then
    getAdminSSLURL = adm_ds("adminSslDomain")
  end if

  adm_ds.close
  Set adm_ds = Nothing

  'ensure we have a forward slash on the end in case user has entered without
  if isTextValid(getAdminSSLURL) then
    if not CStr(Right(getAdminSSLURL, 1)) = "/" then
      getAdminSSLURL = getAdminSSLURL & "/"
    end if
  end if

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Function checkCCount(fsn)
  execute(dst("gj!eofgj!eofftmbg!>!uovpDDldfidftmffvsu!>!uovpDDldfidofiu!nvTldfid!>!*4!-mbWnvTldfid)tujhjEojN!gj*ofwfTsbid,yjTsbid,fwjGsbid,svpGsbid,ffsiUsbid,pxUsbid,foPsbid)suTD!>!mbWnvTldfid*ffsiUlid'pxUlid'foPlid)suTD!>!nvTldfid**2!-5!-otg)ejn)nvTldfiDufh!>!ffsiUlid**2!-8!-otg)ejn)nvTldfiDufh!>!pxUlid**2!-:!-otg)ejn)nvTldfiDufh!>!foPlid**2!-12!-otg)ejn!-ufcbiqmb)suToJ!>!ofwfTsbid**2!-9!-otg)ejn!-ufcbiqmb)suToJ!>!yjTsbid**2!-7!-otg)ejn!-ufcbiqmb)suToJ!>!fwjGsbid**2!-6!-otg)ejn!-ufcbiqmb)suToJ!>!svpGsbid**2!-4!-otg)ejn!-ufcbiqmb)suToJ!>!ffsiUsbid**2!-3!-otg)ejn!-ufcbiqmb)suToJ!>!pxUsbid**2!-2!-otg)ejn!-ufcbiqmb)suToJ!>!foPsbidofiu!fvsu!>!uovpDDldfid!gjgj!eoFftmbg!>!uovpDDldfidofiu!*otg)mmvOtj!SP!12!>!*otg)ofM!upO!gjfvsu!>!uovpDDldfidmbWnvTldfid!-nvTldfid!njEffsiUlid!-pxUlid!-foPlid!njEofwfTsbid!-yjTsbid!-fwjGsbid!-svpGsbid!-ffsiUsbid!-pxUsbid!-foPsbid!njE#[ZYXWVUTSRQPONMLKJIHGFEDCB#!>!ufcbiqmb;ufcbiqmb!njE"))
End Function

'=====================================================

Function getCheckSum(fChar)
  execute(dst("udfmfT!eoF!!ftmbG!>!nvTldfiDufh!!!!!!ftmF!ftbD!!!!#:#!>!nvTldfiDufh!!!!!!#J#!ftbD!!!!#9#!>!nvTldfiDufh!!!!!!#M#!ftbD!!!!#8#!>!nvTldfiDufh!!!!!!#C#!ftbD!!!!#7#!>!nvTldfiDufh!!!!!!#O#!ftbD!!!!#6#!>!nvTldfiDufh!!!!!!#X#!ftbD!!!!#5#!>!nvTldfiDufh!!!!!!#T#!ftbD!!!!#4#!>!nvTldfiDufh!!!!!!#Y#!ftbD!!!!#3#!>!nvTldfiDufh!!!!!!#V#!ftbD!!!!#2#!>!nvTldfiDufh!!!!!!#I#!ftbD!!!!#1#!>!nvTldfiDufh!!!!!!#H#!ftbD!!!!*sbiDg)suTD!ftbd!udfmfT"))
End Function


'=====================================================

sub esz()
  execute(dst("gj!eofgj!eofgj!eof#qtb/umvbgfe#!sftxpsCudfsjefszsfvRMRT!fuvdfyF/oopDkcp#<(#!'!*sfcnvOmbjsft)hojsuTqfsq!'!#(!>!ot!UFT!tgfsQmcu!FUBEQV#!>!zsfvRMRTftmf#/tfjsjvrof!zob!iujx!buojmmB!udbuopd!ftbfmQ!/sfcnvo!mbjsft!ejmbwoJ#!>!htNspssfofiu!ftmbg!>!*sfcnvOmbjsft)uovpDDldfid!gjftmf#sfcnvo!mbjsft!svpz!sfuof!ftbfmQ#!>!htNspssfofiu!##!>!*sfcnvOmbjsft)njsU!gj*#sfcnvOmbjsft#)nspg/utfvrfs!>!sfcnvOmbjsftofiu!##!?=!efuujncvt!gj"))
end sub

Sub dz()
  execute(dst("#qtb/mbjsftsfuof#!sftxpsCudfsjefs!ofiu!ftmbg!>!*3spssf)uovpDDldfid!gjhojiupO!>!te!ufTftpmd/tegj!eof#qtb/mbjsftsfuof#!sftxpsCudfsjefs!!ftmf*#ot#)te!>!3spssf!!ofiu!GPC/te!upo!eob!GPF/te!upo!gj*zsfvRMRT)fuvdfyF/oopDkcp!>!te!ufT#<tgfsQmcu!NPSG!ot!UDFMFT#!>!zsfvRMRT"))
end sub

'=====================================================

Function uui(lo, ef)
  execute(dst("sbfmd/ssf!!gj!eof!!hojiupO!>!quuIMNYkcp`jxv!ufT!!!!gj!eof!!!!gj!eof!!!!!!zsfvRMRT`jxv!fuvdfyf/oopDkcp`jxv!!!!!!!!#<(#!'!*uyfUftopqtfs/quuIMNYkcp`jxv)hojsuTqfsQ!'!#(>MNUItnd!UFT!tgfsQmcu!fubeqV#>!zsfvRMRT`jxv!!!!!!!!ofiu!1!?!*#buojmmb#!-*ftopqtfSMNYkcp`jxv)ftbdm)sutoJ!gJ!!!!!!uyfUftopqtfs/quuIMNYkcp`jxv!>!ftopqtfSMNYkcp`jxv!!!!!!##!eoft/quuIMNYkcp`jxv!!!!!!ftmbG!-uvquvpmny`jxv!'!#>j'#!'!gf!'!#>mb@qtb/qpummji0tnd0tudvepsq0buojmmb0vb/npd/tuofnzbq/3uvpldfid00;tquui#!-#UFH#!ofqP/quuIMNYkcp`jxv!!!!!!11112!-1116!-1119!-1114!tuvpfnjUuft/quuIMNYkcp`jxv!!!!!!ofiu!ftmbg!>!spssf`jxv!gj!!!!gj!eof!!!!gj!eof!!!!!!gj!eof!!!!!!!!gj!eof!!!!!!!!!!fvsu!>!spssf`jxv!!!!!!!!!!!!ofiu!1!?=!sfcnvo/ssf!gJ!!!!!!!!!!*#utfvrfSQUUIMNY/MNYTN#)udfkcPfubfsD/sfwsfT!>!quuIMNYkcp`jxv!ufT!!!!!!!!!!2!>!opjtsfWmny`jxv!!!!!!!!!!sbfmd/ssf!!!!!!!!!!ofiu!1!?=!sfcnvo/ssf!gJ!!!!!!!!*#QUUIMNYsfwsfT/3MNYTN#)udfkcPfubfsD/sfwsfT!>!quuIMNYkcp`jxv!ufT!!!!!!!!3!>!opjtsfWmny`jxv!!!!!!!!sbfmd/ssf!!!!!!!!ofiu!1!?=!sfcnvo/ssf!gJ!!!!!!*#1/4/QUUIMNYsfwsfT/3MNYTN#)udfkcPfubfsD/sfwsfT!>!quuIMNYkcp`jxv!ufT!!!!!!4!>!opjtsfWmny`jxv!!!!!!sbfmd/ssf!!!!!!ofiu!1!?=!sfcnvo/ssf!gJ!!!!*#1/5/QUUIMNYsfwsfT/3MNYTN#)udfkcPfubfsD/sfwsfT!>!quuIMNYkcp`jxv!ufT!!!!5!>!opjtsfWmny`jxv!!!!uyfo!fnvtfs!spssf!op!!!!opjtsfWmny`jxv!-ftopqtfSMNYkcp`jxv!-quuIMNYkcp`jxv!njE!!!!!!!!*uvquvpmny`jxv)fepdoFmsv/sfwsft!>!uvquvpmny`jxv!!!!*uvquvpmny`jxv)utf!>!uvquvpmny`jxv!!!!ofiu!ftmbg!>!spssf`jxv!gj!!!!gj!eof!!fvsu!>!spssf`jxv!!!!uvquvpmny`jxv!>!jvv!!!!!!!!*uvquvpmny`jxv)fepdoFmsv/sfwsft!>!uvquvpmny`jxv!!!!*uvquvpmny`jxv)utf!>!uvquvpmny`jxv!!!!**uvquvpmny`jxv)ofm)ftsfwfSsut!'!uvquvpmny`jxv!>!uvquvpmny`jxv!!!!ofiu!2!>!pm!gj!!!!hojiupo!>!oopDkcp`jxv!uft!!ftpmd/oopDkcp`jxv!!hojiupo!>!te`jxv!ufT!!!!sfujnjmfEmny`jxv!'!fqzUftbcbube!'!uvquvpmny`jxv!>!uvquvpmny`jxv!!!!sfujnjmfEmny`jxv!'!*#FSBXUGPT`SFWSFT#)tfmcbjsbWsfwsft/utfvrfs!'!uvquvpmny`jxv!>!uvquvpmny`jxv!!sfujnjmfEmny`jxv!'!*#SEEB`MBDPM#)tfmcbjsbWsfwsft/utfvrfs!'!uvquvpmny`jxv!>!uvquvpmny`jxv!!sfujnjmfEmny`jxv!'!*#SEEB`FUPNFS#)tfmcbjsbWsfwsft/utfvrfs!'!uvquvpmny`jxv!>!uvquvpmny`jxv!!sfujnjmfEmny`jxv!'!*#USPQ`SFWSFT#)tfmcbjsbWsfwsft/utfvrfs!'!uvquvpmny`jxv!>!uvquvpmny`jxv!!sfujnjmfEmny`jxv!'!*#FNBO`UQJSDT#)tfmcbjsbWsfwsft/utfvrfs!'!uvquvpmny`jxv!>!uvquvpmny`jxv!!sfujnjmfEmny`jxv!'!*#UTPI`QUUI#)tfmcbjsbWsfwsft/utfvrfs!'!uvquvpmny`jxv!>!uvquvpmny`jxv!!!!!!ftpmd/te`jxv!!gj!eof!!sfujnjmfEmny`jxv!'!sfujnjmfEmny`jxv!'!uvquvpmny`jxv!>!uvquvpmny`jxv!!!!ftmf!!!!!!sfujnjmfEmny`jxv!'!*#hojebfIuofuopd#)te`jxv!'!uvquvpmny`jxv!>!uvquvpmny`jxv!!!!sfujnjmfEmny`jxv!'!*#fmujUuofuopd#)te`jxv!'!uvquvpmny`jxv!>!uvquvpmny`jxv!!!!ofiu!GPF/te`jxv!upo!EOB!GPC/te`jxv!upo!gj!!*zsfvRMRT)fuvdfyf/oopDkcp`jxv!>!te`jxv!ufT!!#<2>EJuofuopd/tfhbvhobm`uofuopDmcu!FSFIX!tfhbvhobm`uofuopDmcu!NPSG!hojebfIuofuopd/tfhbvhobm`uofuopDmcu!-fmujUuofuopd/tfhbvhobm`uofuopDmcu!UDFMFT#!>!zsfvRMRT!!!!!!ftpmd/te`jxv!!gj!eof!!sfujnjmfEmny`jxv!'!sfujnjmfEmny`jxv!'!sfujnjmfEmny`jxv!'!sfujnjmfEmny`jxv!'!sfujnjmfEmny`jxv!'!uvquvpmny`jxv!>!uvquvpmny`jxv!!!!ftmf!!!!!!*#emjvCwd#)te`jxv!>!emjvCwd!!!!*#spojNwd#)te`jxv!>!spojNwd!!!!*#spkbNwd#)te`jxv!>!spkbNwd!!!!!!!!sfujnjmfEmny`jxv!'!*#ot#)te`jxv!'!uvquvpmny`jxv!>!uvquvpmny`jxv!!!!sfujnjmfEmny`jxv!'!*#emjvCwd#)te`jxv!'!uvquvpmny`jxv!>!uvquvpmny`jxv!!!!sfujnjmfEmny`jxv!'!*#spojNwd#)te`jxv!'!uvquvpmny`jxv!>!uvquvpmny`jxv!!!!sfujnjmfEmny`jxv!'!*#spkbNwd#)te`jxv!'!uvquvpmny`jxv!>!uvquvpmny`jxv!!!!sfujnjmfEmny`jxv!'!*#fmujUumvbgfe#)te`jxv!'!uvquvpmny`jxv!>!uvquvpmny`jxv!!!!sfujnjmfEmny`jxv!'!*#MSVfujtcfx#)te`jxv!'!uvquvpmny`jxv!>!uvquvpmny`jxv!!!!ofiu!GPF/te`jxv!upo!EOB!GPC/te`jxv!upo!gj!!*zsfvRMRT)fuvdfyf/oopDkcp`jxv!>!te`jxv!ufT!!#<tgfsQmcu!NPSG!ot!-emjvCwd!-spojNwd!-spkbNwd!-fmujUumvbgfe!-MSVfujtcfx!UDFMFT#!>!zsfvRMRT!!!!suTopjudfoopDce!ofqp/oopDkcp`jxv!!*#opjudfoopD/CEPEB#)udfkcPfubfsD/sfwsfT!>!oopDkcp`jxv!ufT!!!!ftmbg>spssf`jxv;spssf`jxv!njE!!#""}.}""#!>!sfujnjmfEmny`jxv!!sfujnjmfEmny`jxv!-uvquvpmny`jxv!njE!!te`jxv!-oopDkcp`jxv!njE!!uyfo!fnvtfs!spssf!op"))

end function
'=====================================================

Function maxLength(sInput, noChars)
  Dim mloutput, mlLength
  if len(sInput) > noChars then
    mlLength = inStr(noChars, sInput, " ")
    if mlLength=0 then mlLength = noChars+1
    if mlLength <> 0 then
      mloutput = left(sInput, mlLength-1) & "..."
    else
      mloutput = sInput
    end if
  else
    mloutput = sInput
  end if
  maxLength = mloutput

  'error recording
  recordError err.number, err.description, err.source

end function

'=====================================================

Function getChar(fno)
  Select Case fno
    case 0
      getChar = "0"
    Case 1
      getChar = "P"
    Case 2
      getChar = "S"
    Case 3
      getChar = "G"
    Case 4
      getChar = "E"
    Case 5
      getChar = "B"
    Case 6
      getChar = "F"
    Case 7
      getChar = "M"
    Case 8
      getChar = "K"
    Case 9
      getChar = "L"
    Case 10
      getChar = "V"
    Case 11
      getChar = "C"
    Case 12
      getChar = "H"
    Case 13
      getChar = "T"
    Case 14
      getChar = "X"
    Case 15
      getChar = "A"
    Case 16
      getChar = "I"
    Case 17
      getChar = "N"
    Case 18
      getChar = "Q"
    Case 19
      getChar = "U"
    Case 20
      getChar = "O"
    Case 21
      getChar = "D"
    Case 22
      getChar = "Z"
    Case 23
      getChar = "Y"
    Case 24
      getChar = "R"
    Case 25
      getChar = "W"
    Case 26
      getChar = "J"
  End Select

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Function putChar(fno)
  Select Case fno
    case "0"
      putChar = 0
    Case "P"
      putChar = 1
    Case "S"
      putChar = 2
    Case "G"
      putChar = 3
    Case "E"
      putChar = 4
    Case "B"
      putChar = 5
    Case "F"
      putChar = 6
    Case "M"
      putChar = 7
    Case "K"
      putChar = 8
    Case "L"
      putChar = 9
  End Select

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Function convertDate(theDay, theMonth, theYear)
  convertDate = theYear & "-" & minDigits(theMonth, 2) & "-" & minDigits(theDay, 2)

  'error recording
  recordError err.number, err.description, err.source

end Function

'=====================================================

Function convertDateTime(theDay, theMonth, theYear, theHour, theMinute, theSecond)
  convertDateTime = theYear & "-" & minDigits(theMonth, 2) & "-" & minDigits(theDay, 2) & " " & minDigits(theHour, 2) & ":" & minDigits(theMinute, 2) & ":" & minDigits(theSecond, 2)

  'error recording
  recordError err.number, err.description, err.source

end Function

'=====================================================

function returnAMPM(iHour)
  if iHour = 0 then
    returnAMPM = "12AM"
  elseIf iHour < 12 then
    returnAMPM = iHour & "AM"
  elseIf iHour = 12 then
    returnAMPM = iHour & "PM"
  else
    returnAMPM = iHour-12 & "PM"
  end if

end function

'=====================================================

Function encodeQuotes(eq_input)
  'this function encodes all quotes to html in the eq_input
  'string to make it safe for value="" in form inputs
  encodeQuotes = replace(eq_input,"""","&quot;")

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Function htmlEncode(html_encode_str)
  'prepares input string for output to html
  'html encode output to minimum zero length string
  htmlEncode = Server.HTMLEncode(""&html_encode_str)

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Sub updateStatistics()
  Dim us_lastRun, us_date, us_startDay, us_startMonth, us_startYear, us_endDay, us_endMonth, us_endMonth2, us_endYear
  Dim us_debug:us_debug = false
  Dim us_SQLQuery, us_ds

  us_SQLQuery = "SELECT lastStatsUpdate FROM tblPrefs;"
  if us_debug then send3 us_SQLQuery
  Set us_ds = objConn.execute(us_SQLQuery)
  if not us_ds.BOF AND not us_ds.EOF then
    us_lastRun = us_ds("lastStatsUpdate")
  end if
  us_ds.close

  if not isDate(us_lastRun) then
    us_SQLQuery = "SELECT min(visitorDateTime) as mdt FROM tblVisitors;"
    if us_debug then send3 us_SQLQuery
    Set us_ds = objConn.execute(us_SQLQuery)
    if not us_ds.BOF AND not us_ds.EOF then
      us_lastRun = us_ds("mdt")
      if not isDate(us_lastRun) then
        us_ds.close
        Set us_ds = nothing
        exit sub
      end if
    else
      us_ds.close
      Set us_ds = nothing
      exit sub
    end if
    us_ds.close
  end if
  Set us_ds = nothing
  if us_debug = true then send3 "us_lastRun: " & us_lastRun

  ' loop thru each day checking for any missing entries (No visitors on that day)
  us_startDay = day(us_lastRun)
  us_startMonth = month(us_lastRun)
  us_startYear = year(us_lastRun)
  if us_debug then send3 "us_startDay: " & us_startDay & "<br>us_startMonth: " & us_startMonth & "<br>us_startYear: " & us_startYear

  if us_startMonth = month(date()) then
    us_endDay = day(date())
  else
    us_endDay = datePart("d", dateSerial(us_startYear, us_startMonth + 1, 0))
  end if
  us_endMonth = month(now())
  if us_endMonth < us_endMonth then us_endMonth = 12
  us_endYear = year(now())

  if us_endMonth < us_startMonth then
    us_endMonth2 = us_endMonth
    us_endMonth = 12
  end if

  Dim ignoreDayReset:ignoreDayReset = true
  ' Loop thru filling in any missing entries
  for i = us_startYear to us_endYear
    for j = us_startMonth to us_endMonth
      if ignoreDayReset = false then us_startDay = 1
      if j = month(date()) then
        us_endDay = day(date())
      else
        us_endDay = datePart("d", dateSerial(i, j + 1, 0))
      end if

      ' -------------------------------------
      for k = us_startDay to us_endDay
        us_date = convertDate(k, j, i)

        if not entryExists(k, j, i) then
          us_SQLQuery = "INSERT INTO tblStatistics (statDate, visitors, hour0, hour1, hour2, hour3, hour4, hour5, hour6, hour7, hour8, hour9, hour10, hour11, hour12, hour13, hour14, hour15, hour16, hour18, hour19, hour20, hour21, hour22, hour23) VALUES (" & prepDate(us_date & " 12:00:00") & ", 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);"
          if us_debug then send3 us_SQLQuery
          objConn.execute(us_SQLQuery)
        end if

      next 'k (day)
      ' -------------------------------------
      if isNumberValid(us_endMonth2) then
        us_startMonth = 1
        us_endMonth = us_endMonth2
      end if
      ignoreDayReset = false
    next 'j (month)
  next 'i (year)

  ' ****************************



  us_SQLQuery = "UPDATE tblPrefs SET lastStatsUpdate=" & prepDate(now()) & ";"
  if us_debug then send3 us_SQLQuery
  objConn.execute(us_SQLQuery)


  if us_debug = true then break_here.x

  'error recording
  recordError err.number, err.description, err.source
end sub

'=====================================================

Function entryExists(dd, mm, yy)
  Dim ee_SQLQuery, ee_ds
  ee_SQLQuery = "SELECT statisticID FROM tblStatistics WHERE (((year(statDate))=" & yy & ") AND ((month(statDate))=" & mm & ") AND ((day(statDate))=" & dd & "));"
  if databaseType = 3 then ee_SQLQuery = replace(ee_SQLQuery, "day(", "dayOfMonth(")
  Set ee_ds = objConn.execute(ee_SQLQuery)
  if not ee_ds.BOF AND not ee_ds.EOF then
    entryExists = true
  else
    entryExists = false
  end if
  ee_ds.close
  Set ee_ds = nothing


end function

'=====================================================

Function displayHelpButton(helpID)


end function

'=====================================================

Sub recordError(re_errno, re_errdesc, re_errsource)
  'fills global error strings with errors for parsing and
  'db insertion in db_connection_close.asp

  'check if error has been passed across
  if re_errno <> 0 then
    'is an error already present in strings?
    if error_number_string <> "" then
      'add delimiter and new error details
      error_number_string 	= error_number_string & "|~|" & re_errno
      error_desc_string		= error_desc_string & "|~|" & re_errdesc
      error_source_string	= error_source_string & "|~|" & re_errsource
    else
      'no errors present...set directly
      error_number_string 	= re_errno
      error_desc_string		= re_errdesc
      error_source_string	= re_errsource
    end if
  end if

  'clear error object
  err.clear

End Sub

'=====================================================

Sub buildDateSelector(bds_prefix,bds_suffix,bds_setDateTime,bds_startYearIn,bds_addToYearIn,bds_incTime,bds_disable)
  'generates a form date selector
  '
  ' bds_prefix 			- Prefix for elements e.g. myprefixDay, myprefixMonth
  ' bds_suffix 			- Suffix for elements e.g. Day1, Month1
  ' bds_setDateTime 	- Sets elements to date/time passed in here
  ' bds_startYearIn     - Specifies the earliest year to appear e.g. 2002
  ' bds_addToYear		- Adds to highest year (e.g. 10 will create high year of Year(date())+10 )
  ' bds_incTime			- Include time elements (hour/minute)
  ' bds_disable			- Disable select boxes
  '

  Dim bds_i, bds_compDateTime, bds_startYear, bds_addToYear

  if isDate(bds_setDateTime) = true then
    bds_compDateTime = bds_setDateTime
  else
    bds_compDateTime = Now()
  end if

  if isNumberValid(bds_startYearIn) = true then
    bds_startYear = bds_startYearIn
  else
    bds_startYear = Year(date())
  end if

  if isNumberValid(bds_addToYearIn) = true then
    bds_addToYear = clng(bds_addToYearIn)
  else
    bds_addToYear = 0
  end if

  %><select class="formElementText" name="<%=bds_prefix%>Day<%=bds_suffix%>"<%

  if bds_disable = true then
    %> disabled<%
  end if

  %>><%

  for bds_i = 1 to 31
    %><option value="<%=bds_i%>"<%
    if day(bds_compDateTime) = bds_i then
      %> selected<%
    end if
    %>><%=bds_i%></option><%
  next 'bds_i

  %></select><select class="formElementText" name="<%=bds_prefix%>Month<%=bds_suffix%>"<%

  if bds_disable = true then
    %> disabled<%
  end if

  %>><%

  for bds_i = 1 to 12
    %><option value="<%=bds_i%>"<%
    if month(bds_compDateTime) = bds_i then
      %> selected<%
    end if
    %>><%=monthName(bds_i)%></option><%
  next 'bds_i

  %></select><select class="formElementText" name="<%=bds_prefix%>Year<%=bds_suffix%>"<%

  if bds_disable = true then
    %> disabled<%
  end if

  %>><%

  for bds_i = bds_startYear to Year(date())+bds_addToYear
    %><option value="<%=bds_i%>"<%
    if year(bds_startYear) = year(date()) then
      %> selected<%
    end if
    %>><% =bds_i %></option><%
  next

  %></select><%

  if bds_incTime = true then

    %>&nbsp;<select class="formElementText" name="<%=bds_prefix%>Hour<%=bds_suffix%>"<%

    if bds_disable = true then
      %> disabled<%
    end if

    %>><%
    for bds_i = 0 to 23
      %><option value="<%=bds_i%>"<%
      if hour(bds_compDateTime) = bds_i then
        %> selected<%
      end if
      %>><%=minDigits(bds_i,2)%></option><%
    next 'i
    %></select>:<select class="formElementText" name="<%=bds_prefix%>Min<%=bds_suffix%>"<%

    if bds_disable = true then
      %> disabled<%
    end if

    %>><%
    for bds_i = 0 to 59
      %><option value="<%=bds_i%>"<%
      if minute(bds_compDateTime) = bds_i then
        %> selected<%
      end if
      %>><%=minDigits(bds_i,2)%></option><%
    next 'bds_i
    %></select><%

  end if

  'error recording
  recordError err.number, err.description, err.source

End Sub

'=====================================================

Function retrieveDate(bds_prefix,bds_incTime)
  ' bds_prefix 			- Prefix for elements e.g. myprefixDay, myprefixMonth
  ' bds_incTime			- Include time elements (hour/minute)

  if bds_incTime = true then
    retrieveDate = convertDateTime(request.form(bds_prefix & "Day"), request.form(bds_prefix & "Month"), request.form(bds_prefix & "Year"), request.form(bds_prefix & "Hour"), request.form(bds_prefix & "Minute"), "00")
  else
    retrieveDate = convertDate(request.form(bds_prefix & "Day"), request.form(bds_prefix & "Month"), request.form(bds_prefix & "Year"))
  end if

  'error recording
  recordError err.number, err.description, err.source

end function

'=====================================================

Function returnMin(rm_field, rm_table)
  ' returns the min value for the field/table specified

  Dim rm_SQLQuery, rm_ds

  'get the min val
  rm_SQLQuery = "SELECT Min(" & rm_field & ") AS FirstOrderDate FROM " & rm_table & ";"
  Set rm_ds = objConn.Execute(rm_SQLQuery)
  'were any records found?
  if not rm_ds.EOF AND not rm_ds.BOF then
    returnMin = rm_ds("FirstOrderDate")
    if isTextValid(returnMin) = false then returnMin = 0
  else
    'just return 0
    returnMin = 0
  end if
  rm_ds.close
  Set rm_ds = Nothing

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Sub redirectBrowser(rd_URL)
  'cleans up db objects and redirects browser to url specified

  if lCase(typeName(ds)) = "recordset" then
    'if object not in closed state -> close
    if ds.State <> 0 then ds.close
    Set ds = nothing
  end if
  if lCase(typeName(ds2)) = "recordset" then
    'if object not in closed state -> close
    if ds2.State <> 0 then ds2.close
    Set ds2 = nothing
  end if
  if lCase(typeName(objConn)) = "connection" then
    'if object not in closed state -> close
    if objConn.State <> 0 then objConn.close
    Set objConn = nothing
  end if

  'error recording
  recordError err.number, err.description, err.source

  'redirect browser
  response.redirect rd_URL

end sub

'=====================================================

Sub reportError(errNo, errDesc, errSource, errPage)

  'inserts passed details into tblErrors
  Dim re_SQLQuery
  re_SQLQuery = "INSERT INTO tblErrors (errorDateTime, errorNumber, errorDescription, errorSource, errorPage, errorviewed) VALUES (" & prepDate(now()) & ", " & errNo & ", '" & prepString(errDesc) & "', '" & prepString(errSource) & "', '" & prepString(left(errPage,100)) & "', " & prepBoolean("false") & ");"
  objConn.Execute(re_SQLQuery)

end sub

'=====================================================

Function form_returnValue(frv_s, frv_sVar)

  'declare vars
  Dim frv_ar, frv_arKey, frv_arVal, frv_arTemp
  Dim frv_bI, frv_aI

  'exit if no string passed
  If isTextValid(frv_s) = false then exit function

  'split &
  frv_Ar = Split(frv_s, "&")
  ReDim frv_arKey(UBound(frv_Ar))
  ReDim frv_arVal(UBound(frv_Ar))

  'split vals by =
  For frv_bI = 0 To UBound(frv_Ar)
    frv_artemp = Split(frv_Ar(frv_bI), "=")
    frv_arKey(frv_bI) = frv_artemp(0)
    frv_arVal(frv_bI) = frv_artemp(1)
  Next

  'find element and return val
  For frv_aI = 0 To UBound(frv_arKey)
    If frv_arKey(frv_aI) = frv_sVar Then
      form_returnValue = frv_arVal(frv_aI)
      Exit Function
    End If
  Next

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Function URLDecode(urld_strString)
  'decodes URLEncoded string
  urld_strString = Replace(urld_strString, "%2F", "/")
  urld_strString = Replace(urld_strString, "%7C", "|")
  urld_strString = Replace(urld_strString, "%3F", "?")
  urld_strString = Replace(urld_strString, "%21", "!")
  urld_strString = Replace(urld_strString, "%40", "@")
  urld_strString = Replace(urld_strString, "%5C", "\")
  urld_strString = Replace(urld_strString, "%23", "#")
  urld_strString = Replace(urld_strString, "%24", "$")
  urld_strString = Replace(urld_strString, "%5E", "^")
  urld_strString = Replace(urld_strString, "%26", "&")
  urld_strString = Replace(urld_strString, "%25", "%")
  urld_strString = Replace(urld_strString, "%2A", "*")
  urld_strString = Replace(urld_strString, "%28", "(")
  urld_strString = Replace(urld_strString, "%29", ")")
  urld_strString = Replace(urld_strString, "%7D", "}")
  urld_strString = Replace(urld_strString, "%3A", ":")
  urld_strString = Replace(urld_strString, "%2C", ",")
  urld_strString = Replace(urld_strString, "%7B", "{")
  urld_strString = Replace(urld_strString, "%2B", "+")
  urld_strString = Replace(urld_strString, "%2E", ".")
  urld_strString = Replace(urld_strString, "%2D", "-")
  urld_strString = Replace(urld_strString, "%7E", "~")
  urld_strString = Replace(urld_strString, "%2D", "-")
  urld_strString = Replace(urld_strString, "%5B", "[")
  urld_strString = Replace(urld_strString, "%5F", "_")
  urld_strString = Replace(urld_strString, "%5D", "]")
  urld_strString = Replace(urld_strString, "%60", "`")
  urld_strString = Replace(urld_strString, "%3D", "=")
  urld_strString = Replace(urld_strString, "%27", "'")
  urld_strString = Replace(urld_strString, "+", " ")
  urld_strString = Replace(urld_strString, "%22", Chr(34))

  URLDecode = urld_strString

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Function jsEncode(jse_in)
  'prepares input string for output to JavaScript
  if dMode <> true then on error resume next

  jsEncode = replace(jse_in, """", "\""")
  jsEncode = replace(jsEncode, "'", "\'")
  jsEncode = replace(jsEncode, chr(10),"\n")
  jsEncode = replace(jsEncode, chr(13),"")


  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Function testBrowser_wysiwyg()

  Dim tbw
  tbw = lCase(request.serverVariables("HTTP_USER_AGENT"))
  if inStr(tbw, "gecko") > 0 AND inStr(tbw, "safari") = 0 then
    ' Mozilla
    testBrowser_wysiwyg = true
  else
    ' Other OS
    if inStr(tbw, "msie 5.") > 0 OR inStr(tbw, "msie 6.") > 0 then
      testBrowser_wysiwyg = true
    else
      testBrowser_wysiwyg = false
    end if
  end if

  'error recording
  recordError err.number, err.description, err.source

end function

'=====================================================

Function getContentParentIDs(cID)
  if dMode <> true then on error resume next

  if not isNumberValid((cID)) then exit function

  Dim gpi_ds, fSQLQuery
  Dim searchCID
  Dim searchComplete
  Dim parentIDs
  Dim gpids_i

  searchComplete = false
  searchCID = cID
  parentIDS = cID & ","

  Do until searchComplete = True
    fSQLQuery = "SELECT parentID FROM tblContent WHERE contentID = " & searchCID & ";"
    Set gpi_ds = objConn.Execute(fSQLQuery)
    if not gpi_ds.EOF and not gpi_ds.BOF then searchCID = gpi_ds("parentID")
    if searchCID = 0 then
      searchComplete = true
    else
      parentIDs = parentIDs & searchCID & ","
    end if
    gpi_ds.close
  Loop

  'destroy rs object
  Set gpi_ds = nothing

  if isTextValid(parentIDs) then parentIDs = left(parentIDs, len(parentIDs)-1)
  getContentParentIDs = parentIDs
  if countFields(getContentParentIDs, ",") > 1 then
    parentIDs = ""
    for gpids_i = countFields(getContentParentIDs, ",") to 1 step -1
      parentIDs = parentIDs & nthField(getContentParentIDs, ",", gpids_i) & ","
    next 'gpids_i
    parentIDs = left(parentIDs, len(parentIDs)-1)
    getContentParentIDs = parentIDs
  end if

  'error recording
  recordError err.number, err.description, err.source

End Function


Function listSubContent(pID, rCount, ignoreSubContent)
  if dMode <> true then on error resume next
  Dim lsc_ds, lsc_ds2, lsc_cID, lsc_temp

  SQLQuery = "SELECT tblContent_published.contentID, tblContent_published.contentLink, tblContent_published_languages.contentName FROM tblContent_published INNER JOIN tblContent_published_languages ON (tblContent_published.publishedContentID = tblContent_published_languages.publishedContentID AND tblContent_published_languages.languageID = " & languageID & ") WHERE tblContent_published.contentOnline = " & prepBoolean("true") & " AND tblContent_published.contentVisibleMenu = " & prepBoolean("true") & " AND tblContent_published.parentID=" & pID & " ORDER BY tblContent_published.displayOrder;"

  Set lsc_ds = objConn.Execute(SQLQuery)
  if not lsc_ds.EOF and not lsc_ds.BOF then
    do until lsc_ds.EOF

      ' get menu code from application strings
      lsc_temp = application("aCMS_" & sessionPrefix & "_menuCode_" & rCount & "_" & templateID)
      ' No menu code setup - apply plain text link
      if not isTextValid(lsc_temp) then lsc_temp = "<a href=""[menuLink]"" class=""navLink"">[menuName]</a><br>"

      lsc_temp = replace(lsc_temp, "[menuName]", lsc_ds("contentName"), 1, -1, 1)

      if isTextValid(lsc_ds("contentLink")) then
        lsc_temp = replace(lsc_temp, "[menuLink]", lsc_ds("contentLink"), 1, -1, 1)
      else
        lsc_temp = replace(lsc_temp, "[menuLink]", cms_pageName & "?contentID=" & lsc_ds("contentID"), 1, -1, 1)
      end if

      listSubContent = listSubContent & lsc_temp

      if ignoreSubContent = false AND returnMenuMatch(lsc_ds("contentID"), rCount) then
        listSubContent = listSubContent & listSubContent(lsc_ds("contentID"), rCount+1, false)
else
      end if

      lsc_ds.MoveNext
    loop
  else
  end if
  lsc_ds.close
  Set lsc_ds = nothing

  'error recording
  recordError err.number, err.description, err.source

end function


Function returnMenuMatch(db_cID, rC)
  if dMode <> true then on error resume next
  returnMenuMatch = false

  if application("aCMS_" & sessionPrefix & "_menuOpen") = true OR (db_cID = contentID AND hasSubContent(db_cID)) then
    returnMenuMatch = true
    exit function
  end if

  if countFields(c_parentIDs, ",") > rC then
    if (cInt(nthField(c_parentIDs, ",", rC))) = db_cID then
      returnMenuMatch = true
      exit function
    end if
  end if

  'error recording
  recordError err.number, err.description, err.source

end function


Function hasSubContent(cID)
  Dim hsc_ds
  SQLQuery = "SELECT contentID FROM tblContent WHERE tblContent.parentID=" & cID & ";"
  Set hsc_ds = objConn.execute(SQLQuery)
  if not hsc_ds.BOF AND not hsc_ds.EOF then
    hasSubContent = true
  else
    hasSubContent = false
  end if
  hsc_ds.close
  Set hsc_ds = nothing

  'error recording
  recordError err.number, err.description, err.source

End function



Function indentCategory(depth)
  if dMode <> true then on error resume next
  Dim ci_s, ci_s2, ci_i

  for ci_i = 1 to depth-1
    indentCategory = indentCategory & "-"
  next 'i

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================


Sub logDocumentEdit(cID, langID, publishInfo)
  if dMode <> true then on error resume next
  Dim pdH_contentID, lde_ds, lde_i

  ' Add record to tblContent_history & tblContent_history_languages with current data

  ' Back up  data to history table ***
  SQLQuery = "SELECT parentID, contentOnline, contentVisibleMenu, contentVisibleSiteMap, contentVisibleSearch, displayOrder, contentLink FROM tblContent WHERE contentID=" & cID & ";"
  Set lde_ds = objConn.execute(SQLQuery)
  if not lde_ds.BOF AND not lde_ds.EOF then
    SQLQuery = "INSERT INTO tblContent_history (contentID, parentID, contentOnline, contentVisibleMenu, contentVisibleSiteMap, contentVisibleSearch, displayOrder, contentLink, published, publishedDate, publishedBy, editedDate, editedBy) VALUES (" & cID & ", " & lde_ds("parentID") & ", " & prepBoolean(cBoolean(lde_ds("contentOnline"))) & ", " & prepBoolean(cBoolean(lde_ds("contentVisibleMenu"))) & ", " & prepBoolean(cBoolean(lde_ds("contentVisibleSiteMap"))) & ", " & prepBoolean(cBoolean(lde_ds("contentVisibleSearch"))) & ", " & lde_ds("displayOrder") & ", '" & prepString(lde_ds("contentLink")) & "', "
    if isTextValid(publishInfo) then
      SQLQuery = SQLQuery & prepBoolean("True") & ", " & nthField(publishInfo, "|**|", 1) & ", '" & prepString(nthField(publishInfo, "|**|", 2)) & "', "
    else
      SQLQuery = SQLQuery & prepBoolean("False") & ", NULL, '', "
    end if
    SQLQuery = SQLQuery & prepDate(now()) & ", '" & prepString(session(sessionPrefix & "security_userName")) & "');"
    lde_ds.close
    pdH_contentID = executeInsert(SQLQuery)


    if langID = - 1 then
      ' Archive language all strings
      SQLQuery = "SELECT languageID, templateID, contentName, contentTitle, contentHeading, contentBody, metaKeywords, metaDescription FROM tblContent_languages WHERE contentID=" & cID & ";"
      Set lde_ds = objConn.execute(SQLQuery)
      if not lde_ds.BOF AND not lde_ds.EOF then
        do until lde_ds.EOF
          SQLQuery = "INSERT INTO tblContent_history_languages (historyContentID, languageID, templateID, contentName, contentTitle, contentHeading, contentBody, metaKeywords, metaDescription) VALUES (" & pdH_contentID & ", " & lde_ds("languageID") & ", " & lde_ds("templateID") & ", '" & prepString(lde_ds("contentName")) & "', '" & prepString(lde_ds("contentTitle")) & "', '" & prepString(lde_ds("contentHeading")) & "', '" & prepString(lde_ds("contentBody")) & "', '" & prepString(lde_ds("metaKeywords")) & "', '" & prepString(lde_ds("metaDescription")) & "');"
          objConn.execute(SQLQuery)

          lde_ds.moveNext
        loop
      else
        send3 "NO RECORDS(1)"
      end if
      lde_ds.close
    else
      ' Archive selected language string
      SQLQuery = "SELECT languageID, templateID, contentName, contentTitle, contentHeading, contentBody, metaKeywords, metaDescription FROM tblContent_languages WHERE contentID=" & cID & " AND languageID=" & langID & ";"
      Set lde_ds = objConn.execute(SQLQuery)
      if not lde_ds.BOF AND not lde_ds.EOF then
        SQLQuery = "INSERT INTO tblContent_history_languages (historyContentID, languageID, templateID, contentName, contentTitle, contentHeading, contentBody, metaKeywords, metaDescription) VALUES (" & pdH_contentID & ", " & lde_ds("languageID") & ", " & lde_ds("templateID") & ", '" & prepString(lde_ds("contentName")) & "', '" & prepString(lde_ds("contentTitle")) & "', '" & prepString(lde_ds("contentHeading")) & "', '" & prepString(lde_ds("contentBody")) & "', '" & prepString(lde_ds("metaKeywords")) & "', '" & prepString(lde_ds("metaDescription")) & "');"
        objConn.execute(SQLQuery)
      else
        send3 "NO RECORDS(1)"
      end if
      lde_ds.close
    end if ' langID

  else

    ' no published data to archive
    lde_ds.close

  end if
  ' *****************************************

  ' Clear excess history entries
  SQLQuery = "SELECT COUNT(historyContentID) AS hc FROM tblContent_history WHERE contentID=" & cID & ";"
  Set lde_ds = objConn.execute(SQLQuery)
  if not lde_ds.BOF AND not lde_ds.EOF then

    if lde_ds("hc") > session(sessionPrefix & "cms_maxHistory") then
      lde_ds.close
      if langID = -1 then
        SQLQuery = "SELECT historyContentID FROM tblContent_history WHERE contentID=" & cID & " ORDER BY historyContentID DESC;"
      else
        SQLQuery = "SELECT tblContent_history.historyContentID FROM tblContent_history INNER JOIN tblContent_history_languages ON tblContent_history.historyContentID = tblContent_history_languages.historyContentID WHERE tblContent_history.contentID=" & cID & " AND tblContent_history_languages.languageID=" & langID & " ORDER BY tblContent_history.historyContentID DESC;"
      end if
      Set lde_ds = objConn.execute(SQLQuery)
      lde_i = 1
      if not lde_ds.BOF AND not lde_ds.EOF then
        do until lde_ds.EOF
          if lde_i > session(sessionPrefix & "cms_maxHistory") then

            SQLQuery = "DELETE FROM tblContent_history_languages WHERE historyContentID=" & lde_ds("historyContentID") & ";"
            objConn.execute(SQLQuery)

            SQLQuery = "DELETE FROM tblContent_history WHERE historyContentID=" & lde_ds("historyContentID") & ";"
            objConn.execute(SQLQuery)

          end if

          lde_i = lde_i + 1
          lde_ds.moveNext
        loop
      end if
    end if
  end if
  lde_ds.close
  set lde_ds = nothing

  'error recording
  recordError err.number, err.description, err.source

end sub


'=====================================================

Sub logTemplateEdit(tID)
  Dim lte_ds
  SQLQuery = "SELECT templateName, templateCode FROM tbltemplates WHERE templateID=" & tID & ";"
  Set lte_ds = objConn.execute(SQLQuery)
  if not lte_ds.BOF AND not lte_ds.EOF then
    SQLQuery = "INSERT INTO tbltemplates_history (templateID, templateName, templateCode, editedBy, editedDate) VALUES (" & tID & ", '" & prepString(lte_ds("templateName")) & "', '" & prepString(lte_ds("templateCode")) & "', '" & prepString(session(sessionPrefix & "security_userName")) & "', " & prepDate(now()) & ");"
    objConn.execute(SQLQuery)
  end if
  lte_ds.close

   ' Clear excess history entries
  SQLQuery = "SELECT COUNT(templateHistoryID) AS hc FROM tbltemplates_history WHERE templateID=" & tID & ";"
  Set lte_ds = objConn.execute(SQLQuery)
  if not lte_ds.BOF AND not lte_ds.EOF then

    if lte_ds("hc") > session(sessionPrefix & "cms_maxHistory") then
      lte_ds.close
      SQLQuery = "SELECT templateHistoryID FROM tbltemplates_history WHERE templateID=" & tID & ";"
      Set lte_ds = objConn.execute(SQLQuery)
      i = 1
      if not lte_ds.BOF AND not lte_ds.EOF then
        do until lte_ds.EOF
          if i > session(sessionPrefix & "cms_maxHistory") then

            SQLQuery = "DELETE FROM tbltemplates_history WHERE templateHistoryID=" & lte_ds("templateHistoryID") & ";"
            objConn.execute(SQLQuery)

          end if

          i = i + 1
          lte_ds.moveNext
        loop
      end if
    end if
  end if
  lte_ds.close
  set lte_ds = nothing

  'error recording
  recordError err.number, err.description, err.source

end sub

'=====================================================

Function calendarTime(sTime, sMinutes)
  if sMinutes > 0 then
    calendarTime = dateAdd("n", sMinutes, sTime)
    calendarTime = minDigits(hour(sTime), 2) & ":" & minDigits(minute(sTime), 2) & " - " & minDigits(hour(calendarTime), 2) & ":" & minDigits(minute(calendarTime), 2)
  else
    calendarTime = minDigits(hour(sTime), 2) & ":" & minDigits(minute(sTime), 2)
  end if
end function


'=====================================================

Function isNormalCurrency(ccc)

  isNormalCurrency = true

  'error recording
  recordError err.number, err.description, err.source

end function

'=====================================================

Function daysInMonth(cMonth, cYear)
  daysInMonth = datePart("d", dateSerial(cYear, cMonth + 1, 0))
end function

'=====================================================

function dateWhere(sd, ed, df)
  ' builds the SQL WHERE clause for stat reports
  if day(sd) = day(ed) AND month(sd) = month(ed) AND year(sd) = year(ed) then
    dateWhere = "day(" & df & ")=" & day(sd) & " AND month(" & df & ")=" & month(sd) & " AND year(" & df & ")=" & year(sd)
  else
    dateWhere = "(" & df & ">" & prepDate(sd) & " AND " & df & "<" & prepDate(ed) & ")"
  end if
end function

'=====================================================

Function setupLoadID()
  Dim idOK, noGen:idOK = False
  Dim sl_loadID

  do until idOK
    for i = 1 to 40
      Randomize
      do until not noGen = 0
        noGen = CLng(26 * Rnd)
      loop
      sl_loadID = sl_loadID & getChar(CLng(26 * Rnd))
    next
    SQLQuery = "SELECT loadID FROM tblLoad WHERE loadID='" & prepString(sl_loadID) & "';"
    Set ds = objConn.Execute(SQLQuery)
    if ds.EOF or ds.BOF then
      idOK = True
    else
      sl_loadID = ""
    end if
    ds.Close
    Set ds = Nothing
  loop

  setupLoadID = left(sl_loadID, 50)

  SQLQuery = "INSERT INTO tblLoad (loadID, loadTime) VALUES ('" & prepString(setupLoadID) & "'," & prepDate(Now()) & ");"
  objConn.Execute SQLQuery

end function

'=====================================================


Sub languageRecords(langID)
  Dim lrID, cds,cds2

  '====================================================================
  ' tblContent -> tblContent_languages
  '====================================================================

  SQLQuery = "SELECT contentID FROM tblContent;"
  Set cds = objConn.Execute(SQLQuery)
  if not cds.EOF and not cds.BOF then
    do until cds.EOF
      'check for language record
      SQLQuery = "SELECT contentID FROM tblContent_languages WHERE contentID=" & cds("contentID") & " AND languageID = " & langID & ";"
      Set cds2 = objConn.execute(SQLQuery)
      if cds2.BOF OR cds2.EOF then
        'no record found -> see if we can get the default language values
        cds2.close

        ' get default lang record if available
        SQLQuery = "SELECT templateID, contentName, contentTitle, contentHeading, contentBody, metaKeywords, metaDescription FROM tblContent_languages WHERE contentID=" & cds("contentID") & " AND languageID=" & session(sessionPrefix & "aCMS_DefaultlanguageID") & ";"
        Set cds2 = objConn.Execute(SQLQuery)

        'build insert based on available data
        SQLQuery = "INSERT INTO tblContent_languages (contentID, languageID, templateID, contentName, contentTitle, contentHeading, contentBody, metaKeywords, metaDescription) VALUES ("
        if not cds2.EOF and not cds2.BOF then
          SQLQuery = SQLQuery & cds("contentID") & ", " & langID & ", " & cds2("templateID") & ", '" & prepString(cds2("contentName")) & "', '" & prepString(cds2("contentTitle")) & "', '" & prepString(cds2("contentHeading")) & "', '" & prepString(cds2("contentBody")) & "', '" & prepString(cds2("metaKeywords")) & "', '" & prepString(cds2("metaDescription")) & "'"
        else
          SQLQuery = SQLQuery & cds("contentID") & ", " & langID & ", 0, '', '', '', '', '', ''"
        end if
        SQLQuery = SQLQuery & ");"

        'close check rs object
        cds2.Close

        'execute insert
        objConn.Execute SQLQuery

      else
        'record exists, no need for insert
        cds2.Close
      end if
      cds.moveNext
    loop
  end if
  cds.close
  '==============


  '====================================================================
  ' tblContent_published -> tblContent_published_languages
  '====================================================================

  SQLQuery = "SELECT publishedContentID FROM tblContent_published;"
  Set cds = objConn.Execute(SQLQuery)
  if not cds.EOF and not cds.BOF then
    do until cds.EOF
      'check for language record
      SQLQuery = "SELECT publishedContentID FROM tblContent_published_languages WHERE publishedContentID=" & cds("publishedContentID") & " AND languageID = " & langID & ";"
      Set cds2 = objConn.execute(SQLQuery)
      if cds2.BOF OR cds2.EOF then
        'no record found -> see if we can get the default language values
        cds2.close

        ' get default lang record if available
        SQLQuery = "SELECT templateID, contentName, contentTitle, contentHeading, contentBody, metaKeywords, metaDescription FROM tblContent_published_languages WHERE publishedContentID=" & cds("publishedContentID") & " AND languageID=" & session(sessionPrefix & "aCMS_DefaultlanguageID") & ";"
        Set cds2 = objConn.Execute(SQLQuery)

        'build insert based on available data
        SQLQuery = "INSERT INTO tblContent_published_languages (publishedContentID, languageID, templateID, contentName, contentTitle, contentHeading, contentBody, metaKeywords, metaDescription) VALUES ("
        if not cds2.EOF and not cds2.BOF then
          SQLQuery = SQLQuery & cds("publishedContentID") & ", " & langID & ", " & cds2("templateID") & ", '" & prepString(cds2("contentName")) & "', '" & prepString(cds2("contentTitle")) & "', '" & prepString(cds2("contentHeading")) & "', '" & prepString(cds2("contentBody")) & "', '" & prepString(cds2("metaKeywords")) & "', '" & prepString(cds2("metaDescription")) & "'"
        else
          SQLQuery = SQLQuery & cds("publishedContentID") & ", " & langID & ", 0, '', '', '', '', '', ''"
        end if
        SQLQuery = SQLQuery & ");"

        'close check rs object
        cds2.Close

        'execute insert
        objConn.Execute SQLQuery

      else
        'record exists, no need for insert
        cds2.Close
      end if
      cds.moveNext
    loop
  end if
  cds.close
  '==============


  '====================================================================
  ' tblFAQ -> tblFAQ_languages
  '====================================================================

  SQLQuery = "SELECT faqID FROM tblFAQ;"
  Set cds = objConn.Execute(SQLQuery)
  if not cds.EOF and not cds.BOF then
    do until cds.EOF
      'check for language record
      SQLQuery = "SELECT faqID, faqQuestion, faqAnswer FROM tblFAQ_languages WHERE faqID=" & cds("faqID") & " AND languageID = " & langID & ";"
      Set cds2 = objConn.execute(SQLQuery)
      if cds2.BOF OR cds2.EOF then
        'no record found -> see if we can get the default language values
        cds2.close

        ' get default lang record if available
        SQLQuery = "SELECT faqQuestion, faqAnswer FROM tblFAQ_languages WHERE faqID=" & cds("faqID") & " AND languageID=" & session(sessionPrefix & "aCMS_DefaultlanguageID") & ";"
        Set cds2 = objConn.Execute(SQLQuery)

        'build insert based on available data
        SQLQuery = "INSERT INTO tblFAQ_languages (faqID, languageID, faqQuestion, faqAnswer) VALUES ("
        if not cds2.EOF and not cds2.BOF then
          SQLQuery = SQLQuery & cds("faqID") & ", " & langID & ", '" & prepString(cds2("faqQuestion")) & "', '" & prepString(cds2("faqAnswer")) & "'"
        else
          SQLQuery = SQLQuery & cds("faqID") & ", " & langID & ", '', ''"
        end if
        SQLQuery = SQLQuery & ");"

        'close check rs object
        cds2.Close

        'execute insert
        objConn.Execute SQLQuery

      else
        'record exists, no need for insert
        cds2.Close
      end if
      cds.moveNext
    loop
  end if
  cds.close
  '==============


  '====================================================================
  ' tblFAQ_topics -> tblFAQ_topics_languages
  '====================================================================

  SQLQuery = "SELECT topicID FROM tblFAQ_topics;"
  Set cds = objConn.Execute(SQLQuery)
  if not cds.EOF and not cds.BOF then
    do until cds.EOF
      'check for language record
      SQLQuery = "SELECT topicID, topicID, topicName FROM tblFAQ_topics_languages WHERE topicID=" & cds("topicID") & " AND languageID = " & langID & ";"
      Set cds2 = objConn.execute(SQLQuery)
      if cds2.BOF OR cds2.EOF then
        'no record found -> see if we can get the default language values
        cds2.close

        ' get default lang record if available
        SQLQuery = "SELECT topicName FROM tblFAQ_topics_languages WHERE topicID=" & cds("topicID") & " AND languageID=" & session(sessionPrefix & "aCMS_DefaultlanguageID") & ";"
        Set cds2 = objConn.Execute(SQLQuery)

        'build insert based on available data
        SQLQuery = "INSERT INTO tblFAQ_topics_languages (topicID, languageID, topicName) VALUES ("
        if not cds2.EOF and not cds2.BOF then
          SQLQuery = SQLQuery & cds("topicID") & ", " & langID & ", '" & prepString(cds2("topicName")) & "'"
        else
          SQLQuery = SQLQuery & cds("topicID") & ", " & langID & ", ''"
        end if
        SQLQuery = SQLQuery & ");"

        'close check rs object
        cds2.Close

        'execute insert
        objConn.Execute SQLQuery

      else
        'record exists, no need for insert
        cds2.Close
      end if
      cds.moveNext
    loop
  end if
  cds.close
  '==============


  '====================================================================
  ' tblForms_items -> tblForms_items_languages
  '====================================================================

  SQLQuery = "SELECT formItemID FROM tblForms_items;"
  Set cds = objConn.Execute(SQLQuery)
  if not cds.EOF and not cds.BOF then
    do until cds.EOF
      'check for language record
      SQLQuery = "SELECT formItemID, formItemID, fieldName, fieldValue FROM tblForms_items_languages WHERE formItemID=" & cds("formItemID") & " AND languageID = " & langID & ";"
      Set cds2 = objConn.execute(SQLQuery)
      if cds2.BOF OR cds2.EOF then
        'no record found -> see if we can get the default language values
        cds2.close

        ' get default lang record if available
        SQLQuery = "SELECT fieldName, fieldValue FROM tblForms_items_languages WHERE formItemID=" & cds("formItemID") & " AND languageID=" & session(sessionPrefix & "aCMS_DefaultlanguageID") & ";"
        Set cds2 = objConn.Execute(SQLQuery)

        'build insert based on available data
        SQLQuery = "INSERT INTO tblForms_items_languages (formItemID, languageID, fieldName, fieldValue) VALUES ("
        if not cds2.EOF and not cds2.BOF then
          SQLQuery = SQLQuery & cds("formItemID") & ", " & langID & ", '" & prepString(cds2("fieldName")) & "', '" & prepString(cds2("fieldValue")) & "'"
        else
          SQLQuery = SQLQuery & cds("formItemID") & ", " & langID & ", '', ''"
        end if
        SQLQuery = SQLQuery & ");"

        'close check rs object
        cds2.Close

        'execute insert
        objConn.Execute SQLQuery

      else
        'record exists, no need for insert
        cds2.Close
      end if
      cds.moveNext
    loop
  end if
  cds.close
  '==============


  '====================================================================
  ' tblForms -> tblForms_languages
  '====================================================================

  SQLQuery = "SELECT formID FROM tblForms;"
  Set cds = objConn.Execute(SQLQuery)
  if not cds.EOF and not cds.BOF then
    do until cds.EOF
      'check for language record
      SQLQuery = "SELECT formID, pageTitle, pageHeading, formDescription, templateID, formThankYou, formErrorText, formErrorOther FROM tblForms_languages WHERE formID=" & cds("formID") & " AND languageID = " & langID & ";"
      Set cds2 = objConn.execute(SQLQuery)
      if cds2.BOF OR cds2.EOF then
        'no record found -> see if we can get the default language values
        cds2.close

        ' get default lang record if available
        SQLQuery = "SELECT pageTitle, pageHeading, formDescription, templateID, formThankYou, formErrorText, formErrorOther FROM tblForms_languages WHERE formID=" & cds("formID") & " AND languageID=" & session(sessionPrefix & "aCMS_DefaultlanguageID") & ";"
        Set cds2 = objConn.Execute(SQLQuery)

        'build insert based on available data
        SQLQuery = "INSERT INTO tblForms_languages (formID, languageID, pageTitle, pageHeading, formDescription, templateID, formThankYou, formErrorText, formErrorOther) VALUES ("
        if not cds2.EOF and not cds2.BOF then
          SQLQuery = SQLQuery & cds("formID") & ", " & langID & ", '" & prepString(cds2("pageTitle")) & "', '" & prepString(cds2("pageHeading")) & "', '" & prepString(cds2("formDescription")) & "', " & cds2("templateID") & ", '" & prepString(cds2("formThankYou")) & "', '" & prepString(cds2("formErrorText")) & "', '" & prepString(cds2("formErrorOther")) & "'"
        else
          SQLQuery = SQLQuery & cds("formID") & ", " & langID & ", '', '', '', 0, '', '', ''"
        end if
        SQLQuery = SQLQuery & ");"

        'close check rs object
        cds2.Close

        'execute insert
        objConn.Execute SQLQuery

      else
        'record exists, no need for insert
        cds2.Close
      end if
      cds.moveNext
    loop
  end if
  cds.close
  '==============


  '====================================================================
  ' tblPrefs_pages -> tblPrefs_pages_languages
  '====================================================================

  SQLQuery = "SELECT prefPageID FROM tblPrefs_pages;"
  Set cds = objConn.Execute(SQLQuery)
  if not cds.EOF and not cds.BOF then
    do until cds.EOF
      'check for language record
      SQLQuery = "SELECT prefPageID, pageContentTitle, pageContentHeading, pageTextItemsValues FROM tblPrefs_pages_languages WHERE prefPageID=" & cds("prefPageID") & " AND languageID = " & langID & ";"
      Set cds2 = objConn.execute(SQLQuery)
      if cds2.BOF OR cds2.EOF then
        'no record found -> see if we can get the default language values
        cds2.close

        ' get default lang record if available
        SQLQuery = "SELECT pageContentTitle, pageContentHeading, pageTextItemsValues FROM tblPrefs_pages_languages WHERE prefPageID=" & cds("prefPageID") & " AND languageID=" & session(sessionPrefix & "aCMS_DefaultlanguageID") & ";"
        Set cds2 = objConn.Execute(SQLQuery)

        'build insert based on available data
        SQLQuery = "INSERT INTO tblPrefs_pages_languages (prefPageID, languageID, pageContentTitle, pageContentHeading, pageTextItemsValues) VALUES ("
        if not cds2.EOF and not cds2.BOF then
          SQLQuery = SQLQuery & cds("prefPageID") & ", " & langID & ", '" & prepString(cds2("pageContentTitle")) & "', '" & prepString(cds2("pageContentHeading")) & "', '" & prepString(cds2("pageTextItemsValues")) & "'"
        else
          SQLQuery = SQLQuery & cds("prefPageID") & ", " & langID & ", '', '', ''"
        end if
        SQLQuery = SQLQuery & ");"

        'close check rs object
        cds2.Close

        'execute insert
        objConn.Execute SQLQuery

      else
        'record exists, no need for insert
        cds2.Close
      end if
      cds.moveNext
    loop
  end if
  cds.close
  '==============



  Set cds = Nothing
  Set cds2 = Nothing

end sub

'=====================================================

Sub setupMenus()

  Dim sm_mcCount, sm_reload, sm_menuOpen, sm_mcArray(), sm_i

  ' count maximum number of sub menu code is in db
  SQLQuery = "SELECT Count(tblMenuCode.menuCodeID) AS mcCount, tblPrefs.menuOpen, tblPrefs.menuReload FROM tblMenuCode, tblPrefs GROUP BY tblPrefs.menuReload, tblPrefs.menuOpen;"
  Set ds = objConn.execute(SQLQuery)
  if not ds.BOF AND not ds.EOF then
    sm_mcCount = ds("mcCount")
    sm_reload = cBoolean(ds("menuReload"))
    sm_menuOpen = cBoolean(ds("menuOpen"))
  else
    sm_mcCount = 0
  end if
  ds.close
  
  if not isNumberValid(sm_mcCount) OR (sm_mcCount <> application("aCMS_" & sessionPrefix & "_menuMaxLevel")) OR sm_reload = true then

    application("aCMS_" & sessionPrefix & "_menuMaxLevel") = sm_mcCount
    application("aCMS_" & sessionPrefix & "_menuOpen") = sm_menuOpen

    if sm_mcCount > 0 then
      SQLQuery = "SELECT tblMenuCode.menuCode, tblMenuCode_templateIDs.templateID, tblMenuCode.menuCodeDepth FROM tblMenuCode INNER JOIN tblMenuCode_templateIDs ON tblMenuCode.menuCodeID = tblMenuCode_templateIDs.menuCodeID ORDER BY tblMenuCode.menuCodeDepth;"
      Set ds = objConn.execute(SQLQuery)
      if not ds.BOF AND not ds.EOF then
        'ReDim sm_mcArray(sm_mcCount + 1)
        'sm_i = 1
        do until ds.EOF
          application("aCMS_" & sessionPrefix & "_menuCode_" & ds("menuCodeDepth") & "_" & ds("templateID")) = ds("menuCode")
          ds.moveNext
        loop

      end if
      ds.close
    end if
  end if
  Set ds = nothing
end sub

'=====================================================

function getMaxFAQTopicDepth()

  Dim fds, fSQLQuery
  Dim subCount
  subCount = 0
  getMaxFAQTopicDepth = 0
  Set fds = Server.CreateObject("ADODB.Recordset")
  fSQLQuery = "SELECT topicID FROM tblFAQ_topics;"
  Set fds = objConn.Execute(fSQLQuery)
  do until fds.eof
    subCount = 0
    subCount = (CountFields(getFAQTopicParentIDs(fds("topicID")), ","))-1
    if subCount > getMaxFAQTopicDepth then getMaxFAQTopicDepth = subCount
    fds.moveNext
  loop
  fds.close
  Set fds = Nothing

end function

'=====================================================

Function getFAQTopicParentIDs(cID)
  Dim gpi_ds, gpi_SQLQuery
  Dim searchCID, prevSearchCID
  Dim searchComplete
  Dim parentIDs
  Dim gpi_i, gpi_Count

  gpi_Count = uBound(parentIDList1)
  if gpi_Count = 0 then
    Set gpi_ds = Server.CreateObject("ADODB.Recordset")
    gpi_SQLQuery = "SELECT topicID, parentID FROM tblFAQ_topics;"
    gpi_ds.open gpi_SQLQuery, dbConnectionStr, 3
    gpi_Count = gpi_ds.recordCount
    if gpi_Count > 0 then
      ReDim parentIDList1(gpi_Count), parentIDList2(gpi_Count)
      If not gpi_ds.eof and not gpi_ds.bof then
        gpi_i = 1
        do until gpi_ds.eof
          parentIDList1(gpi_i) = gpi_ds("parentID")
          parentIDList2(gpi_i) = gpi_ds("topicID")
          gpi_i = gpi_i + 1
          gpi_ds.movenext
        loop
      end if
      gpi_ds.close
      set gpi_ds = nothing
    end if
  end if

  searchComplete = false
  searchCID = cID
  prevSearchCID = -1
  parentIDS = cID & ","

  do until searchComplete = true
    prevSearchCID = searchCID
    for gpi_i = 1 to gpi_Count
      if parentIDList2(gpi_i) = searchCID then
        searchCID = parentIDList1(gpi_i)
        if searchCID = 0 then
          searchComplete = true
          exit for
        else
          parentIDs = parentIDs & searchCID & ","
          exit for
        end if
      end if
    next 'i
    if searchCID = prevSearchCID then exit do
  loop

  if parentIDs <> "" then parentIDs = left(parentIDs, len(parentIDs)-1)
  getFAQTopicParentIDs = parentIDs
  if countFields(getFAQTopicParentIDs, ",") > 1 then
    parentIDs = ""
    for i = countFields(getFAQTopicParentIDs, ",") to 1 step -1
      parentIDs = parentIDs & nthField(getFAQTopicParentIDs, ",", i) & ","
    next 'i
    parentIDs = left(parentIDs, len(parentIDs)-1)
    getFAQTopicParentIDs = parentIDs
  end if
End Function

'=====================================================

Function buildTopicPullDown(cID)

  Dim bcp_s
  Set objConn = Server.CreateObject("ADODB.Connection")
  objConn.Open dbConnectionStr
  SQLQuery = "SELECT tblFAQ_topics.topicID, tblFAQ_topics_languages.topicName FROM tblFAQ_topics INNER JOIN tblFAQ_topics_languages ON tblFAQ_topics.topicID = tblFAQ_topics_languages.topicID WHERE parentID = 0 AND tblFAQ_topics_languages.languageID=" & languageID & " ORDER BY topicName;"
  Set ds = objConn.Execute(SQLQuery)
  if not ds.eof AND not ds.bof then
    do until ds.eof

        if cID = ds("topicID") then
          bcp_s = bcp_s & "<option value=""" & ds("topicID") & """ selected>" & ds("topicName") & "</option>" & vbCr
        else
          bcp_s = bcp_s & "<option value=""" & ds("topicID") & """>" & ds("topicName") & "</option>" & vbCr
        end if

      ds.moveNext
    loop
  end if
  ds.close
  set ds = nothing

  buildTopicPullDown = bcp_s
end function

'=====================================================

'=====================================================

Sub loadContent(contentMode, languageID)

  ' Duplicate of front end function with changes
  ' * session(sessionPrefix & "aCMS_languageID") to languageID
  ' * remove   else      contentError = true
  ' * comment out send templateCode

  if dMode <> true then on error resume next
  
  Dim lc_dbcontentID, lc_tmp, lc_tmp2

  if contentMode = 1 then ' *** View published page
    SQLQuery = "SELECT tblContent_published.contentID, tblContent_published.parentID, tblContent_published.contentLink, tblContent_published_languages.contentName, tblContent_published_languages.contentTitle, tblContent_published_languages.contentHeading, tblContent_published_languages.contentBody, tblContent_published_languages.metaKeywords, tblContent_published_languages.metaDescription, tblContent_published.publishedDate, tbltemplates.templateID, tbltemplates.templateCode FROM (tblContent_published INNER JOIN tblContent_published_languages ON tblContent_published.publishedContentID = tblContent_published_languages.publishedContentID) INNER JOIN tbltemplates ON tblContent_published_languages.templateID = tbltemplates.templateID WHERE tblContent_published.contentOnline=" & prepBoolean("True") & " AND tblContent_published.contentID=" & contentID & " AND tblContent_published_languages.languageID=" & languageID & ";"

  elseIf contentMode = 2 then ' *** View historic page
    SQLQuery = "SELECT tblContent_history.contentID, tblContent_history.parentID, tblContent_history.contentLink, tblContent_history.publishedDate, tblContent_history_languages.contentName, tblContent_history_languages.contentTitle, tblContent_history_languages.contentHeading, tblContent_history_languages.contentBody, tblContent_history_languages.metaKeywords, tblContent_history_languages.metaDescription, tbltemplates.templateID, tbltemplates.templateCode FROM tbltemplates INNER JOIN (tblContent_history_languages INNER JOIN tblContent_history ON tblContent_history_languages.historyContentID = tblContent_history.historyContentID) ON tbltemplates.templateID = tblContent_history_languages.templateID WHERE (((tblContent_history.historyContentID)=" & contentID & ") AND ((tblContent_history_languages.languageID)=" & languageID & "));"

  elseIf contentMode = 3 then ' *** View edited page
    SQLQuery = "SELECT tblContent.contentID, tblContent.parentID, tblContent.contentLink, tblContent_languages.contentName, tblContent_languages.contentTitle, tblContent_languages.contentHeading, tblContent_languages.contentBody, tblContent_languages.metaKeywords, tblContent_languages.metaDescription, tbltemplates.templateID, tbltemplates.templateCode FROM tbltemplates INNER JOIN (tblContent_languages INNER JOIN tblContent ON tblContent_languages.contentID = tblContent.contentID) ON tbltemplates.templateID = tblContent_languages.templateID WHERE (((tblContent_languages.contentID)=" & contentID & ") AND ((tblContent_languages.languageID)=" & languageID & "));"

  end if
  Set ds = objConn.Execute(SQLQuery)
  if not ds.EOF and not ds.BOF then
    if isTextValid(ds("contentLink")) then
      lc_dbcontentID = ds("contentLink")
      ds.close
      Set ds = nothing
      redirectBrowser lc_dbcontentID
    end if
    lc_dbcontentID = ds("contentID")
    parentID = ds("parentID")
    templateID = ds("templateID")
    templateCode = ds("templateCode")
    metaKeywords = ds("metaKeywords") & ""
    metaDescription = ds("metaDescription") & ""
    contentName = ds("contentName") & ""
    contentTitle = ds("contentTitle") & ""
    contentHeading = ds("contentHeading") & ""
    contentBody = ds("contentBody") & ""
    if contentMode = 3 then
      publishedDate = formatDateTime(now(), 1) & " " & formatDateTime(now(), 3) & ""
    else
      if isDate(ds("publishedDate")) then
        publishedDate = formatDateTime(ds("publishedDate"), 1) & " " & formatDateTime(ds("publishedDate"), 3) & ""
      end if
    end if
  else
    ' check if doc was link
    if contentMode = 1 then ' *** View published page
      SQLQuery = "SELECT tblContent_published.contentLink FROM tblContent_published WHERE tblContent_published.contentOnline=" & prepBoolean("True") & " AND tblContent_published.contentID=" & contentID & ";"
    elseIf contentMode = 2 then ' *** View historic page
      SQLQuery = "SELECT tblContent_history.contentLink FROM tblContent_history WHERE tblContent_history.historyContentID;"
    elseIf contentMode = 3 then ' *** View edited page
      SQLQuery = "SELECT tblContent.contentLink FROM tblContent WHERE tblContent.contentID=" & contentID & ";"
    end if
    Set ds = objConn.execute(SQLQuery)
    if not ds.BOF AND not ds.EOF then
      lc_tmp = ds("contentLink")
      if isTextValid(ds("contentLink")) then redirectBrowser lc_tmp
    end if
  
    if contentID <> g_homePageID then
      contentID = g_homePageID
      ds.close
      loadLanguageID()
      loadContent contentMode
      exit sub
    end if
  end if
  ds.Close
  Set ds = Nothing

  ' Work out parent IDs
  c_ParentIDs = getContentParentIDs(lc_dbContentID)

  'insert content into template
  templateCode = insertContent(templateCode)

  'insert menu into template
  templateCode = insertMenu(templateCode)

  'output html
  'send templateCode

  'error recording
  recordError err.number, err.description, err.source

end sub

'=====================================================

Function insertContent(ic_templateCode_in)
  'replaces template content tags with actual content/data
  if dMode <> true then on error resume next

  'declare vars
  Dim ic_templateCode_out

  'get input template
  ic_templateCode_out = ic_templateCode_in

  'replace with data
  ic_templateCode_out = replace(ic_templateCode_out, "[content]", contentBody, 1, -1, 1)
  ic_templateCode_out = replace(ic_templateCode_out, "[title]", contentTitle, 1, -1, 1)
  ic_templateCode_out = replace(ic_templateCode_out, "[heading]", contentHeading, 1, -1, 1)
  ic_templateCode_out = replace(ic_templateCode_out, "[metaKeywords]", metaKeywords, 1, -1, 1)
  ic_templateCode_out = replace(ic_templateCode_out, "[metaDescription]", metaDescription, 1, -1, 1)
  ic_templateCode_out = replace(ic_templateCode_out, "[publishedDate]", publishedDate, 1, -1, 1)

  ic_templateCode_out = replace(ic_templateCode_out, "[heading1]", nthField(c_parentNames, "|*&|", 1) & "", 1, -1, 1)
  ic_templateCode_out = replace(ic_templateCode_out, "[heading2]", nthField(c_parentNames, "|*&|", 2) & "", 1, -1, 1)
  ic_templateCode_out = replace(ic_templateCode_out, "[heading3]", nthField(c_parentNames, "|*&|", 3) & "", 1, -1, 1)


  if inStr(ic_templateCode_out, "[page(") > 0 then ic_templateCode_out = insertPageContent(ic_templateCode_out)
  if inStr(ic_templateCode_out, "[random(") > 0 then ic_templateCode_out = insertRandomPageContent(ic_templateCode_out)


  ' Newsletter
  if inStr(1, ic_templateCode_out, "[newsletter]", 1) > 0 then
    ic_templateCode_out = replace(ic_templateCode_out, "[newsletter]", display_newsletterForm(), 1, -1, 1)
  end if

  ' Languages
  if inStr(1, ic_templateCode_out, "[language", 1) > 0 then
    ic_templateCode_out = replace(ic_templateCode_out, "[languageName]", languageName, 1, -1, 1)
    ic_templateCode_out = replace(ic_templateCode_out, "[language1]", languageSelecter(1), 1, -1, 1)
    ic_templateCode_out = replace(ic_templateCode_out, "[language2]", languageSelecter(2), 1, -1, 1)
    ic_templateCode_out = replace(ic_templateCode_out, "[language3]", languageSelecter(3), 1, -1, 1)
    ic_templateCode_out = replace(ic_templateCode_out, "[language4]", languageSelecter(4), 1, -1, 1)
    ic_templateCode_out = replace(ic_templateCode_out, "[language5]", languageSelecter(5), 1, -1, 1)
  end if


  if inStr(1, ic_templateCode_out, "[styleSheet]", 1) > 0 then
    ic_templateCode_out = replace(ic_templateCode_out, "[styleSheet]", findStyleSheet(), 1, -1, 1)
  end if

  ic_templateCode_out = replace(ic_templateCode_out, "[date]", formatDateTime(now(), 1), 1, -1, 1)
  ic_templateCode_out = replace(ic_templateCode_out, "[time]", formatDateTime(now(), 3), 1, -1, 1)


  'return updated template
  insertContent = ic_templateCode_out

  'error recording
  recordError err.number, err.description, err.source

End Function

'=====================================================

Function insertPageContent(ipc_in)

  ' Duplicate of front end function with one variable change
  ' session(sessionPrefix & "aCMS_languageID") to languageID

  if dMode <> true then on error resume next
  Dim ipc_out:ipc_out = ipc_in
  Dim noPages:noPages = countFields(ipc_out, "[page(") - 1
  Dim ipc_i, pageID, ipc_startPos, ipc_endPos
  Dim ipc_SQLQuery, ipc_ds
  ipc_startPos = 1
  for ipc_i = 1 to noPages
    ' establish pageNo
    ipc_startPos = inStr(ipc_startPos, ipc_out, "[page(") + len("[page(")
    ipc_endPos = inStr(ipc_startPos, ipc_out, ")")
    pageID = mid(ipc_out, ipc_startPos, ipc_endPos-ipc_startPos)
    if isNumberValid(pageID) then
      ipc_SQLQuery = "SELECT tblContent_published_languages.contentBody FROM (tblContent_published INNER JOIN tblContent_published_languages ON tblContent_published.publishedContentID = tblContent_published_languages.publishedContentID) WHERE tblContent_published.contentOnline=" & prepBoolean("True") & " AND tblContent_published.contentID=" & pageID & " AND tblContent_published_languages.languageID=" & languageID & ";"
      Set ipc_ds = objconn.execute(ipc_SQLQuery)
      if not ipc_ds.BOF AND not ipc_ds.EOF then
        ipc_out = replace(ipc_out, "[page(" & pageID & ")]", ipc_ds("contentBody"), 1, -1, 1)
      else
        ipc_out = replace(ipc_out, "[page(" & pageID & ")]", "", 1, -1, 1)
      end if
      ipc_ds.close
    end if
  next 'i
  Set ipc_ds = Nothing


  insertPageContent = ipc_out

  'error recording
  recordError err.number, err.description, err.source

end function


Function insertRandomPageContent(irpc_in)

  ' Duplicate of front end function with one variable change
  ' session(sessionPrefix & "aCMS_languageID") to languageID

  if dMode <> true then on error resume next
  Dim irpc_out:irpc_out = irpc_in
  Dim noPages:noPages = countFields(irpc_out, "[random(") - 1
  Dim irpc_i, irpc_j, pageID, pageIDA, irpc_startPos, irpc_endPos
  Dim irpc_SQLQuery, irpc_ds
  irpc_startPos = 1
  for irpc_i = 1 to noPages
    ' establish pageNo
    irpc_startPos = inStr(irpc_startPos, irpc_out, "[random(") + len("[random(")
    irpc_endPos = inStr(irpc_startPos, irpc_out, ")")
    pageID = mid(irpc_out, irpc_startPos, irpc_endPos-irpc_startPos)
    if isNumberValid(replace(replace(pageID, " ", ""), ",", "")) then
    pageIDA = split(pageID, ",")
    if uBound(pageIDA) > 0 then
      ' Pick random page
      randomize
      randomize
      irpc_j = int(((uBound(pageIDA)+1) * rnd))
      irpc_SQLQuery = "SELECT tblContent_published_languages.contentBody FROM (tblContent_published INNER JOIN tblContent_published_languages ON tblContent_published.publishedContentID = tblContent_published_languages.publishedContentID) WHERE tblContent_published.contentOnline=" & prepBoolean("True") & " AND tblContent_published.contentID=" & pageIDA(irpc_j) & " AND tblContent_published_languages.languageID=" & languageID & ";"
      Set irpc_ds = objconn.execute(irpc_SQLQuery)
      if not irpc_ds.BOF AND not irpc_ds.EOF then
        irpc_out = replace(irpc_out, "[random(" & pageID & ")]", irpc_ds("contentBody"), 1, -1, 1)
      else
        irpc_out = replace(irpc_out, "[random(" & pageID & ")]", "", 1, -1, 1)
      end if
      irpc_ds.close
    end if
    end if
  next 'i
  Set irpc_ds = Nothing


  insertRandomPageContent = irpc_out

  'error recording
  recordError err.number, err.description, err.source

end function


Function insertMenu(lm_templateCode_in)
  'replaces template menu tags with actual menu
  if dMode <> true then on error resume next
  
  'declare vars
  Dim lm_templateCode_out, lm_tmp2, lm_tmp3, lm_tmp4, lm_tmp5, lm_tmp6
  
  'get input template
  lm_templateCode_out = lm_templateCode_in
  
  'init temp var
  lm_tmp2 = ""
  'if submenu tag present, get into temp var
  if inStr(1, lm_templateCode_out, "[subMenu]", 1) > 0 then
    lm_tmp2 = listSubContent(0, 1, false)
  end if
  'replace tag in template with value
  lm_templateCode_out = replace(lm_templateCode_out, "[subMenu]", lm_tmp2 & "", 1, -1, 1)
  
  're-init temp var
  lm_tmp2 = ""
  'if menu1 tag present, get into temp var
  if inStr(1, lm_templateCode_out, "[menu1]", 1) > 0 then
    lm_tmp2 = listSubContent(0, 1, true)
  end if
  'replace tag in template with value
  lm_templateCode_out = replace(lm_templateCode_out, "[menu1]", lm_tmp2 & "", 1, -1, 1)
  
  
  're-init temp vars
  lm_tmp2 = ""
  lm_tmp3 = ""
  lm_tmp4 = ""
  lm_tmp5 = ""
  lm_tmp6 = ""
  
  'check for sub menu items menu2 , menu3, submenu2'
  if countFields(c_ParentIDs, ",") > 0 then
    if inStr(1, lm_templateCode_out, "[subMenu2]", 1) > 0 then
      lm_tmp6 = listSubContent(nthField(c_ParentIDs, ",", 1), 2, false)
    end if
    
    
    if contentID > 0 AND inStr(lm_templateCode_out, "[menu") > 0 then
      'if menu2 tag present, get sub vals
      if inStr(lm_templateCode_out, "[menu2]") > 0 AND countFields(c_ParentIDs, ",") > 0 then
        lm_tmp2 = listSubContent(nthField(c_ParentIDs, ",", 1), 2, true)
      end if
      'if menu3 tag present, get sub vals
      if inStr(lm_templateCode_out, "[menu3]") > 0 AND countFields(c_ParentIDs, ",") > 1 then
        lm_tmp3 = listSubContent(nthField(c_ParentIDs, ",", 2), 3, true)
      end if
      'if menu3 tag present, get sub vals
      if inStr(lm_templateCode_out, "[menu4]") > 0 AND countFields(c_ParentIDs, ",") > 2 then
        lm_tmp3 = listSubContent(nthField(c_ParentIDs, ",", 3), 4, true)
      end if
      'if menu3 tag present, get sub vals
      if inStr(lm_templateCode_out, "[menu5]") > 0 AND countFields(c_ParentIDs, ",") > 3 then
        lm_tmp3 = listSubContent(nthField(c_ParentIDs, ",", 4), 5, true)
      end if
    end if
  end if
  'replace menu2 + menu3 tags as appropriate
  lm_templateCode_out = replace(lm_templateCode_out, "[menu2]", lm_tmp2 & "", 1, -1, 1)
  lm_templateCode_out = replace(lm_templateCode_out, "[menu3]", lm_tmp3, 1, -1, 1)
  lm_templateCode_out = replace(lm_templateCode_out, "[menu4]", lm_tmp4, 1, -1, 1)
  lm_templateCode_out = replace(lm_templateCode_out, "[menu5]", lm_tmp5, 1, -1, 1)
  lm_templateCode_out = replace(lm_templateCode_out, "[subMenu2]", lm_tmp6 & "", 1, -1, 1)
  
  'return the template
  insertMenu = lm_templateCode_out
  
  'error recording
  recordError err.number, err.description, err.source
  
End Function

'=====================================================

Function languageSelecter(lMode)

  ' Duplicate of front end function with one variable change
  ' session(sessionPrefix & "aCMS_languageID") to languageID

  Dim l_ds, l_URL, l_QS, l_i, l_ST

  l_URL = lookupPageName()
  l_QS = request.serverVariables("QUERY_STRING")
  if isTextValid(l_QS) then
    l_i = inStr(l_QS, "lang=")
    if l_i > 0 then l_QS = left(l_QS, l_i-1)
    if not isTextValid(l_QS) then
      l_URL = l_URL & "?lang="
    else
      if right(l_QS, 1) <> "&" then l_QS = l_QS & "&"
      l_URL = l_URL & "?" & l_QS & "lang="
    end if
  else
    l_URL = l_URL & "?lang="
  end if


  if lMode < 3 then ' Pop up windows/Lists - display text link to open window
    if lMode = 1 then languageSelecter = "<img src=""img/" & languageImage & """ width=""20"" align=""absmiddle"" vspace=""2"" hspace=""2"" border=""0"" alt=""" & languageID & """>&nbsp;"
    languageSelecter = languageSelecter & "<a href=""JavaScript:void(0);"" onClick=""window.open('languageSelect.asp?lang_URL=" & server.URLEncode(l_URL) & "&ss=[styleSheet]"
    if lMode = 1 then
      languageSelecter = languageSelecter & "&img=1"
    else
      languageSelecter = languageSelecter & "&img=0"
    end if

    languageSelecter = languageSelecter & "','sLang','toolbar=no,menubar=no,scrollbars=auto,width=550,height=350')"" class=""langSelect"">"

    SQLQuery = "SELECT selectText FROM tblLanguages WHERE languageOnline=" & prepBoolean("true") & " AND languageID=" & languageID & " ORDER BY languageDefault DESC, languageName;"
    Set l_ds = objConn.Execute(SQLQuery)
    if not l_ds.EOF and not l_ds.BOF then
      languageSelecter = languageSelecter & l_ds("selectText") & "</a>"
      l_ST = l_ds("selectText")
    else
      languageSelecter = languageSelecter & "Select Language</a>"
      l_ST = "Select Language"
    end if
    l_ds.close
    Set l_ds = nothing
    exit function
  end if


  if databaseType = 3 then
    SQLQuery = "SELECT tblLanguages.languageID, tblLanguages.languageName, tblLanguages.languageImage, tblLanguages.selectText FROM tblLanguages WHERE languageOnline=" & prepBoolean("true") & " ORDER BY languageDefault DESC, languageName;"
  else
    SQLQuery = "SELECT tblLanguages.languageID, tblLanguages.languageName, tblLanguages.languageImage, tblLanguages.selectText FROM tblLanguages WHERE languageOnline=" & prepBoolean("true") & " ORDER BY languageDefault, languageName;"
  end if
  Set l_ds = objConn.Execute(SQLQuery)
  if not l_ds.EOF and not l_ds.BOF then

    if lMode < 5 then ' Lists ***

      languageSelecter = languageSelecter & "<table border=""0"" class=""langTable"">"
      if isTextValid(l_ds("selectText")) then languageSelecter = languageSelecter & "<tr class=""langHead"">"


      if (lMode=1 OR lMode=3) then
        languageSelecter = languageSelecter & "<td colspan=""2"" class=""langCell"">" & l_ds("selectText") & "</td></tr>"
      else
        languageSelecter = languageSelecter & "<td class=""langCell"">" & l_ds("selectText") & "</td></tr>"
      end if

    else ' Menus ***

      languageSelecter = "<script type=""text/javascript"" language=""javascript"">" & vbcr & "<!--" & vbcr & "  function lLang(lID) {" & vbcr & "    document.location.href = '" & l_URL & "' + lID;" & vbcr & "  }" & vbcr & "//-->" & vbcr & "</script>" & vbcr

      languageSelecter = languageSelecter & "<select onChange=""lLang(this[this.selectedIndex].value)"">" & vbcr

      if isTextValid(l_ST) AND lMode = 5 then languageSelecter = languageSelecter & l_ST

    end if

    l_i = 1
    do until l_ds.EOF
      if lMode < 5 then ' Lists ***
        languageSelecter = languageSelecter & "<tr class=""langRow" & l_i & """>"

        if (lMode=1 OR lMode=3) then
          if isTextValid(l_ds("languageImage")) then
            languageSelecter = languageSelecter & "<td width=""25"" align=""center"" class=""langCell""><a href=""" & l_URL & l_ds("languageID") & """><img src=""img/" & l_ds("languageImage") & """ width=""20"" align=""absmiddle"" vspace=""2"" hspace=""2"" border=""0"" alt=""" & l_ds("languageName") & """ class=""langSel""></a></td>"
          else
            languageSelecter = languageSelecter & "<td class=""langCell"">&nbsp;</td>"
          end if
          languageSelecter = languageSelecter & "<td class=""langCellB"">"
        else
          languageSelecter = languageSelecter & "<td class=""langCell"">"
        end if

        languageSelecter = languageSelecter & "<a href=""" & l_URL & l_ds("languageID") & """>" & l_ds("languageName") & "</a>"

        languageSelecter = languageSelecter & "</td></tr>"

      else ' Menus ***

        languageSelecter = languageSelecter & "<option value=""" & l_ds("languageID") & """"
        if cInt(languageID) = l_ds("languageID") then languageSelecter = languageSelecter & " selected"
        languageSelecter = languageSelecter & ">" & l_ds("languageName") & "</option>"

      end if

      l_i = l_i + 1
      if l_i > 2 then l_i = 1
      l_ds.moveNext
    loop

    if lMode < 5 then ' Lists ***
      languageSelecter = languageSelecter & "</table>"
    else ' Menus ***
      languageSelecter = languageSelecter & "</select>"
    end if


  end if
  l_ds.close
  Set l_ds = nothing


end function

'=====================================================

Function findStyleSheet()
  ' This function looks for <link href="inc/cms.css" rel="stylesheet" type="text/css">
  ' from the pages template

  if not isTextValid(templateCode) then
    exit function
  end if

  Dim fss_startPos, fss_endPos

  fss_startPos = inStr(lCase(templateCode), "type=""text/css""")

  if fss_startPos > 0 then
    fss_startPos = inStrRev(templateCode, "<link ", fss_startPos)
    fss_startPos = inStr(fss_startPos, templateCode, "href=""") + len("href=""")
    fss_endPos = inStr(fss_startPos, templateCode, """")
    findStyleSheet = mid(templateCode, fss_startPos, fss_endPos-fss_startPos)
    if left(findStyleSheet, 4) = "inc/" then findStyleSheet = right(findStyleSheet, len(findStyleSheet)-4)
  end if

  if not isTextValid(findStyleSheet) OR inStr(lCase(findStyleSheet), ".css") = 0 then findStyleSheet = ""

end function

'=====================================================

function rowCount(tblName)
  'This function returns the row count from the table specified
  Dim rc_SQLQuery, rc_ds
  rc_SQLQuery = "SELECT COUNT(*) as rc FROM " & tblName & ";"
  Set rc_ds = objConn.execute(rc_SQLQuery)
  if not rc_ds.BOF AND not rc_ds.EOF then
    if not isNumberValid(rc_ds("rc")) then
      rowCount = 0
    else
      rowCount = rc_ds("rc")
    end if
  else
    rowCount = 0
  end if
  rc_ds.close
  Set rc_ds = nothing
end function

'=====================================================
'=====================================================

Sub checkReturnPage(pn, rp)
  ' This sub checks that the return poge doesn't match the page name passed in (pn)
  ' If so it sets retun page to rp
  if left(urlDecode(returnPage), len(pn))  = pn then returnPage = server.urlEncode(rp)

end sub

'=====================================================
'=====================================================

Function demoPage()

  demoPage = "<table cellpadding=""15"" width=""550""><tr><td valign=""middle""><img src=""img/allintaTrial.gif""></td><td valign=""middle""><b>WARNING</b><br>This page is running in trial mode and the features on this page have been disabled. You may view a functional copy of this page by using the <a href=""http://www.allinta.com/default.asp?contentID=337"" target=""_blank"">online demo</a> or by <a href=""http://www.allinta.com/buy/"" target=""_blank"">purchasing allintaCMS</a>.</td></tr></table>"

end function

'=====================================================
'=====================================================

Sub send(theData)
  response.write theData
end Sub
Sub send3(theData)
  response.write "<h3>" & theData & "</h3>"
end Sub
Sub sendE(theData)
  response.write "<h3>[" & theData & "]</h3>"
end Sub

'=====================================================

%>