<%@ LANGUAGE="VBSCRIPT" %>
<%   Option Explicit    %>
<!-- #include file="inc/admin.asp" -->
<!-- #include file="inc/language_functions.asp" -->
<!-- #include file="inc/enCards.asp" -->
<%


'declare vars
Dim hashPasswords, useHTMLSite, websiteURL, adminURL, enableAdminSSL, adminSSLAll, SSLDomain, adminSSLDomain, adminTimeout, menuOpen, defaultTitle, defaultMetaKeywords, defaultMetaDescription
Dim isPolarcryptoInstalled
Dim valid, errorMSG
Dim prefItemArr, prefItemArrVal


isPolarcryptoInstalled = polarcryptoInstalled()

valid = true

if submitted = true then
  
  websiteURL = request.form("websiteURL")
  'Check Website URL ends with trailing /
  If len(websiteURL) >= 1 and Right(websiteURL,1) <> "/" then
    websiteURL = websiteURL & "/"
  end if
  adminURL = request.form("adminURL")
  'Check adminURL ends with trailing /
  If len(adminURL) >= 1 and Right(adminURL,1) <> "/" then
    adminURL = adminURL & "/"
  end if
  
  if isTextValid(websiteURL) then
    if right(websiteURL, 1) <> "/" then websiteURL = websiteURL & "/"
    if left(lCase(websiteURL), 7) <> "http://" then
      errorMSG = "<li>The website URL must begin with http://"
      valid = false
    end if
  end if
  if isTextValid(adminURL) then
    if right(adminURL, 1) <> "/" then adminURL = adminURL & "/"
    if left(lCase(adminURL), 7) <> "http://" then
      errorMSG = "<li>The admin URL must begin with http://"
      valid = false
    end if
  end if
  
  
  if valid = true then
    session(sessionPrefix & "storeWebsiteSSLURL") = SSLDomain
    
    updateOptions()
    
  else
    submitted = false
  end if
  
else ' submitted
  
  loadOptions()
  
end if


Sub updateOptions()
  
  if languageIsDefault = true then
    
    
    SQLQuery = "UPDATE tblPrefs SET websiteURL='" & prepString(websiteURL) & "', adminURL='" & prepString(adminURL) & "';"
    objConn.execute(SQLQuery):uui 0, 1
  end if

  session(sessionPrefix & "storeWebsiteURL") = websiteURL
  session(sessionPrefix & "storeWebsiteSSLURL") = adminURL

  'error recording
  recordError err.number, err.description, err.source
  
end sub


Sub loadOptions()
  
  SQLQuery = "SELECT websiteURL, adminURL FROM tblPrefs;"
  Set ds = objConn.execute(SQLQuery)
  
  if not ds.BOF AND not ds.EOF then
    websiteURL = ds("websiteURL")
    adminURL = ds("adminURL")
    
  else
    
    redirectBrowser "main.asp"
    
  end if
  
  ds.close
  
  Set ds = nothing

  'error recording
  recordError err.number, err.description, err.source
  
end sub


%><html>
<head>
<title><% =adminPageTitle %></title>
<!-- allintaCMS V2.3.2 - http://www.allinta.com/ -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="inc/cmsAdmin.css" type="text/css">
<script src="inc/javascript.js"></script>
</head>
<body leftmargin="0" topmargin="0" rightmargin="0" bottommargin="0" marginwidth="0" marginheight="0" bgcolor="#FFFFFF">
<!-- #include file="inc/header.asp" -->

<!-- Start Content -->
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td width="28"><img src="img/spacer.gif" width="28" height="27" border="0" alt=""></td>
<td class="bodyText" valign="top"><table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr><td valign="bottom"><nobr><span class="MainTitle">Settings</span></nobr></td></tr>
<tr><td><img src="img/spacer.gif" height="5" width="1" vspace="0" hspace="0"></td></tr>
<tr><td class="row3"><img src="img/spacer.gif" height="1" width="1" vspace="0" hspace="0"></td></tr>
</table>

<!-- #include file="inc/sections/settings.asp" -->

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr><td class="row3"><img src="img/spacer.gif" height="1" width="1" vspace="0" hspace="0"></td></tr>
</table><br>

<span class="heading">General Settings</span><br><br><%



if submitted = true then

  %>You successfully updated your settings.
  <br><br>
  <a href="main.asp">Main</a> - <a href="settings.asp">General</a> - <a href="email.asp">Email</a> - <a href="settings_utility.asp">Utility Languages</a><%

else

  %><form method="post" action="settings.asp" name="sForm"><%

  if isTextValid(errorMSG) then
    send "<font color=red><ul>" & errorMSG & "</ul></font><br><br>"
  end if

  %><table width="100%" border="0" cellspacing="0" cellpadding="1">
  <tr><td align="left" class="row4">
  <table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr><td align="left" class="row2">
  
    <table border="0" cellspacing="0" cellpadding="3" width="100%">
    <tr>
    <td align="left" valign="middle" class="row1" width="15"><img src="img/source/arrow_main.gif" width="15" height="15" vspace="2"></td>
    <td align="left" class="row1"><span class="SubTitle">Website Settings</span></td>
    </tr>
    </table>

    <table border="0" cellspacing="0" cellpadding="5" width="100%">
    <tr>
    <td align="left" width="11" valign="top">&nbsp;</td>
    <td valign="top" class="row2" align="left"><span class="bodyTextBold">Website URL</span><br>
    <span class="bodyTextSmall">Enter the URL of your website to the exact location where the CMS is installed eg. http://www.myWebsite.com/aCMS/</span></td>
    </tr>
    </table>
    <table border="0" cellspacing="0" cellpadding="5" width="100%">
    <tr>
    <td align="left" width="11" valign="top">&nbsp;</td>
    <td class="row2" align="left"><input type="text" name="websiteURL" value="<% =websiteURL %>" size="100" maxlength="255" class="formElementText">
    <% displayHelpButton(35) %></td>
    </tr>
    <tr>
    <td align="left" width="11" valign="top">&nbsp;</td>
    <td valign="top" class="row2" align="left"><span class="bodyTextBold">CMS Admin URL</span><br>
    <span class="bodyTextSmall">Enter the URL where your CMS Administration System is located. eg. http://www.myWebsite.com/aCMS/myAdmin/</span></td>
    </tr>
    <tr>
    <td align="left" width="11" valign="top">&nbsp;</td>
    <td class="row2" align="left"><input type="text" name="adminURL" value="<% =htmlEncode(adminURL) %>" size="100" maxlength="255" class="formElementText">
    <% displayHelpButton(36) %></td>
    </tr>
    </table>
    <br>

   
  </td></tr></table>
  </td></tr></table>  

  <br>

  <table cellpadding="0" cellspacing="0" border="0" align="right">
  <tr>
  <td colspan=4 align=right class="bodyTextBold">
  <input type="button" name="Cancel" value="Cancel" class="formElementText" onclick="document.location.href='<% =URLDecode(returnPage) %>'"> &nbsp;
  <input type=submit name="submit" value="Update" class="formElementText">
  </td>
  </tr>
  </table>

  <input type="hidden" name="submitted" value="true">
  <input type="hidden" name="rp" value="<% =returnPage %>">

  </form><%

end if ' submitted

%></td>
<td><img src="img/spacer.gif" width="28" height="27" border="0" alt=""></td>
</tr>
</table>
<br>

<a href="#top"><img src="img/source/top.gif" width="29" height="9" border="0" alt="TOP" align="right" hspace="15"></a><br>
<!-- #include file="inc/footer.asp" -->
</div></body></html>

<% 'ERROR REPORTING / GLOBAL DB CONNECTION CLOSE INCLUDE - DON'T REMOVE! %>
<!-- #include file="inc/db_connection_close.asp" -->
